'
' Pattern tables, name tables, attribute tables and pallettes for NES PPU emulator
' created with ppumem2spin.py
'
CON
   letter_offset = 0            ' offset to letter "A"-1 in tilemap
   number_offset = $30          ' offset to "0" character in tilemap
   nametable_offset = 0         ' the location for the display of debugging data
   blank_char = $20             ' tilemap index of blank
   dash_char = $2D              ' tilemap index of "-"
   char_pattern_table=0         ' 0 for first pattern table ($0-$0FFF) 1 for second ($1000-1FFF)
   start_of_PRG_ROM=$C000       ' pointer to location of ROM program data
   reset_ptr=$C77C              ' pointer to location of reset location pointer (normally $FFFC)
   nmi_ptr=$C77A                ' pointer to location of nmi location pointer (normally $FFFA)

PUB pattern_tables 
RETURN @_pattern_tables

PUB pallettes 
RETURN @_pallettes

PUB ROM_data
RETURN @_ROM_data

PUB NES_memory_start 
RETURN @_memory_start

DAT
'
' 40 bytes of basic ROM data
'
_ROM_data               long    @_ROM_end-@_ROM_data
                        word    @_memory_start-@_ROM_data,@_pattern_tables-@_ROM_data,@_pallettes-@_ROM_data,0
                        word    start_of_PRG_ROM,reset_ptr,nmi_ptr
                        byte    letter_offset,number_offset,nametable_offset,blank_char
                        byte    dash_char,char_pattern_table
                        byte    "4. SOUND DEMO",0,0,0
' Data Type: NES Rom Dump
' Size: 16 KB
' Range: $8000-$BFFF
_memory_start
' $C000
                        byte   $A9, $00, $8D, $00, $20, $8D, $01, $20, $D8, $A2, $FF, $9A, $20, $3E, $C0, $20
'                        byte   $B7, $C1, $20, $59, $C0, $20, $64, $C0, $20, $34, $C0, $20, $99, $C0, $20, $81
                        byte   $B7, $C1, $20, $59, $C0, $20, $64, $C0, $20, $34, $C0, $EA, $EA, $EA, $20, $81
                        byte   $C0, $20, $BB, $C0, $A9, $08, $8D, $01, $20, $A9, $00, $20, $71, $C1, $20, $34
                        byte   $C0, $4C, $2E, $C0, $A5, $00, $C5, $00, $F0, $FC, $AD, $02, $20, $60, $A2, $00
                        byte   $8A, $95, $00, $9D, $00, $02, $9D, $00, $03, $9D, $00, $04, $9D, $00, $05, $9D
                        byte   $00, $06, $9D, $00, $07, $E8, $D0, $E9, $60, $A9, $80, $8D, $00, $20, $A9, $00
                        byte   $8D, $01, $20, $60, $A9, $1E, $48, $A9, $80, $8D, $00, $80, $68, $8D, $00, $80
                        byte   $4A, $8D, $00, $80, $4A, $8D, $00, $80, $4A, $8D, $00, $80, $4A, $8D, $00, $80
                        byte   $60, $A9, $3F, $8D, $06, $20, $A9, $00, $8D, $06, $20, $A2, $00, $BD, $54, $C7
                        byte   $8D, $07, $20, $E8, $E0, $10, $D0, $F5, $60, $A9, $00, $8D, $06, $20, $8D, $06
                        byte   $20, $A9, $64, $85, $04, $A9, $C7, $85, $05, $A0, $00, $A2, $10, $B1, $04, $8D
                        byte   $07, $20, $C8, $D0, $F8, $E6, $05, $CA, $D0, $F3, $60, $A9, $20, $8D, $06, $20
                        byte   $A9, $00, $8D, $06, $20, $A2, $04, $A0, $00, $A9, $20, $8D, $07, $20, $C8, $D0
                        byte   $FA, $CA, $D0, $F7, $A9, $23, $8D, $06, $20, $A9, $C0, $8D, $06, $20, $A0, $40
                        byte   $A9, $00, $8D, $07, $20, $88, $D0, $FA, $A9, $21, $8D, $06, $20, $A9, $41, $8D
                        byte   $06, $20, $A0, $00, $B9, $25, $C1, $F0, $09, $29, $3F, $8D, $07, $20, $C8, $4C
' $C100
                        byte   $F4, $C0, $A9, $21, $8D, $06, $20, $A9, $81, $8D, $06, $20, $A0, $00, $B9, $42
                        byte   $C1, $F0, $09, $29, $3F, $8D, $07, $20, $C8, $4C, $0E, $C1, $A9, $00, $8D, $05
                        byte   $20, $8D, $05, $20, $60, $20, $2A, $2A, $20, $47, $4F, $4C, $44, $52, $55, $4E
                        byte   $4E, $45, $52, $20, $4D, $55, $53, $49, $43, $20, $44, $45, $4D, $4F, $20, $2A
                        byte   $2A, $00, $20, $20, $57, $52, $49, $54, $54, $45, $4E, $20, $42, $59, $20, $43
                        byte   $41, $44, $41, $56, $45, $52, $20, $34, $2F, $32, $30, $30, $30, $20, $00, $85
                        byte   $01, $86, $02, $84, $03, $E6, $00, $20, $D1, $C1, $A5, $01, $A6, $02, $A4, $03
                        byte   $40, $48, $20, $B7, $C1, $68, $0A, $85, $F9, $0A, $0A, $65, $F9, $A8, $A2, $00
                        byte   $B9, $03, $C6, $9D, $C4, $07, $B9, $04, $C6, $9D, $C8, $07, $A9, $00, $9D, $CC
                        byte   $07, $9D, $DC, $07, $9D, $E0, $07, $9D, $F0, $07, $9D, $F8, $07, $A9, $02, $9D
                        byte   $E4, $07, $C8, $C8, $E8, $E0, $04, $90, $D7, $B9, $03, $C6, $85, $FA, $B9, $04
                        byte   $C6, $85, $FB, $8E, $AF, $07, $60, $A2, $03, $A9, $00, $8D, $AF, $07, $A9, $00
                        byte   $9D, $BC, $07, $9D, $C0, $07, $A9, $FF, $9D, $B8, $07, $CA, $10, $F0, $4C, $64
                        byte   $C3, $AD, $AF, $07, $D0, $01, $60, $A2, $00, $DE, $E4, $07, $F0, $10, $BD, $E4
                        byte   $07, $C9, $01, $D0, $06, $20, $B2, $C4, $20, $CF, $C4, $4C, $8C, $C2, $20, $B2
                        byte   $C4, $B1, $FE, $30, $33, $18, $7D, $F8, $07, $9D, $D0, $07, $C8, $B1, $FE, $9D
' $C200
                        byte   $E4, $07, $C8, $98, $9D, $CC, $07, $20, $7E, $C4, $BC, $D4, $07, $B9, $C2, $C5
                        byte   $9D, $E8, $07, $B9, $BE, $C5, $9D, $C0, $07, $B9, $C4, $C5, $9D, $E0, $07, $BD
                        byte   $D8, $07, $9D, $DC, $07, $4C, $5C, $C3, $C8, $84, $F9, $0A, $A8, $B9, $22, $C5
                        byte   $85, $FC, $B9, $23, $C5, $85, $FD, $A4, $F9, $B1, $FE, $6C, $FC, $00, $9D, $E4
                        byte   $07, $A9, $00, $9D, $E8, $07, $C8, $98, $9D, $CC, $07, $4C, $8C, $C2, $9D, $E4
                        byte   $07, $C8, $98, $9D, $CC, $07, $BC, $D4, $07, $B9, $C2, $C5, $9D, $E8, $07, $4C
                        byte   $8C, $C2, $9D, $D4, $07, $A8, $B9, $C5, $C5, $9D, $D8, $07, $A4, $F9, $C8, $4C
                        byte   $F1, $C1, $9D, $D8, $07, $C8, $4C, $F1, $C1, $9D, $FC, $07, $C8, $B1, $FE, $18
                        byte   $7D, $F8, $07, $9D, $D0, $07, $C8, $B1, $FE, $4C, $4E, $C2, $BC, $DC, $07, $D0
                        byte   $61, $BD, $FC, $07, $F0, $03, $4C, $18, $C4, $BD, $F0, $07, $F0, $4F, $C9, $02
                        byte   $90, $06, $DE, $F0, $07, $4C, $ED, $C2, $BD, $EC, $07, $30, $12, $18, $7D, $B0
                        byte   $07, $9D, $B0, $07, $BD, $B4, $07, $69, $00, $9D, $B4, $07, $4C, $CE, $C2, $18
                        byte   $7D, $B0, $07, $9D, $B0, $07, $BD, $B4, $07, $69, $FF, $9D, $B4, $07, $BD, $F4
                        byte   $07, $D0, $17, $BC, $D4, $07, $B9, $C0, $C5, $9D, $F4, $07, $BD, $EC, $07, $49
                        byte   $FF, $18, $69, $01, $9D, $EC, $07, $4C, $ED, $C2, $DE, $F4, $07, $BC, $DC, $07
                        byte   $F0, $2B, $B9, $F5, $C5, $10, $0B, $B9, $F6, $C5, $A8, $D0, $F5, $9D, $DC, $07
' $C300
                        byte   $F0, $1B, $18, $7D, $D0, $07, $0A, $84, $F9, $A8, $B9, $2C, $C5, $9D, $B0, $07
                        byte   $B9, $2D, $C5, $9D, $B4, $07, $A4, $F9, $C8, $98, $9D, $DC, $07, $BC, $E0, $07
                        byte   $F0, $1A, $B9, $ED, $C5, $C9, $FF, $90, $0B, $B9, $EE, $C5, $A8, $D0, $F3, $9D
                        byte   $E0, $07, $F0, $08, $9D, $BC, $07, $C8, $98, $9D, $E0, $07, $BC, $D4, $07, $BD
                        byte   $E8, $07, $F0, $0A, $C9, $FF, $F0, $14, $DE, $E8, $07, $4C, $5C, $C3, $BD, $BC
                        byte   $07, $38, $F9, $C3, $C5, $B0, $02, $A9, $00, $9D, $BC, $07, $E8, $E0, $04, $B0
                        byte   $03, $4C, $D9, $C1, $AD, $BC, $07, $4A, $4A, $4A, $4A, $0D, $C0, $07, $09, $30
                        byte   $8D, $00, $40, $A9, $08, $8D, $01, $40, $AD, $B0, $07, $8D, $02, $40, $AD, $B4
                        byte   $07, $29, $07, $09, $08, $CD, $B8, $07, $F0, $06, $8D, $B8, $07, $8D, $03, $40
                        byte   $AD, $BD, $07, $4A, $4A, $4A, $4A, $0D, $C1, $07, $09, $30, $8D, $04, $40, $A9
                        byte   $08, $8D, $05, $40, $AD, $B1, $07, $8D, $06, $40, $AD, $B5, $07, $29, $07, $09
                        byte   $08, $CD, $B9, $07, $F0, $06, $8D, $B9, $07, $8D, $07, $40, $A9, $FF, $8D, $08
                        byte   $40, $AD, $BE, $07, $D0, $11, $8D, $0A, $40, $CD, $BA, $07, $F0, $21, $8D, $BA
                        byte   $07, $8D, $0B, $40, $4C, $EF, $C3, $AD, $B2, $07, $8D, $0A, $40, $AD, $B6, $07
                        byte   $29, $07, $09, $08, $CD, $BA, $07, $F0, $06, $8D, $BA, $07, $8D, $0B, $40, $AD
                        byte   $BF, $07, $4A, $4A, $4A, $4A, $09, $30, $8D, $0C, $40, $A9, $08, $8D, $0D, $40
' $C400
                        byte   $AD, $B3, $07, $4A, $4A, $4A, $4A, $0D, $C3, $07, $8D, $0E, $40, $A9, $08, $8D
'                        byte   $0F, $40, $A9, $0F, $8D, $15, $40, $60, $BD, $D0, $07, $0A, $A8, $B9, $2C, $C5
                        byte   $0F, $40, $A9, $07, $8D, $15, $40, $60, $BD, $D0, $07, $0A, $A8, $B9, $2C, $C5
                        byte   $85, $FC, $B9, $2D, $C5, $85, $FD, $20, $70, $C4, $B0, $1A, $BD, $B0, $07, $18
                        byte   $7D, $FC, $07, $9D, $B0, $07, $BD, $B4, $07, $69, $00, $9D, $B4, $07, $20, $70
                        byte   $C4, $B0, $1D, $4C, $1D, $C3, $BD, $B0, $07, $38, $FD, $FC, $07, $9D, $B0, $07
                        byte   $BD, $B4, $07, $E9, $00, $9D, $B4, $07, $20, $70, $C4, $90, $03, $4C, $1D, $C3
                        byte   $A5, $FC, $9D, $B0, $07, $A5, $FD, $9D, $B4, $07, $20, $7E, $C4, $4C, $1D, $C3
                        byte   $BD, $B4, $07, $C5, $FD, $F0, $01, $60, $BD, $B0, $07, $C5, $FC, $60, $A9, $00
                        byte   $9D, $FC, $07, $BC, $D4, $07, $B9, $BF, $C5, $9D, $F0, $07, $F0, $23, $B9, $C0
                        byte   $C5, $4A, $9D, $F4, $07, $B9, $C1, $C5, $85, $F9, $BD, $D0, $07, $0A, $A8, $B9
                        byte   $2C, $C5, $38, $F9, $2E, $C5, $A4, $F9, $F0, $04, $4A, $88, $D0, $FC, $9D, $EC
                        byte   $07, $60, $BD, $C4, $07, $85, $FC, $BD, $C8, $07, $85, $FD, $A0, $00, $B1, $FC
                        byte   $0A, $A8, $B1, $FA, $85, $FE, $C8, $B1, $FA, $85, $FF, $BC, $CC, $07, $60, $B1
                        byte   $FE, $C9, $FF, $F0, $01, $60, $A9, $00, $9D, $CC, $07, $BD, $C4, $07, $18, $69
                        byte   $01, $9D, $C4, $07, $85, $FC, $BD, $C8, $07, $69, $00, $9D, $C8, $07, $85, $FD
                        byte   $A0, $00, $B1, $FC, $10, $2B, $C9, $FE, $F0, $22, $B0, $0A, $29, $7F, $E9, $3F
' $C500
                        byte   $9D, $F8, $07, $4C, $DB, $C4, $C8, $B1, $FC, $9D, $C4, $07, $C8, $B1, $FC, $9D
                        byte   $C8, $07, $85, $FD, $BD, $C4, $07, $85, $FC, $4C, $F0, $C4, $A9, $00, $8D, $AF
                        byte   $07, $60, $3E, $C2, $4E, $C2, $62, $C2, $72, $C2, $79, $C2, $B0, $06, $50, $06
                        byte   $F4, $05, $A0, $05, $4C, $05, $00, $05, $B8, $04, $74, $04, $34, $04, $F8, $03
                        byte   $C0, $03, $8A, $03, $58, $03, $28, $03, $FA, $02, $D0, $02, $A6, $02, $80, $02
                        byte   $5C, $02, $3A, $02, $1A, $02, $FC, $01, $E0, $01, $C5, $01, $AC, $01, $94, $01
                        byte   $7D, $01, $68, $01, $53, $01, $40, $01, $2E, $01, $1D, $01, $0D, $01, $FE, $00
                        byte   $F0, $00, $E2, $00, $D6, $00, $CA, $00, $BE, $00, $B4, $00, $AA, $00, $A0, $00
                        byte   $97, $00, $8F, $00, $87, $00, $7F, $00, $78, $00, $71, $00, $6B, $00, $65, $00
                        byte   $5F, $00, $5A, $00, $55, $00, $50, $00, $4C, $00, $47, $00, $43, $00, $3F, $00
                        byte   $3C, $00, $39, $00, $35, $00, $32, $00, $30, $00, $2D, $00, $2A, $00, $28, $00
                        byte   $26, $00, $24, $00, $22, $00, $20, $00, $1E, $00, $1C, $00, $1B, $00, $80, $00
                        byte   $00, $00, $04, $02, $01, $05, $40, $06, $01, $01, $32, $10, $01, $01, $00, $00
                        byte   $00, $00, $04, $FF, $06, $01, $00, $00, $00, $00, $04, $14, $06, $0A, $00, $00
                        byte   $00, $00, $02, $30, $03, $01, $00, $0A, $05, $03, $FF, $04, $01, $01, $00, $FE
                        byte   $80, $FF, $00, $FE, $FF, $00, $00, $FF, $00, $0C, $00, $00, $00, $FF, $04, $01
' $C600
                        byte   $00, $FF, $00, $0D, $C6, $3D, $C6, $48, $C6, $4C, $C6, $50, $C6, $00, $00, $00
                        byte   $00, $00, $00, $BE, $00, $00, $C5, $00, $C3, $00, $C8, $00, $CA, $00, $C0, $00
                        byte   $00, $C3, $00, $00, $C5, $00, $00, $C8, $00, $CA, $00, $C0, $00, $00, $BE, $00
                        byte   $00, $C5, $00, $C3, $00, $C8, $00, $CA, $00, $C0, $FF, $0D, $C6, $02, $02, $02
                        byte   $02, $01, $05, $06, $07, $FF, $3D, $C6, $04, $FF, $48, $C6, $03, $FF, $4C, $C6
                        byte   $60, $C6, $79, $C6, $A8, $C6, $AB, $C6, $CE, $C6, $DB, $C6, $02, $C7, $2D, $C7
                        byte   $82, $08, $07, $10, $07, $10, $80, $10, $07, $08, $07, $08, $07, $08, $07, $08
                        byte   $07, $10, $80, $10, $07, $08, $07, $08, $FF, $82, $00, $26, $30, $2E, $30, $30
                        byte   $20, $26, $30, $2E, $30, $2D, $20, $24, $30, $2E, $30, $30, $20, $2E, $30, $2D
                        byte   $30, $2B, $10, $29, $10, $27, $60, $29, $20, $27, $30, $26, $30, $27, $20, $29
                        byte   $30, $2B, $50, $2E, $30, $2D, $50, $FF, $80, $80, $FF, $82, $18, $02, $10, $82
                        byte   $20, $0C, $08, $0C, $08, $82, $18, $07, $10, $02, $10, $82, $20, $0C, $08, $0C
                        byte   $08, $82, $18, $02, $10, $07, $10, $82, $20, $0C, $08, $0C, $08, $FF, $82, $10
                        byte   $18, $20, $1F, $10, $18, $20, $18, $10, $1F, $20, $FF, $82, $28, $13, $80, $1A
                        byte   $40, $1F, $34, $84, $02, $1D, $8C, $81, $80, $18, $80, $1F, $40, $24, $30, $84
                        byte   $01, $22, $90, $21, $10, $22, $10, $21, $10, $1D, $20, $1A, $10, $1F, $10, $1F
' $C700
                        byte   $10, $FF, $80, $20, $1A, $10, $1D, $10, $22, $08, $84, $01, $1F, $18, $1F, $10
                        byte   $1D, $10, $1F, $10, $1A, $70, $80, $20, $18, $10, $1D, $10, $22, $08, $84, $01
                        byte   $1F, $18, $1F, $10, $1D, $10, $1F, $02, $84, $04, $21, $7E, $FF, $80, $20, $18
                        byte   $10, $1B, $10, $1F, $0C, $84, $03, $1D, $14, $1B, $10, $1D, $10, $1B, $28, $84
                        byte   $01, $1A, $08, $1A, $30, $1B, $20, $1D, $30, $1F, $50, $22, $28, $84, $01, $21
'                        byte   $08, $21, $50, $FF, $0D, $00, $10, $20, $0D, $02, $12, $22, $0D, $04, $14, $24
'                        byte   $0D, $06, $16, $26, $3E, $63, $5D, $55, $5F, $63, $3F, $00, $1C, $22, $49, $55
                        byte   $08, $21, $50, $FF, $00, $01, $03, $05, $0D, $02, $12, $22, $0D, $04, $14, $24
                        byte   $0D, $06, $16, $26, $3E, $63, $5D, $55, $5F, $63, $3F, $00, $1C, $22, $49, $55
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $5F, $C1, $00, $C0, $70, $C1

' Data Type: NES Pattern Tables
' Size: 8192 Bytes
' Range: $0000-$1FFF
_pattern_tables
                        byte   $3E, $63, $5D, $55, $5F, $63, $3F, $00, $1C, $22, $49, $55, $4E, $21, $1E, $00
                        byte   $3E, $77, $63, $7F, $63, $63, $63, $00, $1C, $22, $63, $7F, $63, $63, $63, $00
                        byte   $7F, $63, $63, $7F, $63, $63, $7F, $00, $7E, $63, $63, $7E, $63, $63, $7E, $00
                        byte   $3F, $70, $60, $60, $60, $70, $3F, $00, $1F, $20, $60, $60, $60, $20, $1F, $00
                        byte   $7E, $67, $63, $63, $63, $67, $7E, $00, $7C, $62, $63, $63, $63, $62, $7C, $00
                        byte   $3F, $70, $60, $7C, $60, $70, $3F, $00, $1F, $20, $60, $7C, $60, $20, $1F, $00
                        byte   $3F, $70, $60, $7C, $60, $60, $60, $00, $1F, $20, $60, $7C, $60, $60, $60, $00
                        byte   $3F, $70, $60, $6F, $63, $77, $3E, $00, $1F, $20, $60, $6F, $63, $22, $1C, $00
                        byte   $63, $63, $63, $7F, $63, $63, $63, $00, $63, $63, $63, $7F, $63, $63, $63, $00
                        byte   $7E, $18, $18, $18, $18, $18, $7E, $00, $3C, $18, $18, $18, $18, $18, $3C, $00
                        byte   $03, $03, $03, $63, $63, $77, $3E, $00, $03, $03, $03, $63, $63, $22, $1C, $00
                        byte   $63, $63, $67, $7E, $67, $63, $63, $00, $63, $63, $62, $7C, $62, $63, $63, $00
                        byte   $60, $60, $60, $60, $60, $60, $7F, $00, $60, $60, $60, $60, $60, $60, $7F, $00
                        byte   $77, $7F, $7F, $6B, $63, $63, $63, $00, $63, $77, $6B, $63, $63, $63, $63, $00
                        byte   $73, $7B, $7F, $6F, $67, $63, $63, $00, $63, $73, $6B, $67, $63, $63, $63, $00
                        byte   $3E, $77, $63, $63, $63, $77, $3E, $00, $1C, $22, $63, $63, $63, $22, $1C, $00
                        byte   $7F, $63, $63, $7F, $60, $60, $60, $00, $7E, $63, $63, $7E, $60, $60, $60, $00
                        byte   $3E, $77, $63, $63, $63, $77, $3E, $07, $1C, $22, $63, $63, $63, $22, $1C, $03
                        byte   $7F, $63, $63, $7F, $63, $63, $63, $00, $7E, $63, $63, $7E, $63, $63, $63, $00
                        byte   $7F, $67, $60, $7F, $03, $73, $7F, $00, $3E, $63, $60, $3E, $03, $63, $3E, $00
                        byte   $FF, $18, $18, $18, $18, $18, $18, $00, $7E, $18, $18, $18, $18, $18, $18, $00
                        byte   $63, $63, $63, $63, $63, $77, $3E, $00, $63, $63, $63, $63, $63, $22, $1C, $00
                        byte   $63, $63, $63, $63, $77, $3E, $1C, $00, $63, $63, $63, $63, $22, $14, $08, $00
                        byte   $63, $63, $63, $6B, $7F, $7F, $77, $00, $63, $63, $63, $63, $6B, $77, $63, $00
                        byte   $63, $63, $77, $3E, $77, $63, $63, $00, $63, $63, $22, $1C, $22, $63, $63, $00
                        byte   $63, $63, $73, $3F, $03, $07, $7E, $00, $63, $63, $23, $1F, $03, $02, $7C, $00
                        byte   $7F, $0F, $1E, $3C, $78, $70, $7F, $00, $7F, $06, $0C, $18, $30, $60, $7F, $00
                        byte   $3C, $30, $30, $30, $30, $30, $3C, $00, $3C, $30, $30, $30, $30, $30, $3C, $00
                        byte   $60, $70, $78, $3C, $1E, $0E, $06, $00, $40, $60, $30, $18, $0C, $06, $02, $00
                        byte   $3C, $0C, $0C, $0C, $0C, $0C, $3C, $00, $3C, $0C, $0C, $0C, $0C, $0C, $3C, $00
                        byte   $3C, $7E, $66, $42, $00, $00, $00, $00, $18, $3C, $42, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $7E, $00, $00, $00, $00, $00, $00, $00, $7E, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $3C, $3C, $3C, $3C, $18, $00, $18, $00, $18, $3C, $3C, $18, $18, $00, $18, $00
                        byte   $36, $7E, $7E, $00, $00, $00, $00, $00, $36, $36, $6C, $00, $00, $00, $00, $00
                        byte   $36, $7F, $7F, $7F, $7F, $7F, $36, $00, $36, $36, $7F, $36, $7F, $36, $36, $00
                        byte   $18, $7E, $78, $7E, $1E, $7E, $18, $00, $18, $3E, $78, $3C, $1E, $7C, $18, $00
                        byte   $66, $6E, $1E, $3C, $78, $76, $66, $00, $62, $66, $0C, $18, $30, $66, $46, $00
                        byte   $7C, $6C, $6C, $7C, $6E, $6E, $7E, $00, $38, $6C, $6C, $38, $6E, $6C, $36, $00
                        byte   $18, $38, $38, $00, $00, $00, $00, $00, $18, $18, $30, $00, $00, $00, $00, $00
                        byte   $1C, $38, $30, $30, $30, $38, $1C, $00, $0C, $10, $30, $30, $30, $10, $0C, $00
                        byte   $38, $1C, $0C, $0C, $0C, $1C, $38, $00, $30, $08, $0C, $0C, $0C, $08, $30, $00
                        byte   $99, $7E, $7E, $FF, $7E, $7E, $99, $00, $18, $5A, $3C, $7E, $3C, $5A, $18, $00
                        byte   $00, $18, $18, $7E, $18, $18, $00, $00, $00, $18, $18, $7E, $18, $18, $00, $00
                        byte   $00, $00, $00, $00, $00, $18, $38, $38, $00, $00, $00, $00, $00, $18, $18, $30
                        byte   $00, $00, $00, $7E, $00, $00, $00, $00, $00, $00, $00, $7E, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $18, $18, $00, $00, $00, $00, $00, $00, $18, $18, $00
                        byte   $06, $0E, $1E, $3C, $78, $70, $60, $00, $02, $06, $0C, $18, $30, $60, $40, $00
                        byte   $3E, $77, $6F, $7F, $7B, $73, $3E, $00, $1C, $22, $67, $6B, $73, $22, $1C, $00
                        byte   $18, $38, $38, $38, $18, $18, $7E, $00, $08, $18, $38, $18, $18, $18, $3C, $00
                        byte   $7F, $03, $03, $7F, $60, $60, $7F, $00, $7E, $03, $03, $3E, $60, $60, $7F, $00
                        byte   $7E, $07, $03, $1F, $03, $07, $7E, $00, $7C, $02, $03, $1F, $03, $02, $7C, $00
                        byte   $3E, $76, $66, $7F, $06, $06, $06, $00, $1E, $26, $66, $7F, $06, $06, $06, $00
                        byte   $7F, $60, $60, $7F, $03, $03, $7F, $00, $7F, $60, $60, $7E, $03, $03, $7E, $00
                        byte   $3F, $70, $60, $7F, $63, $73, $3E, $00, $1F, $20, $60, $7E, $63, $23, $1E, $00
                        byte   $7F, $03, $07, $0E, $0C, $0C, $0C, $00, $7F, $03, $02, $04, $0C, $0C, $0C, $00
                        byte   $7F, $63, $63, $7F, $63, $63, $7F, $00, $3E, $63, $63, $3E, $63, $63, $3E, $00
                        byte   $7E, $67, $63, $7F, $03, $07, $7E, $00, $3C, $62, $63, $3F, $03, $02, $3C, $00
                        byte   $00, $18, $18, $00, $00, $18, $18, $00, $00, $18, $18, $00, $00, $18, $18, $00
                        byte   $00, $18, $18, $00, $00, $18, $38, $38, $00, $18, $18, $00, $00, $18, $18, $30
                        byte   $1C, $3C, $78, $70, $78, $3C, $1C, $00, $0C, $18, $30, $60, $30, $18, $0C, $00
                        byte   $00, $00, $7E, $00, $00, $7E, $00, $00, $00, $00, $7E, $00, $00, $7E, $00, $00
                        byte   $38, $3C, $1E, $0E, $1E, $3C, $38, $00, $30, $18, $0C, $06, $0C, $18, $30, $00
                        byte   $7E, $66, $6E, $1E, $1C, $00, $18, $00, $3C, $66, $66, $0C, $18, $00, $18, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00

' Data Type: NES PPU Pallettes
' Size: 2x16 bytes
' Range: $3F00-$3F1F in PPU memory
_pallettes
'

                        byte   $00, $15, $15, $05, $00, $AA, $05, $AA, $00, $BA, $00, $CA, $00, $BA, $05, $CA
                        byte   $00, $9A, $05, $C9, $00, $2A, $05, $FC, $00, $3B, $05, $3B, $00, $B9, $05, $AA
'

' 256 bytes of sprite data
' Y position (0-240, 241-255 for invisible)
' Tile index number
' Attributes
' X position of left side of sprite
'
_ROM_end