' Image of "100-in-1" NES ROM
' created with ppumem2spin.py


CON
   letter_offset = $40          ' offset to letter "A"-1 in tilemap
   number_offset = $30          ' offset to "0" character in tilemap
   nametable_offset = 0         ' the location for the display of debugging data
   blank_char = $40             ' tilemap index of blank
   dash_char = $3F              ' tilemap index of "-"
   char_pattern_table=0         ' 0 for first pattern table ($0-$0FFF) 1 for second ($1000-1FFF)
   start_of_PRG_ROM=$8000       ' pointer to location of ROM program data
   reset_ptr=$BB8C              ' pointer to location of reset location pointer (normally $FFFC)
   nmi_ptr=$BB8A                ' pointer to location of nmi location pointer (normally $FFFA)


PUB NES_memory_start 
RETURN @_memory_start

PUB pattern_tables 
RETURN @_pattern_tables

PUB pallettes 
RETURN @_pallettes

PUB ROM_data
RETURN @_ROM_data

DAT
'
' 40 bytes of basic ROM data
'
_ROM_data               long    @_ROM_end-@_ROM_data
                        word    @_memory_start-@_ROM_data,@_pattern_tables-@_ROM_data,@_pallettes-@_ROM_data,0
                        word    start_of_PRG_ROM,reset_ptr,nmi_ptr
                        byte    letter_offset,number_offset,nametable_offset,blank_char
                        byte    dash_char,char_pattern_table
                        byte    "4. 100-IN-1",0,0,0,0,0,0,0
' Data Type: NES Rom Dump
' Size: 16 KB
' Range: $8000-$BFFF
_memory_start
' $8000
                        byte   $78, $D8, $A2, $FF, $9A, $20, $9C, $B8, $A9, $00, $8D, $00, $20, $85, $58, $85
'                        byte   $59, $85, $65, $85, $48, $A9, $40, $8D, $00, $80, $A9, $40, $8D, $00, $80, $20
'                        byte   $E3, $BA, $A9, $00, $8D, $00, $20, $8D, $01, $20, $20, $12, $B7, $20, $9C, $B8
                        byte   $59, $85, $65, $85, $48, $EA, $EA, $EA, $EA, $EA, $EA, $EA, $EA, $EA, $EA, $20
                        byte   $E3, $BA, $A9, $00, $8D, $00, $20, $8D, $01, $20, $20, $12, $B7, $20, $9C, $B8
                        byte   $20, $33, $B8, $20, $58, $B8, $20, $2B, $B7, $A2, $20, $86, $64, $A9, $00, $85
                        byte   $34, $85, $44, $85, $53, $85, $51, $85, $52, $A9, $03, $85, $62, $A9, $00, $85
                        byte   $63, $A9, $00, $85, $7A, $20, $B4, $B9, $A9, $FF, $85, $AA, $A9, $80, $85, $69
                        byte   $A9, $1E, $85, $6A, $20, $11, $B8, $A5, $7A, $C9, $FF, $F0, $03, $4C, $67, $80
                        byte   $4C, $00, $00, $48, $08, $20, $DD, $94, $A9, $02, $8D, $14, $40, $20, $48, $95
                        byte   $20, $6A, $95, $20, $49, $B9, $20, $95, $80, $20, $2B, $A6, $20, $A1, $B5, $20
                        byte   $20, $B6, $28, $68, $40, $A5, $62, $0A, $AA, $BD, $B3, $80, $85, $30, $BD, $B4
                        byte   $80, $85, $31, $A5, $63, $0A, $A8, $B1, $30, $85, $40, $C8, $B1, $30, $85, $41
                        byte   $6C, $40, $00, $C7, $80, $CF, $80, $DF, $80, $F9, $80, $11, $81, $29, $81, $41
                        byte   $81, $59, $81, $71, $81, $89, $81, $9F, $81, $A9, $81, $C3, $81, $02, $82, $1D
                        byte   $82, $27, $82, $50, $82, $7D, $82, $95, $82, $AD, $82, $AE, $82, $AF, $82, $B0
                        byte   $82, $CD, $82, $E3, $82, $06, $83, $15, $83, $36, $83, $43, $83, $8E, $83, $9D
' $8100
                        byte   $83, $C2, $83, $E7, $83, $FA, $83, $0E, $84, $22, $84, $48, $84, $6D, $84, $8E
                        byte   $84, $91, $84, $CE, $84, $DD, $84, $FE, $84, $1F, $85, $20, $85, $30, $85, $43
                        byte   $85, $44, $85, $83, $85, $9A, $85, $9D, $85, $19, $86, $46, $86, $73, $86, $8E
                        byte   $86, $A9, $86, $C1, $86, $C2, $86, $D2, $86, $D7, $86, $0C, $87, $23, $87, $26
                        byte   $87, $A2, $87, $CF, $87, $FC, $87, $17, $88, $32, $88, $4A, $88, $4B, $88, $5B
                        byte   $88, $5E, $88, $93, $88, $AA, $88, $AD, $88, $3C, $89, $69, $89, $96, $89, $B1
                        byte   $89, $CC, $89, $E4, $89, $F4, $89, $04, $8A, $07, $8A, $3C, $8A, $53, $8A, $56
                        byte   $8A, $CB, $8A, $F8, $8A, $25, $8B, $40, $8B, $5B, $8B, $73, $8B, $74, $8B, $84
                        byte   $8B, $9C, $8B, $D5, $8B, $EC, $8B, $EF, $8B, $64, $8C, $91, $8C, $BE, $8C, $D9
                        byte   $8C, $F4, $8C, $0E, $8D, $0F, $8D, $1F, $8D, $37, $8D, $41, $8D, $CC, $8D, $FC
                        byte   $8E, $3D, $8F, $40, $8F, $66, $8F, $8D, $8F, $32, $90, $CD, $90, $E3, $90, $A9
                        byte   $0A, $85, $34, $20, $1E, $91, $E6, $63, $60, $A9, $00, $85, $34, $20, $1E, $91
'
'                        byte   $E6, $63, $A9, $70, $85, $58, $A9, $28, $85, $64, $A9, $80, $85, $69, $A9, $1E
                        byte   $E6, $63, $A9, $70, $85, $58, $A9, $82, $85, $69, $A9, $82, $85, $69, $A9, $1E
                        byte   $85, $6A, $60, $A5, $68, $C9, $80, $F0, $29, $E6, $61, $A5, $61, $C9, $03, $D0
'                        byte   $20, $A9, $00, $85, $61, $E6, $58, $A5, $58, $C9, $F0, $D0, $08, $A9, $20, $85
'                        byte   $64, $A9, $00, $85, $58, $A5, $58, $C9, $40, $D0, $06, $E6, $63, $A9, $FF, $85
                        byte   $20, $A9, $00, $85, $61, $E6, $58, $A5, $58, $C9, $F0, $D0, $08, $A9, $80, $85
' $8200
                        byte   $69, $A9, $00, $85, $58, $A5, $58, $C9, $40, $D0, $06, $E6, $63, $A9, $FF, $85
                        byte   $53, $60, $A9, $03, $85, $62, $A9, $00, $85, $63, $A9, $0A, $85, $34, $20, $1E
                        byte   $91, $60, $A5, $52, $C9, $05, $D0, $14, $A9, $00, $85, $63, $85, $52, $85, $53
                        byte   $85, $61, $E6, $62, $A9, $80, $85, $69, $A9, $00, $85, $58, $60, $A9, $0A, $85
                        byte   $34, $20, $1E, $91, $E6, $63, $60, $A9, $00, $8D, $00, $20, $A9, $07, $85, $6B
                        byte   $A9, $01, $85, $34, $20, $1E, $91, $C6, $36, $20, $87, $B9, $A9, $80, $85, $69
                        byte   $A9, $1E, $85, $6A, $E6, $63, $A9, $FF, $85, $53, $A9, $80, $8D, $00, $20, $60
                        byte   $A5, $52, $C9, $0F, $D0, $08, $20, $73, $B9, $A9, $03, $85, $63, $60, $A9, $03
                        byte   $85, $38, $A9, $00, $85, $36, $A2, $02, $A5, $68, $C9, $10, $D0, $0E, $A9, $00
                        byte   $85, $AA, $20, $E9, $B8, $20, $73, $B9, $A9, $04, $85, $63, $60, $A9, $0A, $85
                        byte   $34, $20, $1E, $91, $E6, $62, $A9, $00, $85, $63, $A9, $00, $85, $53, $85, $52
                        byte   $A9, $FF, $85, $53, $60, $A9, $0A, $85, $34, $20, $1E, $91, $E6, $62, $A9, $00
                        byte   $85, $63, $A9, $00, $85, $53, $85, $52, $A9, $FF, $85, $53, $60, $60, $60, $60
                        byte   $E6, $62, $A9, $00, $85, $63, $60, $A9, $0A, $85, $34, $20, $1E, $91, $E6, $63
                        byte   $A9, $00, $85, $AA, $A9, $02, $85, $A9, $A9, $00, $85, $93, $60, $A9, $02, $85
                        byte   $34, $20, $1E, $91, $E6, $63, $A9, $82, $85, $69, $A9, $80, $85, $69, $A9, $1E
                        byte   $85, $6A, $60, $E6, $61, $A5, $61, $C9, $01, $D0, $1A, $A9, $00, $85, $61, $E6
                        byte   $58, $A5, $58, $C9, $F0, $D0, $0E, $A9, $80, $85, $69, $A9, $00, $85, $58, $E6
                        byte   $63, $A9, $FF, $85, $53, $60, $A5, $52, $C9, $01, $D0, $08, $A9, $00, $85, $53
                        byte   $85, $52, $E6, $63, $60, $A9, $00, $8D, $00, $20, $A9, $00, $85, $6A, $A5, $6D
                        byte   $85, $6B, $A9, $03, $85, $34, $20, $1E, $91, $C6, $36, $20, $87, $B9, $E6, $63
                        byte   $A9, $80, $8D, $00, $20, $60, $A9, $1E, $85, $6A, $A9, $00, $85, $55, $85, $57
                        byte   $E6, $63, $60, $E6, $55, $A5, $55, $C9, $3C, $D0, $10, $E6, $57, $A5, $57, $C9
                        byte   $0A, $D0, $08, $20, $73, $B9, $A9, $0B, $85, $63, $60, $A9, $03, $85, $38, $A9
                        byte   $00, $85, $36, $A2, $06, $A5, $68, $C9, $80, $D0, $02, $A2, $07, $A5, $68, $C9
                        byte   $08, $D0, $02, $A2, $08, $A5, $68, $C9, $04, $D0, $02, $A2, $09, $A5, $68, $C9
                        byte   $40, $D0, $08, $20, $A7, $B8, $20, $73, $B9, $A2, $0C, $86, $63, $60, $20, $A7
                        byte   $B8, $20, $73, $B9, $A9, $0A, $85, $63, $A5, $6B, $85, $6D, $60, $20, $E9, $B8
                        byte   $C6, $6B, $A5, $6B, $C9, $01, $F0, $0D, $E6, $6B, $20, $73, $B9, $C6, $6B, $20
                        byte   $87, $B9, $4C, $B9, $83, $A9, $02, $85, $6B, $A2, $06, $86, $63, $A9, $00, $85
                        byte   $57, $60, $20, $E9, $B8, $E6, $6B, $A5, $6B, $C9, $08, $F0, $0D, $C6, $6B, $20
                        byte   $73, $B9, $E6, $6B, $20, $87, $B9, $4C, $DE, $83, $A9, $07, $85, $6B, $A2, $06
                        byte   $86, $63, $A9, $00, $85, $57, $60, $A9, $0A, $85, $34, $20, $1E, $91, $A5, $6B
                        byte   $18, $69, $02, $85, $62, $A9, $00, $85, $63, $60, $A9, $0A, $85, $34, $20, $1E
                        byte   $91, $A9, $04, $85, $62, $A9, $00, $85, $63, $A9, $00, $85, $AA, $60, $A9, $0A
                        byte   $85, $34, $20, $1E, $91, $A5, $6B, $85, $6D, $A9, $01, $85, $62, $A9, $00, $85
                        byte   $63, $60, $A9, $00, $8D, $00, $20, $A9, $0A, $85, $34, $20, $1E, $91, $E6, $63
                        byte   $A9, $80, $8D, $00, $20, $A9, $00, $85, $AA, $A5, $A9, $C9, $02, $F0, $08, $A9
                        byte   $02, $85, $A9, $A9, $00, $85, $93, $60, $A9, $00, $8D, $00, $20, $A9, $03, $85
                        byte   $34, $20, $1E, $91, $E6, $63, $A9, $80, $85, $69, $A9, $F0, $85, $58, $A5, $6F
                        byte   $85, $6B, $C6, $36, $20, $87, $B9, $A9, $80, $8D, $00, $20, $60, $A5, $68, $C9
                        byte   $10, $F0, $0C, $C6, $58, $C6, $58, $C6, $58, $A5, $58, $C9, $00, $D0, $0E, $E6
                        byte   $63, $A9, $80, $85, $69, $A9, $00, $85, $58, $85, $55, $85, $57, $60, $E6, $63
                        byte   $60, $E6, $55, $A5, $55, $C9, $3C, $D0, $10, $E6, $57, $A5, $57, $C9, $0A, $D0
                        byte   $08, $20, $73, $B9, $A9, $09, $85, $63, $60, $A9, $03, $85, $38, $A9, $00, $85
                        byte   $36, $A2, $04, $A5, $68, $C9, $80, $D0, $02, $A2, $05, $A5, $68, $C9, $08, $D0
                        byte   $02, $A2, $06, $A5, $68, $C9, $04, $D0, $02, $A2, $07, $86, $63, $60, $20, $A7
                        byte   $B8, $20, $73, $B9, $A9, $0A, $85, $63, $A5, $6B, $85, $6F, $60, $20, $E9, $B8
                        byte   $C6, $6B, $A5, $6B, $C9, $02, $F0, $0D, $E6, $6B, $20, $73, $B9, $C6, $6B, $20
                        byte   $87, $B9, $4C, $F9, $84, $A9, $03, $85, $6B, $A2, $04, $86, $63, $60, $20, $E9
' $8500
                        byte   $B8, $E6, $6B, $A5, $6B, $C9, $08, $F0, $0D, $C6, $6B, $20, $73, $B9, $E6, $6B
                        byte   $20, $87, $B9, $4C, $1A, $85, $A9, $07, $85, $6B, $A2, $04, $86, $63, $60, $60
                        byte   $A9, $0A, $85, $34, $20, $1E, $91, $A9, $04, $85, $62, $A9, $00, $85, $63, $60
                        byte   $A9, $0A, $85, $34, $20, $1E, $91, $A5, $6B, $18, $69, $01, $85, $62, $A9, $00
                        byte   $85, $63, $60, $60, $A9, $00, $8D, $00, $20, $E6, $63, $A5, $70, $85, $6B, $A9
                        byte   $00, $85, $44, $A9, $04, $85, $34, $20, $1E, $91, $C6, $36, $20, $05, $B9, $A9
                        byte   $82, $85, $69, $A9, $00, $85, $58, $85, $59, $85, $65, $A9, $00, $85, $A9, $85
                        byte   $AA, $A9, $00, $85, $93, $A9, $80, $8D, $00, $20, $A9, $82, $85, $69, $A9, $1E
                        byte   $85, $6A, $60, $E6, $58, $E6, $58, $E6, $58, $A6, $58, $E0, $F0, $D0, $0A, $E6
                        byte   $63, $A9, $80, $85, $69, $A9, $00, $85, $58, $60, $E6, $63, $60, $A9, $03, $85
                        byte   $38, $A9, $00, $85, $36, $A2, $03, $A9, $1E, $85, $6A, $A5, $68, $C9, $08, $D0
                        byte   $05, $A2, $04, $4C, $16, $86, $C9, $04, $D0, $05, $A2, $05, $4C, $16, $86, $C9
                        byte   $02, $D0, $05, $A2, $06, $4C, $16, $86, $C9, $01, $D0, $05, $A2, $07, $4C, $16
                        byte   $86, $A5, $68, $C9, $40, $D0, $0F, $20, $A7, $B8, $20, $00, $B9, $A9, $0A, $85
                        byte   $63, $A5, $6B, $85, $70, $60, $A5, $68, $C9, $80, $D0, $1F, $20, $A7, $B8, $20
                        byte   $00, $B9, $20, $9B, $B9, $20, $A6, $B9, $18, $A5, $6B, $65, $8C, $85, $09, $A9
' $8600
                        byte   $0A, $85, $34, $20, $1E, $91, $A2, $0B, $4C, $16, $86, $A5, $68, $C9, $20, $D0
                        byte   $05, $20, $00, $B9, $A2, $08, $86, $63, $60, $20, $E9, $B8, $C6, $6B, $A5, $6B
                        byte   $C9, $FF, $F0, $0F, $E6, $6B, $20, $00, $B9, $C6, $6B, $20, $05, $B9, $A9, $03
                        byte   $85, $63, $60, $A9, $00, $85, $6B, $20, $00, $B9, $A9, $13, $85, $6B, $20, $05
                        byte   $B9, $A9, $03, $85, $63, $60, $20, $E9, $B8, $E6, $6B, $A5, $6B, $C9, $14, $F0
                        byte   $0F, $C6, $6B, $20, $00, $B9, $E6, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60
                        byte   $A9, $13, $85, $6B, $20, $00, $B9, $A9, $00, $85, $6B, $20, $05, $B9, $A9, $03
                        byte   $85, $63, $60, $20, $E9, $B8, $A5, $6B, $C9, $0A, $90, $0D, $20, $00, $B9, $A5
                        byte   $6B, $38, $E9, $0A, $85, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $20, $E9
                        byte   $B8, $A5, $6B, $C9, $0A, $B0, $0D, $20, $00, $B9, $A5, $6B, $18, $69, $0A, $85
                        byte   $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $20, $A7, $B8, $20, $00, $B9, $A9
                        byte   $0A, $85, $34, $20, $1E, $91, $A5, $6B, $85, $70, $E6, $62, $A9, $00, $85, $63
                        byte   $60, $60, $A9, $0A, $85, $34, $20, $1E, $91, $A9, $03, $85, $62, $A9, $00, $85
                        byte   $63, $60, $A9, $FF, $85, $7A, $60, $A5, $71, $85, $6B, $A9, $00, $8D, $00, $20
                        byte   $A9, $05, $85, $34, $20, $1E, $91, $C6, $36, $20, $05, $B9, $E6, $63, $A9, $82
                        byte   $85, $69, $A9, $80, $8D, $00, $20, $A9, $82, $85, $69, $A9, $1E, $85, $6A, $A9
' $8700
                        byte   $00, $85, $AA, $A9, $00, $85, $A9, $A9, $00, $85, $93, $60, $E6, $58, $E6, $58
                        byte   $E6, $58, $A5, $58, $C9, $F0, $D0, $0A, $E6, $63, $A9, $80, $85, $69, $A9, $00
                        byte   $85, $58, $60, $E6, $63, $60, $A9, $03, $85, $38, $A9, $00, $85, $36, $A2, $03
                        byte   $A9, $1E, $85, $6A, $A5, $68, $C9, $08, $D0, $05, $A2, $04, $4C, $9F, $87, $C9
                        byte   $04, $D0, $05, $A2, $05, $4C, $9F, $87, $C9, $02, $D0, $05, $A2, $06, $4C, $9F
                        byte   $87, $C9, $01, $D0, $05, $A2, $07, $4C, $9F, $87, $A5, $68, $C9, $40, $D0, $0F
                        byte   $20, $A7, $B8, $20, $00, $B9, $A9, $0A, $85, $63, $A5, $6B, $85, $71, $60, $A5
                        byte   $68, $C9, $80, $D0, $1F, $20, $A7, $B8, $20, $00, $B9, $20, $9B, $B9, $20, $A6
                        byte   $B9, $18, $A5, $6B, $65, $8D, $85, $09, $A9, $0A, $85, $34, $20, $1E, $91, $A2
                        byte   $0B, $4C, $9F, $87, $A5, $68, $C9, $20, $D0, $05, $20, $00, $B9, $A2, $08, $86
                        byte   $63, $60, $20, $E9, $B8, $C6, $6B, $A5, $6B, $C9, $FF, $F0, $0F, $E6, $6B, $20
                        byte   $00, $B9, $C6, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $A9, $00, $85, $6B
                        byte   $20, $00, $B9, $A9, $13, $85, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $20
                        byte   $E9, $B8, $E6, $6B, $A5, $6B, $C9, $14, $F0, $0F, $C6, $6B, $20, $00, $B9, $E6
                        byte   $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $A9, $13, $85, $6B, $20, $00, $B9
                        byte   $A9, $00, $85, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $20, $E9, $B8, $A5
' $8800
                        byte   $6B, $C9, $0A, $90, $0D, $20, $00, $B9, $A5, $6B, $38, $E9, $0A, $85, $6B, $20
                        byte   $05, $B9, $A9, $03, $85, $63, $60, $20, $E9, $B8, $A5, $6B, $C9, $0A, $B0, $0D
                        byte   $20, $00, $B9, $A5, $6B, $18, $69, $0A, $85, $6B, $20, $05, $B9, $A9, $03, $85
                        byte   $63, $60, $20, $A7, $B8, $20, $00, $B9, $A9, $0A, $85, $34, $20, $1E, $91, $A5
                        byte   $6B, $85, $71, $E6, $62, $A9, $00, $85, $63, $60, $60, $A9, $0A, $85, $34, $20
                        byte   $1E, $91, $A9, $03, $85, $62, $A9, $00, $85, $63, $60, $4C, $00, $D0, $A5, $72
                        byte   $85, $6B, $A9, $00, $8D, $00, $20, $A9, $06, $85, $34, $20, $1E, $91, $C6, $36
                        byte   $20, $05, $B9, $E6, $63, $A9, $82, $85, $69, $A9, $80, $8D, $00, $20, $A9, $82
                        byte   $85, $69, $A9, $1E, $85, $6A, $A9, $00, $85, $AA, $A9, $00, $85, $A9, $A9, $00
                        byte   $85, $93, $60, $E6, $58, $E6, $58, $E6, $58, $A5, $58, $C9, $F0, $D0, $0A, $E6
                        byte   $63, $A9, $80, $85, $69, $A9, $00, $85, $58, $60, $E6, $63, $60, $A9, $03, $85
                        byte   $38, $A9, $00, $85, $36, $A2, $03, $A9, $1E, $85, $6A, $A5, $68, $C9, $08, $D0
                        byte   $05, $A2, $04, $4C, $39, $89, $C9, $04, $D0, $05, $A2, $05, $4C, $39, $89, $C9
                        byte   $02, $D0, $05, $A2, $06, $4C, $39, $89, $C9, $01, $D0, $05, $A2, $07, $4C, $39
                        byte   $89, $A5, $68, $C9, $40, $D0, $0F, $20, $A7, $B8, $20, $00, $B9, $A9, $0A, $85
                        byte   $63, $A5, $6B, $85, $72, $60, $A5, $68, $C9, $80, $D0, $32, $20, $A7, $B8, $20
' $8900
                        byte   $00, $B9, $20, $9B, $B9, $20, $A6, $B9, $18, $A5, $6B, $65, $8E, $85, $09, $A5
                        byte   $6B, $C9, $12, $B0, $0C, $A9, $0A, $85, $34, $20, $1E, $91, $A2, $0B, $4C, $39
                        byte   $89, $A5, $62, $85, $75, $A5, $6B, $85, $72, $A2, $09, $4C, $39, $89, $A5, $68
                        byte   $C9, $20, $D0, $05, $20, $00, $B9, $A2, $08, $86, $63, $60, $20, $E9, $B8, $C6
                        byte   $6B, $A5, $6B, $C9, $FF, $F0, $0F, $E6, $6B, $20, $00, $B9, $C6, $6B, $20, $05
                        byte   $B9, $A9, $03, $85, $63, $60, $A9, $00, $85, $6B, $20, $00, $B9, $A9, $13, $85
                        byte   $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $20, $E9, $B8, $E6, $6B, $A5, $6B
                        byte   $C9, $14, $F0, $0F, $C6, $6B, $20, $00, $B9, $E6, $6B, $20, $05, $B9, $A9, $03
                        byte   $85, $63, $60, $A9, $13, $85, $6B, $20, $00, $B9, $A9, $00, $85, $6B, $20, $05
                        byte   $B9, $A9, $03, $85, $63, $60, $20, $E9, $B8, $A5, $6B, $C9, $0A, $90, $0D, $20
                        byte   $00, $B9, $A5, $6B, $38, $E9, $0A, $85, $6B, $20, $05, $B9, $A9, $03, $85, $63
                        byte   $60, $20, $E9, $B8, $A5, $6B, $C9, $0A, $B0, $0D, $20, $00, $B9, $A5, $6B, $18
                        byte   $69, $0A, $85, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $20, $A7, $B8, $20
                        byte   $00, $B9, $A9, $0A, $85, $34, $20, $1E, $91, $A5, $6B, $85, $72, $E6, $62, $A9
                        byte   $00, $85, $63, $60, $A9, $0A, $85, $34, $20, $1E, $91, $A9, $09, $85, $62, $A9
                        byte   $00, $85, $63, $60, $A9, $0A, $85, $34, $20, $1E, $91, $A9, $03, $85, $62, $A9
' $8A00
                        byte   $00, $85, $63, $60, $4C, $00, $D0, $A5, $73, $85, $6B, $A9, $00, $8D, $00, $20
                        byte   $A9, $07, $85, $34, $20, $1E, $91, $C6, $36, $20, $05, $B9, $E6, $63, $A9, $82
                        byte   $85, $69, $A9, $80, $8D, $00, $20, $A9, $82, $85, $69, $A9, $1E, $85, $6A, $A9
                        byte   $00, $85, $AA, $A9, $00, $85, $A9, $A9, $00, $85, $93, $60, $E6, $58, $E6, $58
                        byte   $E6, $58, $A5, $58, $C9, $F0, $D0, $0A, $E6, $63, $A9, $80, $85, $69, $A9, $00
                        byte   $85, $58, $60, $E6, $63, $60, $A9, $03, $85, $38, $A9, $00, $85, $36, $A2, $03
                        byte   $A9, $1E, $85, $6A, $A5, $68, $C9, $08, $D0, $05, $A2, $04, $4C, $C8, $8A, $C9
                        byte   $04, $D0, $05, $A2, $05, $4C, $C8, $8A, $C9, $02, $D0, $05, $A2, $06, $4C, $C8
                        byte   $8A, $C9, $01, $D0, $05, $A2, $07, $4C, $C8, $8A, $A5, $68, $C9, $40, $D0, $0F
                        byte   $20, $A7, $B8, $20, $00, $B9, $A9, $0A, $85, $63, $A5, $6B, $85, $73, $60, $A5
                        byte   $68, $C9, $80, $D0, $18, $20, $A7, $B8, $20, $00, $B9, $20, $9B, $B9, $20, $A6
                        byte   $B9, $18, $A5, $6B, $65, $8F, $85, $09, $A2, $0B, $4C, $C8, $8A, $A5, $68, $C9
                        byte   $20, $D0, $05, $20, $00, $B9, $A2, $08, $86, $63, $60, $20, $E9, $B8, $C6, $6B
                        byte   $A5, $6B, $C9, $FF, $F0, $0F, $E6, $6B, $20, $00, $B9, $C6, $6B, $20, $05, $B9
                        byte   $A9, $03, $85, $63, $60, $A9, $00, $85, $6B, $20, $00, $B9, $A9, $13, $85, $6B
                        byte   $20, $05, $B9, $A9, $03, $85, $63, $60, $20, $E9, $B8, $E6, $6B, $A5, $6B, $C9
' $8B00
                        byte   $14, $F0, $0F, $C6, $6B, $20, $00, $B9, $E6, $6B, $20, $05, $B9, $A9, $03, $85
                        byte   $63, $60, $A9, $13, $85, $6B, $20, $00, $B9, $A9, $00, $85, $6B, $20, $05, $B9
                        byte   $A9, $03, $85, $63, $60, $20, $E9, $B8, $A5, $6B, $C9, $0A, $90, $0D, $20, $00
                        byte   $B9, $A5, $6B, $38, $E9, $0A, $85, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60
                        byte   $20, $E9, $B8, $A5, $6B, $C9, $0A, $B0, $0D, $20, $00, $B9, $A5, $6B, $18, $69
                        byte   $0A, $85, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $20, $A7, $B8, $20, $00
                        byte   $B9, $A9, $0A, $85, $34, $20, $1E, $91, $A5, $6B, $85, $73, $E6, $62, $A9, $00
                        byte   $85, $63, $60, $60, $A9, $0A, $85, $34, $20, $1E, $91, $A9, $03, $85, $62, $A9
                        byte   $00, $85, $63, $60, $A9, $0A, $85, $34, $20, $1E, $91, $A5, $62, $85, $75, $A5
                        byte   $6B, $85, $73, $A9, $09, $85, $62, $A9, $00, $85, $63, $60, $A5, $74, $85, $6B
                        byte   $A9, $00, $8D, $00, $20, $A9, $08, $85, $34, $20, $1E, $91, $C6, $36, $20, $05
                        byte   $B9, $E6, $63, $A9, $82, $85, $69, $A9, $80, $8D, $00, $20, $A9, $82, $85, $69
                        byte   $A9, $1E, $85, $6A, $A9, $00, $85, $AA, $A9, $00, $85, $AA, $A9, $00, $85, $A9
                        byte   $A9, $00, $85, $93, $60, $E6, $58, $E6, $58, $E6, $58, $A5, $58, $C9, $F0, $D0
                        byte   $0A, $E6, $63, $A9, $80, $85, $69, $A9, $00, $85, $58, $60, $E6, $63, $60, $A9
                        byte   $03, $85, $38, $A9, $00, $85, $36, $A2, $03, $A9, $1E, $85, $6A, $A5, $68, $C9
                        byte   $08, $D0, $05, $A2, $04, $4C, $61, $8C, $C9, $04, $D0, $05, $A2, $05, $4C, $61
                        byte   $8C, $C9, $02, $D0, $05, $A2, $06, $4C, $61, $8C, $C9, $01, $D0, $05, $A2, $07
                        byte   $4C, $61, $8C, $A5, $68, $C9, $40, $D0, $0F, $20, $A7, $B8, $20, $00, $B9, $A9
                        byte   $0A, $85, $63, $A5, $6B, $85, $74, $60, $A5, $68, $C9, $80, $D0, $18, $20, $A7
                        byte   $B8, $20, $00, $B9, $20, $9B, $B9, $20, $A6, $B9, $18, $A5, $6B, $65, $90, $85
                        byte   $09, $A2, $0B, $4C, $61, $8C, $A5, $68, $C9, $20, $D0, $05, $20, $00, $B9, $A2
                        byte   $08, $86, $63, $60, $20, $E9, $B8, $C6, $6B, $A5, $6B, $C9, $FF, $F0, $0F, $E6
                        byte   $6B, $20, $00, $B9, $C6, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $A9, $00
                        byte   $85, $6B, $20, $00, $B9, $A9, $13, $85, $6B, $20, $05, $B9, $A9, $03, $85, $63
                        byte   $60, $20, $E9, $B8, $E6, $6B, $A5, $6B, $C9, $14, $F0, $0F, $C6, $6B, $20, $00
                        byte   $B9, $E6, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $A9, $13, $85, $6B, $20
                        byte   $00, $B9, $A9, $00, $85, $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $20, $E9
                        byte   $B8, $A5, $6B, $C9, $0A, $90, $0D, $20, $00, $B9, $A5, $6B, $38, $E9, $0A, $85
                        byte   $6B, $20, $05, $B9, $A9, $03, $85, $63, $60, $20, $E9, $B8, $A5, $6B, $C9, $0A
                        byte   $B0, $0D, $20, $00, $B9, $A5, $6B, $18, $69, $0A, $85, $6B, $20, $05, $B9, $A9
                        byte   $03, $85, $63, $60, $20, $A7, $B8, $20, $00, $B9, $A9, $0A, $85, $34, $20, $1E
                        byte   $91, $A5, $6B, $85, $74, $A9, $04, $85, $62, $A9, $00, $85, $63, $60, $60, $A9
                        byte   $0A, $85, $34, $20, $1E, $91, $A9, $03, $85, $62, $A9, $00, $85, $63, $60, $A9
                        byte   $0A, $85, $34, $20, $1E, $91, $A5, $62, $85, $75, $A5, $6B, $85, $74, $A9, $09
                        byte   $85, $62, $A9, $00, $85, $63, $60, $A9, $0B, $85, $34, $20, $1E, $91, $E6, $63
                        byte   $60, $A9, $00, $8D, $00, $20, $A6, $09, $BD, $68, $8D, $85, $77, $85, $34, $20
                        byte   $1E, $91, $C6, $36, $A2, $04, $86, $6B, $20, $05, $B9, $A9, $00, $20, $E2, $95
                        byte   $E6, $63, $A9, $80, $8D, $00, $20, $60, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $0C, $0D, $0C, $0C, $0C, $0C, $0C, $0D, $0D, $0C, $0C, $0C, $0D, $0C
                        byte   $0D, $0D, $0D, $0C, $0D, $0D, $0D, $0C, $0D, $0C, $0C, $0D, $0F, $0D, $0D, $0C
                        byte   $0C, $0D, $0D, $0D, $0C, $0C, $0D, $0D, $0C, $0C, $0F, $0F, $A6, $09, $BD, $2C
                        byte   $8E, $85, $78, $20, $DC, $8D, $20, $90, $8E, $E6, $63, $60, $A6, $77, $E0, $0F
                        byte   $D0, $17, $A9, $03, $85, $03, $85, $0D, $A9, $00, $85, $05, $A9, $04, $85, $06
                        byte   $A9, $01, $85, $07, $A9, $0E, $85, $0E, $60, $E0, $0C, $D0, $11, $A9, $03, $85
                        byte   $03, $85, $0D, $A9, $00, $85, $05, $85, $06, $85, $07, $85, $0E, $60, $E0, $0D
                        byte   $D0, $0B, $A9, $03, $85, $03, $85, $0D, $A9, $00, $85, $05, $60, $A9, $00, $85
                        byte   $03, $85, $05, $85, $0D, $85, $06, $85, $07, $85, $0E, $60, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $06, $05, $06, $06, $06, $06, $06, $05, $05, $06
                        byte   $06, $06, $05, $06, $05, $05, $05, $06, $05, $05, $05, $06, $05, $06, $06, $05
                        byte   $06, $05, $05, $06, $06, $05, $05, $05, $06, $06, $05, $05, $06, $06, $06, $06
                        byte   $A6, $09, $BD, $98, $8E, $85, $79, $60, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $19, $00, $08, $08, $08, $08, $40, $04, $04, $04, $40, $04, $05, $05
                        byte   $08, $08, $06, $40, $06, $06, $06, $08, $06, $40, $08, $08, $30, $06, $06, $06
                        byte   $20, $06, $06, $06, $40, $04, $06, $06, $08, $40, $30, $30, $A9, $03, $85, $38
                        byte   $A9, $00, $85, $37, $A9, $00, $85, $36, $A2, $03, $A5, $68, $C9, $80, $D0, $02
                        byte   $A2, $04, $A5, $68, $C9, $08, $D0, $02, $A2, $05, $A5, $68, $C9, $04, $D0, $02
                        byte   $A2, $06, $A5, $68, $C9, $01, $D0, $02, $A2, $07, $A5, $68, $C9, $02, $D0, $02
                        byte   $A2, $08, $A5, $68, $C9, $40, $D0, $02, $A2, $09, $86, $63, $60, $4C, $00, $D0
                        byte   $20, $E9, $B8, $C6, $6B, $A5, $6B, $C9, $03, $F0, $12, $E6, $6B, $20, $00, $B9
                        byte   $C6, $6B, $20, $05, $B9, $A9, $00, $20, $E2, $95, $4C, $61, $8F, $A2, $04, $86
                        byte   $6B, $A2, $03, $86, $63, $60, $20, $E9, $B8, $E6, $6B, $A5, $6B, $C5, $78, $F0
                        byte   $12, $C6, $6B, $20, $00, $B9, $E6, $6B, $20, $05, $B9, $A9, $00, $20, $E2, $95
                        byte   $4C, $88, $8F, $A6, $78, $CA, $86, $6B, $A2, $03, $86, $63, $60, $20, $E9, $B8
                        byte   $A6, $6B, $E0, $04, $D0, $1E, $E6, $0D, $E6, $03, $20, $DE, $8F, $20, $FE, $8F
                        byte   $A5, $03, $85, $CE, $A5, $05, $85, $CF, $A9, $00, $85, $76, $20, $E6, $90, $A9
                        byte   $03, $85, $63, $60, $4C, $D5, $8F, $E6, $0E, $E6, $06, $20, $09, $90, $20, $23
                        byte   $90, $A5, $06, $85, $CE, $A5, $07, $85, $CF, $A9, $01, $85, $76, $20, $E6, $90
                        byte   $A9, $03, $85, $63, $60, $A6, $79, $E4, $0E, $F0, $F5, $4C, $B7, $8F, $A5, $05
                        byte   $C9, $03, $D0, $0D, $A5, $03, $C9, $01, $D0, $07, $A9, $00, $85, $03, $85, $05
                        byte   $60, $A5, $03, $C9, $0A, $D0, $06, $E6, $05, $A9, $00, $85, $03, $60, $A5, $0D
                        byte   $C9, $1F, $D0, $04, $A9, $00, $85, $0D, $60, $A5, $06, $C9, $0A, $D0, $13, $E6
                        byte   $07, $A5, $07, $C9, $0A, $F0, $05, $A9, $00, $85, $06, $60, $A9, $00, $85, $06
                        byte   $85, $07, $60, $A5, $0E, $C9, $63, $D0, $08, $A9, $00, $85, $0E, $85, $06, $85
                        byte   $07, $60, $20, $E9, $B8, $A6, $6B, $E0, $04, $D0, $1E, $C6, $0D, $C6, $03, $20
                        byte   $77, $90, $20, $BB, $90, $A5, $03, $85, $CE, $A5, $05, $85, $CF, $A9, $00, $85
                        byte   $76, $20, $E6, $90, $A9, $03, $85, $63, $60, $C6, $0E, $C6, $06, $20, $99, $90
                        byte   $20, $C4, $90, $A5, $06, $85, $CE, $A5, $07, $85, $CF, $A9, $01, $85, $76, $20
                        byte   $E6, $90, $A9, $03, $85, $63, $60, $A5, $05, $C9, $00, $D0, $09, $A5, $03, $C9
                        byte   $FF, $D0, $03, $E6, $03, $60, $A5, $05, $C9, $00, $F0, $0C, $A5, $03, $C9, $FF
                        byte   $D0, $06, $A9, $09, $85, $03, $C6, $05, $60, $A5, $07, $C9, $00, $D0, $09, $A5
                        byte   $06, $C9, $FF, $D0, $03, $E6, $06, $60, $A5, $07, $C9, $00, $F0, $0C, $A5, $06
                        byte   $C9, $FF, $D0, $06, $A9, $09, $85, $06, $C6, $07, $60, $A5, $0D, $C9, $FF, $D0
                        byte   $02, $E6, $0D, $60, $A5, $0E, $C9, $FF, $D0, $02, $E6, $0E, $60, $20, $A7, $B8
                        byte   $A9, $0A, $85, $34, $20, $1E, $91, $20, $00, $B9, $A5, $75, $85, $62, $A9, $00
                        byte   $85, $63, $60, $4C, $00, $D0, $A5, $76, $0A, $AA, $BD, $16, $91, $8D, $00, $03
                        byte   $BD, $17, $91, $8D, $01, $03, $18, $A9, $30, $65, $CF, $8D, $02, $03, $18, $A9
                        byte   $30, $65, $CE, $8D, $03, $03, $A9, $00, $8D, $04, $03, $A9, $00, $8D, $05, $03
                        byte   $A9, $01, $8D, $06, $03, $60, $22, $39, $22, $79, $22, $B9, $22, $F9, $A5, $34
                        byte   $0A, $AA, $BD, $2F, $91, $85, $30, $BD, $30, $91, $85, $31, $6C, $30, $00, $27
                        byte   $93, $46, $93, $65, $93, $84, $93, $C1, $93, $F8, $93, $31, $94, $6A, $94, $A3
                        byte   $94, $DC, $94, $01, $93, $4F, $91, $EF, $91, $41, $92, $78, $92, $AF, $92, $A2
                        byte   $00, $BD, $67, $91, $85, $32, $A9, $00, $85, $37, $BD, $68, $91, $85, $33, $A9
                        byte   $03, $85, $38, $20, $A3, $93, $60, $69, $91, $20, $64, $2A, $2A, $2A, $20, $53
                        byte   $50, $45, $43, $49, $41, $4C, $20, $50, $4C, $41, $59, $20, $47, $41, $4D, $45
                        byte   $20, $2A, $2A, $2A, $00, $20, $AD, $46, $41, $4C, $4C, $49, $4E, $47, $00, $20
                        byte   $E9, $43, $4F, $4E, $54, $52, $4F, $4C, $20, $4B, $45, $59, $42, $4F, $59, $00
                        byte   $21, $2D, $53, $45, $4C, $45, $43, $54, $00, $21, $62, $2A, $20, $50, $4C, $41
                        byte   $59, $20, $20, $4E, $55, $4D, $42, $45, $52, $00, $21, $A2, $2A, $20, $50, $41
                        byte   $47, $45, $20, $20, $4E, $55, $4D, $42, $45, $52, $00, $21, $70, $2A, $20, $54
                        byte   $49, $4D, $45, $20, $20, $4E, $55, $4D, $42, $45, $52, $00, $21, $B0, $2A, $20
                        byte   $45, $4E, $4F, $4D, $59, $20, $4E, $55, $4D, $42, $45, $52, $00, $00, $01, $A2
                        byte   $00, $BD, $07, $92, $85, $32, $A9, $00, $85, $37, $BD, $08, $92, $85, $33, $A9
                        byte   $03, $85, $38, $4C, $A3, $93, $60, $09, $92, $22, $23, $20, $50, $4C, $41, $59
                        byte   $20, $4E, $55, $4D, $42, $45, $52, $20, $20, $2A, $2A, $2A, $2A, $2A, $2A, $20
                        byte   $20, $30, $33, $00, $22, $63, $20, $50, $41, $47, $45, $20, $4E, $55, $4D, $42
                        byte   $45, $52, $20, $20, $2A, $2A, $2A, $2A, $2A, $2A, $20, $20, $30, $30, $00, $00
                        byte   $01, $A2, $00, $BD, $59, $92, $85, $32, $A9, $00, $85, $37, $BD, $5A, $92, $85
                        byte   $33, $A9, $03, $85, $38, $4C, $A3, $93, $60, $5B, $92, $22, $23, $20, $50, $4C
                        byte   $41, $59, $20, $4E, $55, $4D, $42, $45, $52, $20, $20, $2A, $2A, $2A, $2A, $2A
                        byte   $2A, $20, $20, $30, $33, $00, $00, $01, $A2, $00, $BD, $90, $92, $85, $32, $A9
                        byte   $00, $85, $37, $BD, $91, $92, $85, $33, $A9, $03, $85, $38, $4C, $A3, $93, $60
                        byte   $92, $92, $22, $23, $20, $50, $41, $47, $45, $20, $4E, $55, $4D, $42, $45, $52
                        byte   $20, $20, $2A, $2A, $2A, $2A, $2A, $2A, $20, $20, $30, $30, $00, $00, $01, $A2
                        byte   $00, $BD, $C7, $92, $85, $32, $A9, $00, $85, $37, $BD, $C8, $92, $85, $33, $A9
                        byte   $03, $85, $38, $4C, $A3, $93, $60, $C9, $92, $22, $23, $20, $50, $4C, $41, $59
                        byte   $20, $4E, $55, $4D, $42, $45, $52, $20, $20, $2A, $2A, $2A, $2A, $2A, $2A, $20
                        byte   $20, $30, $33, $00, $22, $63, $45, $4E, $45, $4D, $59, $20, $4E, $55, $4D, $42
                        byte   $45, $52, $20, $20, $2A, $2A, $2A, $2A, $2A, $2A, $20, $20, $31, $34, $00, $00
                        byte   $01, $A9, $01, $A2, $00, $9D, $00, $03, $9D, $00, $04, $9D, $00, $05, $9D, $00
                        byte   $06, $E8, $D0, $F1, $A9, $20, $8D, $00, $03, $A9, $00, $8D, $01, $03, $A9, $00
                        byte   $8D, $C2, $06, $8D, $C3, $06, $60, $18, $A9, $00, $C5, $34, $D0, $17, $A2, $00
                        byte   $BD, $EE, $95, $85, $32, $A9, $00, $85, $37, $BD, $EF, $95, $85, $33, $A9, $03
                        byte   $85, $38, $4C, $A3, $93, $60, $18, $A9, $01, $C5, $34, $D0, $17, $A2, $00, $BD
                        byte   $AB, $96, $85, $32, $A9, $00, $85, $37, $BD, $AC, $96, $85, $33, $A9, $03, $85
                        byte   $38, $4C, $A3, $93, $60, $18, $A9, $02, $C5, $34, $D0, $17, $A2, $00, $BD, $D9
                        byte   $97, $85, $32, $A9, $00, $85, $37, $A9, $03, $85, $38, $BD, $DA, $97, $85, $33
                        byte   $4C, $A3, $93, $60, $18, $A9, $03, $C5, $34, $D0, $17, $A2, $00, $BD, $D5, $98
                        byte   $85, $32, $A9, $00, $85, $37, $A9, $03, $85, $38, $BD, $D6, $98, $85, $33, $4C
                        byte   $A3, $93, $60, $A0, $00, $B1, $32, $C9, $01, $F0, $0A, $91, $37, $C8, $C0, $00
                        byte   $F0, $06, $4C, $A5, $93, $84, $36, $60, $18, $E6, $33, $E6, $38, $18, $4C, $A3
                        byte   $93, $A2, $00, $BD, $64, $9A, $85, $32, $A9, $00, $85, $37, $BD, $65, $9A, $85
                        byte   $33, $A9, $03, $85, $38, $20, $A3, $93, $84, $36, $A9, $00, $85, $8C, $85, $44
                        byte   $85, $43, $20, $80, $95, $20, $BF, $95, $E6, $43, $E6, $44, $A6, $44, $E0, $14
                        byte   $D0, $F0, $A9, $00, $20, $E2, $95, $60, $A2, $00, $BD, $0D, $9B, $85, $32, $A9
                        byte   $00, $85, $37, $BD, $0E, $9B, $85, $33, $A9, $03, $85, $38, $20, $A3, $93, $84
                        byte   $36, $A9, $00, $85, $43, $A9, $14, $85, $8D, $85, $44, $20, $80, $95, $20, $BF
                        byte   $95, $E6, $43, $E6, $44, $A6, $44, $E0, $28, $D0, $F0, $A9, $00, $20, $E2, $95
                        byte   $60, $A2, $00, $BD, $B6, $9B, $85, $32, $A9, $00, $85, $37, $BD, $B7, $9B, $85
                        byte   $33, $A9, $03, $85, $38, $20, $A3, $93, $84, $36, $A9, $28, $85, $8E, $85, $44
                        byte   $A9, $00, $85, $43, $20, $80, $95, $20, $BF, $95, $E6, $43, $E6, $44, $A6, $44
                        byte   $E0, $3C, $D0, $F0, $A9, $00, $20, $E2, $95, $60, $A2, $00, $BD, $5F, $9C, $85
                        byte   $32, $A9, $00, $85, $37, $BD, $60, $9C, $85, $33, $A9, $03, $85, $38, $20, $A3
                        byte   $93, $84, $36, $A9, $3C, $85, $8F, $85, $44, $A9, $00, $85, $43, $20, $80, $95
                        byte   $20, $BF, $95, $E6, $43, $E6, $44, $A6, $44, $E0, $50, $D0, $F0, $A9, $00, $20
                        byte   $E2, $95, $60, $A2, $00, $BD, $08, $9D, $85, $32, $A9, $00, $85, $37, $BD, $09
                        byte   $9D, $85, $33, $A9, $03, $85, $38, $20, $A3, $93, $84, $36, $A9, $50, $85, $90
                        byte   $85, $44, $A9, $00, $85, $43, $20, $80, $95, $20, $BF, $95, $E6, $43, $E6, $44
                        byte   $A6, $44, $E0, $64, $D0, $F0, $A9, $00, $20, $E2, $95, $60, $60, $A9, $00, $8D
                        byte   $00, $20, $8D, $01, $20, $AD, $02, $20, $A9, $00, $85, $37, $A9, $03, $85, $38
                        byte   $A0, $00, $B1, $37, $C9, $00, $F0, $23, $8D, $06, $20, $C0, $FF, $F0, $37, $C8
                        byte   $B1, $37, $8D, $06, $20, $C0, $FF, $F0, $36, $C8, $B1, $37, $C8, $C9, $00, $F0
                        byte   $E1, $8D, $07, $20, $C0, $00, $F0, $15, $4C, $0A, $95, $A9, $00, $85, $40, $A9
                        byte   $03, $85, $41, $A9, $00, $A0, $00, $91, $40, $C8, $91, $40, $60, $18, $E6, $38
                        byte   $A0, $00, $18, $4C, $0A, $95, $18, $E6, $38, $A0, $00, $18, $4C, $00, $95, $18
                        byte   $E6, $38, $A0, $00, $18, $4C, $0A, $95, $A5, $69, $8D, $00, $20, $A5, $6A, $8D
                        byte   $01, $20, $AD, $02, $20, $A5, $64, $8D, $06, $20, $A5, $65, $8D, $06, $20, $A5
                        byte   $59, $8D, $05, $20, $A5, $58, $8D, $05, $20, $60, $A5, $53, $C9, $00, $F0, $0F
                        byte   $E6, $51, $A5, $51, $C9, $1E, $D0, $07, $A9, $00, $85, $51, $E6, $52, $18, $60
                        byte   $A5, $43, $0A, $AA, $BD, $97, $95, $A0, $00, $20, $E2, $95, $BD, $98, $95, $A0
                        byte   $01, $20, $E2, $95, $60, $97, $95, $21, $20, $21, $60, $21, $A0, $21, $E0, $22
                        byte   $20, $22, $60, $22, $A0, $22, $E0, $23, $20, $23, $60, $21, $30, $21, $70, $21
                        byte   $B0, $21, $F0, $22, $30, $22, $70, $22, $B0, $22, $F0, $23, $30, $23, $70, $A5
                        byte   $44, $0A, $AA, $BD, $5A, $9E, $85, $40, $BD, $5B, $9E, $85, $41, $A0, $00, $B1
                        byte   $40, $C9, $01, $F0, $0C, $84, $42, $20, $E2, $95, $E6, $42, $A4, $42, $4C, $CF
                        byte   $95, $60, $A4, $36, $91, $37, $C8, $D0, $02, $E6, $38, $84, $36, $60, $F0, $95
                        byte   $21, $A4, $60, $61, $62, $63, $64, $65, $66, $67, $00, $21, $C4, $70, $71, $72
                        byte   $73, $74, $75, $76, $77, $78, $79, $00, $21, $E4, $80, $81, $82, $83, $84, $85
                        byte   $86, $87, $88, $89, $00, $22, $04, $A0, $A1, $A2, $93, $94, $95, $96, $68, $69
                        byte   $99, $00, $22, $24, $B0, $B1, $B2, $10, $10, $A3, $A4, $A5, $A6, $A7, $A8, $A9
                        byte   $AA, $AB, $AC, $AD, $AE, $AF, $6A, $6B, $6C, $6D, $6E, $6F, $00, $22, $44, $C0
                        byte   $C1, $C2, $10, $10, $B3, $B4, $B5, $B6, $B7, $B8, $B9, $BA, $BB, $BC, $BD, $BE
                        byte   $BF, $7A, $7B, $7C, $7D, $7E, $7F, $00, $22, $64, $D0, $D1, $D2, $10, $10, $C3
                        byte   $C4, $C5, $C6, $C7, $C8, $C9, $CA, $CB, $CC, $CD, $CE, $CF, $8A, $8B, $8C, $8D
                        byte   $8E, $8F, $00, $22, $84, $E0, $E1, $E2, $10, $10, $D3, $D4, $D5, $D6, $D7, $D8
                        byte   $D9, $DA, $DB, $DC, $DD, $DE, $DF, $9A, $9B, $9C, $9D, $9E, $9F, $00, $22, $A4
                        byte   $F0, $F1, $F2, $F3, $F4, $F5, $F6, $F7, $F8, $F9, $FA, $FB, $00, $22, $C4, $10
                        byte   $10, $10, $E4, $E5, $E6, $E7, $E8, $E9, $00, $00, $01, $AD, $96, $20, $84, $60
                        byte   $61, $62, $63, $64, $65, $66, $67, $00, $20, $A4, $70, $71, $72, $73, $74, $75
                        byte   $76, $77, $78, $79, $00, $20, $C4, $80, $81, $82, $83, $84, $85, $86, $87, $88
                        byte   $89, $00, $20, $E4, $A0, $A1, $A2, $93, $94, $95, $96, $68, $69, $99, $00, $21
                        byte   $04, $B0, $B1, $B2, $10, $10, $A3, $A4, $A5, $A6, $A7, $A8, $A9, $AA, $AB, $AC
                        byte   $AD, $AE, $AF, $6A, $6B, $6C, $6D, $6E, $6F, $00, $21, $24, $C0, $C1, $C2, $10
                        byte   $10, $B3, $B4, $B5, $B6, $B7, $B8, $B9, $BA, $BB, $BC, $BD, $BE, $BF, $7A, $7B
                        byte   $7C, $7D, $7E, $7F, $00, $21, $44, $D0, $D1, $D2, $10, $10, $C3, $C4, $C5, $C6
                        byte   $C7, $C8, $C9, $CA, $CB, $CC, $CD, $CE, $CF, $8A, $8B, $8C, $8D, $8E, $8F, $00
                        byte   $21, $64, $E0, $E1, $E2, $10, $10, $D3, $D4, $D5, $D6, $D7, $D8, $D9, $DA, $DB
                        byte   $DC, $DD, $DE, $DF, $9A, $9B, $9C, $9D, $9E, $9F, $00, $21, $84, $F0, $F1, $F2
                        byte   $F3, $F4, $F5, $F6, $F7, $F8, $F9, $FA, $FB, $00, $21, $A4, $10, $10, $10, $E4
                        byte   $E5, $E6, $E7, $E8, $E9, $00, $21, $E8, $0F, $02, $03, $04, $05, $06, $04, $05
                        byte   $06, $07, $08, $09, $0A, $0B, $0C, $0F, $02, $03, $00, $22, $08, $11, $12, $13
                        byte   $14, $15, $16, $14, $15, $16, $17, $18, $19, $1A, $1B, $1C, $11, $12, $13, $00
                        byte   $22, $28, $21, $22, $23, $24, $25, $23, $24, $25, $26, $27, $28, $29, $2B, $2C
                        byte   $2D, $21, $22, $10, $00, $22, $68, $43, $4F, $4E, $54, $52, $41, $20, $46, $55
                        byte   $4E, $43, $54, $49, $4F, $4E, $20, $31, $36, $00, $22, $E4, $2A, $2A, $2A, $2A
                        byte   $2A, $20, $50, $52, $45, $53, $53, $20, $20, $20, $53, $54, $41, $52, $54, $20
                        byte   $2A, $2A, $2A, $2A, $2A, $20, $00, $00, $01, $DB, $97, $20, $26, $60, $61, $62
                        byte   $63, $64, $65, $66, $67, $00, $20, $46, $70, $71, $72, $73, $74, $75, $76, $77
                        byte   $78, $79, $00, $20, $66, $80, $81, $82, $83, $84, $85, $86, $87, $88, $89, $00
                        byte   $20, $86, $A0, $A1, $A2, $93, $94, $95, $96, $68, $69, $99, $00, $20, $A6, $B0
                        byte   $B1, $B2, $10, $10, $A3, $A4, $A5, $A6, $A7, $A8, $A9, $AA, $AB, $AC, $AD, $AE
                        byte   $AF, $6A, $6B, $6C, $6D, $6E, $6F, $00, $20, $C6, $C0, $C1, $C2, $10, $10, $B3
                        byte   $B4, $B5, $B6, $B7, $B8, $B9, $BA, $BB, $BC, $BD, $BE, $BF, $7A, $7B, $7C, $7D
                        byte   $7E, $7F, $00, $20, $E6, $D0, $D1, $D2, $10, $10, $C3, $C4, $C5, $C6, $C7, $C8
                        byte   $C9, $CA, $CB, $CC, $CD, $CE, $CF, $8A, $8B, $8C, $8D, $8E, $8F, $00, $21, $06
                        byte   $E0, $E1, $E2, $10, $10, $D3, $D4, $D5, $D6, $D7, $D8, $D9, $DA, $DB, $DC, $DD
                        byte   $DE, $DF, $9A, $9B, $9C, $9D, $9E, $9F, $00, $21, $26, $F0, $F1, $F2, $F3, $F4
                        byte   $F5, $F6, $F7, $F8, $F9, $FA, $FB, $00, $21, $46, $10, $10, $10, $E4, $E5, $E6
                        byte   $E7, $E8, $E9, $00, $22, $04, $0F, $02, $03, $04, $05, $06, $04, $05, $06, $07
                        byte   $08, $09, $0A, $0B, $0C, $0F, $02, $03, $00, $22, $24, $11, $12, $13, $14, $15
                        byte   $16, $14, $15, $16, $17, $18, $19, $1A, $1B, $1C, $11, $12, $13, $00, $22, $44
                        byte   $21, $22, $23, $24, $25, $26, $24, $25, $26, $27, $28, $29, $2B, $2C, $2D, $21
                        byte   $22, $23, $00, $00, $01, $D7, $98, $20, $26, $60, $61, $62, $63, $64, $65, $66
                        byte   $67, $00, $20, $46, $70, $71, $72, $73, $74, $75, $76, $77, $78, $79, $00, $20
                        byte   $66, $80, $81, $82, $83, $84, $85, $86, $87, $88, $89, $00, $20, $86, $A0, $A1
                        byte   $A2, $93, $94, $95, $96, $68, $69, $99, $00, $20, $A6, $B0, $B1, $B2, $10, $10
                        byte   $A3, $A4, $A5, $A6, $A7, $A8, $A9, $AA, $AB, $AC, $AD, $AE, $AF, $6A, $6B, $6C
                        byte   $6D, $6E, $6F, $00, $20, $C6, $C0, $C1, $C2, $10, $10, $B3, $B4, $B5, $B6, $B7
                        byte   $B8, $B9, $BA, $BB, $BC, $BD, $BE, $BF, $7A, $7B, $7C, $7D, $7E, $7F, $00, $20
                        byte   $E6, $D0, $D1, $D2, $10, $10, $C3, $C4, $C5, $C6, $C7, $C8, $C9, $CA, $CB, $CC
                        byte   $CD, $CE, $CF, $8A, $8B, $8C, $8D, $8E, $8F, $00, $21, $06, $E0, $E1, $E2, $10
                        byte   $10, $D3, $D4, $D5, $D6, $D7, $D8, $D9, $DA, $DB, $DC, $DD, $DE, $DF, $9A, $9B
                        byte   $9C, $9D, $9E, $9F, $00, $21, $26, $F0, $F1, $F2, $F3, $F4, $F5, $F6, $F7, $F8
                        byte   $F9, $FA, $FB, $00, $21, $46, $10, $10, $10, $E4, $E5, $E6, $E7, $E8, $E9, $00
                        byte   $21, $C2, $41, $2E, $20, $53, $45, $4C, $45, $43, $54, $20, $20, $31, $20, $2A
                        byte   $2A, $2A, $2A, $2A, $20, $20, $32, $30, $20, $47, $41, $4D, $45, $20, $00, $22
                        byte   $02, $42, $2E, $20, $53, $45, $4C, $45, $43, $54, $20, $32, $31, $20, $2A, $2A
                        byte   $2A, $2A, $2A, $20, $20, $34, $30, $20, $47, $41, $4D, $45, $20, $00, $22, $42
                        byte   $43, $2E, $20, $53, $45, $4C, $45, $43, $54, $20, $34, $31, $20, $2A, $2A, $2A
                        byte   $2A, $2A, $20, $20, $36, $30, $20, $47, $41, $4D, $45, $20, $00, $22, $82, $44
                        byte   $2E, $20, $53, $45, $4C, $45, $43, $54, $20, $36, $31, $20, $2A, $2A, $2A, $2A
                        byte   $2A, $20, $20, $38, $30, $20, $47, $41, $4D, $45, $20, $00, $22, $C2, $45, $2E
                        byte   $20, $53, $45, $4C, $45, $43, $54, $20, $38, $31, $20, $2A, $2A, $2A, $2A, $2A
                        byte   $20, $31, $30, $30, $20, $47, $41, $4D, $45, $20, $00, $23, $04, $3D, $00, $23
                        byte   $22, $3A, $20, $20, $20, $3C, $20, $53, $45, $4C, $45, $43, $54, $2E, $20, $50
                        byte   $52, $45, $53, $53, $20, $41, $20, $45, $4E, $54, $45, $52, $00, $23, $44, $3E
                        byte   $00, $23, $50, $50, $52, $45, $53, $53, $20, $42, $20, $52, $45, $54, $55, $52
                        byte   $4E, $00, $00, $01, $66, $9A, $20, $44, $2A, $2A, $2A, $2A, $2A, $2A, $20, $50
                        byte   $20, $41, $20, $47, $20, $45, $20, $20, $41, $20, $2A, $2A, $2A, $2A, $2A, $2A
                        byte   $00, $20, $6A, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $00, $20
                        byte   $82, $3A, $20, $4C, $45, $46, $54, $20, $20, $3C, $20, $52, $49, $47, $48, $54
                        byte   $20, $20, $3D, $20, $55, $50, $20, $3E, $20, $44, $4F, $57, $4E, $00, $20, $A2
                        byte   $50, $52, $45, $53, $53, $20, $41, $20, $4B, $45, $59, $20, $45, $4E, $54, $45
                        byte   $52, $20, $50, $4C, $41, $59, $47, $41, $4D, $45, $00, $20, $C2, $50, $52, $45
                        byte   $53, $53, $20, $42, $20, $4B, $45, $59, $20, $52, $45, $54, $55, $52, $4E, $20
                        byte   $4D, $41, $49, $4E, $20, $4D, $45, $4E, $55, $00, $20, $E0, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $00, $01, $0F, $9B, $20
                        byte   $44, $2A, $2A, $2A, $2A, $2A, $2A, $20, $50, $20, $41, $20, $47, $20, $45, $20
                        byte   $20, $42, $20, $2A, $2A, $2A, $2A, $2A, $2A, $00, $20, $6A, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $00, $20, $82, $3A, $20, $4C, $45, $46, $54
                        byte   $20, $20, $3C, $20, $52, $49, $47, $48, $54, $20, $20, $3D, $20, $55, $50, $20
                        byte   $3E, $20, $44, $4F, $57, $4E, $00, $20, $A2, $50, $52, $45, $53, $53, $20, $41
                        byte   $20, $4B, $45, $59, $20, $45, $4E, $54, $45, $52, $20, $50, $4C, $41, $59, $47
                        byte   $41, $4D, $45, $00, $20, $C2, $50, $52, $45, $53, $53, $20, $42, $20, $4B, $45
                        byte   $59, $20, $52, $45, $54, $55, $52, $4E, $20, $4D, $41, $49, $4E, $20, $4D, $45
                        byte   $4E, $55, $00, $20, $E0, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $00, $01, $B8, $9B, $20, $44, $2A, $2A, $2A, $2A, $2A, $2A
                        byte   $20, $50, $20, $41, $20, $47, $20, $45, $20, $20, $43, $20, $2A, $2A, $2A, $2A
                        byte   $2A, $2A, $00, $20, $6A, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $00, $20, $82, $3A, $20, $4C, $45, $46, $54, $20, $20, $3C, $20, $52, $49, $47
                        byte   $48, $54, $20, $20, $3D, $20, $55, $50, $20, $3E, $20, $44, $4F, $57, $4E, $00
                        byte   $20, $A2, $50, $52, $45, $53, $53, $20, $41, $20, $4B, $45, $59, $20, $45, $4E
                        byte   $54, $45, $52, $20, $50, $4C, $41, $59, $47, $41, $4D, $45, $00, $20, $C2, $50
                        byte   $52, $45, $53, $53, $20, $42, $20, $4B, $45, $59, $20, $52, $45, $54, $55, $52
                        byte   $4E, $20, $4D, $41, $49, $4E, $20, $4D, $45, $4E, $55, $00, $20, $E0, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $00, $01, $61
                        byte   $9C, $20, $44, $2A, $2A, $2A, $2A, $2A, $2A, $20, $50, $20, $41, $20, $47, $20
                        byte   $45, $20, $20, $44, $20, $2A, $2A, $2A, $2A, $2A, $2A, $00, $20, $6A, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $00, $20, $82, $3A, $20, $4C, $45
                        byte   $46, $54, $20, $20, $3C, $20, $52, $49, $47, $48, $54, $20, $20, $3D, $20, $55
                        byte   $50, $20, $3E, $20, $44, $4F, $57, $4E, $00, $20, $A2, $50, $52, $45, $53, $53
                        byte   $20, $41, $20, $4B, $45, $59, $20, $45, $4E, $54, $45, $52, $20, $50, $4C, $41
                        byte   $59, $47, $41, $4D, $45, $00, $20, $C2, $50, $52, $45, $53, $53, $20, $42, $20
                        byte   $4B, $45, $59, $20, $52, $45, $54, $55, $52, $4E, $20, $4D, $41, $49, $4E, $20
                        byte   $4D, $45, $4E, $55, $00, $20, $E0, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $00, $01, $0A, $9D, $20, $44, $2A, $2A, $2A, $2A
                        byte   $2A, $2A, $20, $50, $20, $41, $20, $47, $20, $45, $20, $20, $45, $20, $2A, $2A
                        byte   $2A, $2A, $2A, $2A, $00, $20, $6A, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $00, $20, $82, $3A, $20, $4C, $45, $46, $54, $20, $20, $3C, $20, $52
                        byte   $49, $47, $48, $54, $20, $20, $3D, $20, $55, $50, $20, $3E, $20, $44, $4F, $57
                        byte   $4E, $00, $20, $A2, $50, $52, $45, $53, $53, $20, $41, $20, $4B, $45, $59, $20
                        byte   $45, $4E, $54, $45, $52, $20, $50, $4C, $41, $59, $47, $41, $4D, $45, $00, $20
                        byte   $C2, $50, $52, $45, $53, $53, $20, $42, $20, $4B, $45, $59, $20, $52, $45, $54
                        byte   $55, $52, $4E, $20, $4D, $41, $49, $4E, $20, $4D, $45, $4E, $55, $00, $20, $E0
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $00
                        byte   $01, $B3, $9D, $20, $44, $2A, $2A, $2A, $2A, $2A, $2A, $20, $50, $20, $41, $20
                        byte   $47, $20, $45, $20, $20, $46, $20, $2A, $2A, $2A, $2A, $2A, $2A, $00, $20, $6A
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $00, $20, $82, $3A, $20
                        byte   $4C, $45, $46, $54, $20, $20, $3C, $20, $52, $49, $47, $48, $54, $20, $20, $3D
                        byte   $20, $55, $50, $20, $3E, $20, $44, $4F, $57, $4E, $00, $20, $A2, $50, $52, $45
                        byte   $53, $53, $20, $41, $20, $4B, $45, $59, $20, $45, $4E, $54, $45, $52, $20, $50
                        byte   $4C, $41, $59, $47, $41, $4D, $45, $00, $20, $C2, $50, $52, $45, $53, $53, $20
                        byte   $42, $20, $4B, $45, $59, $20, $52, $45, $54, $55, $52, $4E, $20, $4D, $41, $49
                        byte   $4E, $20, $4D, $45, $4E, $55, $00, $20, $E0, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E
                        byte   $5E, $5E, $5E, $5E, $5E, $5E, $5E, $5E, $00, $01, $22, $9F, $34, $9F, $46, $9F
                        byte   $58, $9F, $6A, $9F, $7C, $9F, $8E, $9F, $A0, $9F, $B2, $9F, $C4, $9F, $D6, $9F
                        byte   $E8, $9F, $FA, $9F, $0C, $A0, $1E, $A0, $30, $A0, $42, $A0, $54, $A0, $66, $A0
                        byte   $78, $A0, $8A, $A0, $9C, $A0, $AE, $A0, $C0, $A0, $D2, $A0, $E4, $A0, $F6, $A0
                        byte   $08, $A1, $1A, $A1, $2C, $A1, $3E, $A1, $50, $A1, $62, $A1, $74, $A1, $86, $A1
                        byte   $98, $A1, $AA, $A1, $BC, $A1, $CE, $A1, $E0, $A1, $F2, $A1, $04, $A2, $16, $A2
                        byte   $28, $A2, $3A, $A2, $4C, $A2, $5E, $A2, $70, $A2, $82, $A2, $94, $A2, $A6, $A2
                        byte   $B8, $A2, $CA, $A2, $DC, $A2, $EE, $A2, $00, $A3, $12, $A3, $24, $A3, $36, $A3
                        byte   $48, $A3, $5A, $A3, $6C, $A3, $7E, $A3, $90, $A3, $A2, $A3, $B4, $A3, $C7, $A3
                        byte   $D9, $A3, $EB, $A3, $FD, $A3, $0F, $A4, $21, $A4, $33, $A4, $45, $A4, $57, $A4
                        byte   $69, $A4, $7B, $A4, $8D, $A4, $9F, $A4, $B1, $A4, $C3, $A4, $D5, $A4, $E7, $A4
                        byte   $F9, $A4, $0B, $A5, $1D, $A5, $2F, $A5, $41, $A5, $53, $A5, $65, $A5, $77, $A5
                        byte   $89, $A5, $9B, $A5, $AD, $A5, $BF, $A5, $D1, $A5, $E3, $A5, $F5, $A5, $07, $A6
                        byte   $19, $A6, $30, $31, $2E, $43, $4F, $4E, $54, $52, $41, $31, $20, $20, $20, $20
                        byte   $20, $20, $00, $01, $30, $32, $2E, $43, $4F, $4E, $54, $52, $41, $32, $20, $20
                        byte   $20, $20, $20, $20, $00, $01, $30, $33, $2E, $43, $4F, $4E, $54, $52, $41, $33
                        byte   $20, $20, $20, $20, $20, $20, $00, $01, $30, $34, $2E, $43, $4F, $4E, $54, $52
                        byte   $41, $34, $20, $20, $20, $20, $20, $20, $00, $01, $30, $35, $2E, $41, $52, $4B
                        byte   $41, $4E, $4F, $49, $44, $20, $20, $20, $20, $20, $00, $01, $30, $36, $2E, $54
                        byte   $45, $54, $52, $49, $53, $20, $49, $20, $20, $20, $20, $20, $00, $01, $30, $37
                        byte   $2E, $54, $45, $54, $52, $49, $53, $20, $49, $49, $20, $20, $20, $20, $00, $01
                        byte   $30, $38, $2E, $42, $52, $4F, $53, $2E, $20, $20, $20, $20, $20, $20, $20, $20
                        byte   $00, $01, $30, $39, $2E, $42, $4F, $4D, $42, $45, $52, $20, $4D, $41, $4E, $20
                        byte   $20, $20, $00, $01, $31, $30, $2E, $46, $41, $4E, $43, $59, $20, $42, $52, $4F
                        byte   $54, $48, $45, $52, $00, $01, $31, $31, $2E, $50, $4F, $50, $45, $59, $45, $20
                        byte   $20, $20, $20, $20, $20, $20, $00, $01, $31, $32, $2E, $4B, $49, $4E, $47, $20
                        byte   $4B, $4F, $4E, $47, $20, $49, $20, $20, $00, $01, $31, $33, $2E, $4B, $49, $4E
                        byte   $47, $20, $4B, $4F, $4E, $47, $20, $49, $49, $49, $00, $01, $31, $34, $2E, $4E
                        byte   $49, $4C, $44, $20, $47, $55, $4E, $4D, $41, $4E, $20, $20, $00, $01, $31, $35
                        byte   $2E, $44, $55, $43, $4B, $20, $53, $48, $4F, $4F, $54, $20, $20, $20, $00, $01
                        byte   $31, $36, $2E, $42, $4F, $4D, $42, $45, $52, $20, $4D, $41, $4E, $20, $31, $20
                        byte   $00, $01, $31, $37, $2E, $48, $4F, $47, $41, $4E, $53, $20, $41, $4C, $4C, $45
                        byte   $59, $20, $00, $01, $31, $38, $2E, $50, $49, $4E, $20, $42, $41, $4C, $4C, $20
                        byte   $20, $20, $20, $20, $00, $01, $31, $39, $2E, $46, $31, $20, $52, $41, $43, $45
                        byte   $47, $48, $54, $45, $52, $20, $00, $01, $32, $30, $2E, $55, $52, $42, $41, $4E
                        byte   $20, $43, $48, $41, $4D, $50, $49, $20, $00, $01, $32, $31, $2E, $43, $4F, $4E
                        byte   $54, $52, $41, $35, $20, $20, $20, $20, $20, $20, $00, $01, $32, $32, $2E, $43
                        byte   $4F, $4E, $54, $52, $41, $36, $20, $20, $20, $20, $20, $20, $00, $01, $32, $33
                        byte   $2E, $43, $4F, $4E, $54, $52, $41, $37, $20, $20, $20, $20, $20, $20, $00, $01
                        byte   $32, $34, $2E, $43, $4F, $4E, $54, $52, $41, $38, $20, $20, $20, $20, $20, $20
                        byte   $00, $01, $32, $35, $2E, $42, $41, $4C, $4C, $4F, $4F, $4E, $20, $46, $49, $47
                        byte   $48, $54, $00, $01, $32, $36, $2E, $42, $41, $53, $45, $42, $41, $4C, $4C, $20
                        byte   $20, $20, $20, $20, $00, $01, $32, $37, $2E, $49, $43, $45, $20, $43, $4C, $49
                        byte   $4D, $42, $45, $52, $20, $20, $00, $01, $32, $38, $2E, $42, $4F, $4D, $42, $45
                        byte   $52, $20, $4D, $41, $4E, $20, $33, $20, $00, $01, $32, $39, $2E, $4D, $41, $50
                        byte   $50, $59, $20, $20, $20, $20, $20, $20, $20, $20, $00, $01, $33, $30, $2E, $47
                        byte   $41, $4C, $41, $58, $49, $41, $4E, $20, $20, $20, $20, $20, $00, $01, $33, $31
                        byte   $2E, $47, $41, $4C, $41, $5A, $41, $20, $20, $20, $20, $20, $20, $20, $00, $01
                        byte   $33, $32, $2E, $41, $4E, $54, $41, $52, $43, $54, $49, $43, $20, $20, $20, $20
                        byte   $00, $01, $33, $33, $2E, $43, $48, $41, $43, $4B, $20, $50, $4F, $50, $20, $20
                        byte   $20, $20, $00, $01, $33, $34, $2E, $42, $4F, $4D, $42, $45, $52, $20, $4D, $41
                        byte   $4E, $20, $32, $20, $00, $01, $33, $35, $2E, $53, $54, $41, $52, $20, $46, $4F
                        byte   $52, $43, $45, $20, $20, $20, $00, $01, $33, $36, $2E, $50, $41, $43, $20, $4D
                        byte   $41, $4E, $20, $49, $20, $20, $20, $20, $00, $01, $33, $37, $2E, $57, $41, $52
                        byte   $50, $20, $4D, $41, $4E, $20, $20, $20, $20, $20, $00, $01, $33, $38, $2E, $54
                        byte   $41, $4E, $4B, $20, $49, $20, $20, $20, $20, $20, $20, $20, $00, $01, $33, $39
                        byte   $2E, $43, $4F, $4D, $42, $41, $54, $20, $20, $20, $20, $20, $20, $20, $00, $01
                        byte   $34, $30, $2E, $50, $4F, $4F, $59, $41, $4E, $20, $49, $20, $20, $20, $20, $20
                        byte   $00, $01, $34, $31, $2E, $43, $4F, $4E, $54, $52, $41, $39, $20, $20, $20, $20
                        byte   $20, $20, $00, $01, $34, $32, $2E, $43, $4F, $4E, $54, $52, $41, $31, $30, $20
                        byte   $20, $20, $20, $20, $00, $01, $34, $33, $2E, $43, $4F, $4E, $54, $52, $41, $31
                        byte   $31, $20, $20, $20, $20, $20, $00, $01, $34, $34, $2E, $43, $4F, $4E, $54, $52
                        byte   $41, $31, $32, $20, $20, $20, $20, $20, $00, $01, $34, $35, $2E, $4B, $45, $59
                        byte   $20, $44, $45, $53, $54, $52, $4F, $59, $45, $20, $00, $01, $34, $36, $2E, $42
                        byte   $49, $4E, $41, $52, $59, $20, $4C, $41, $4E, $44, $20, $20, $00, $01, $34, $37
                        byte   $2E, $4D, $41, $43, $52, $4F, $53, $53, $20, $20, $20, $20, $20, $20, $00, $01
                        byte   $34, $38, $2E, $4C, $4F, $44, $45, $20, $52, $55, $4E, $4E, $45, $52, $49, $49
                        byte   $00, $01, $34, $39, $2E, $46, $41, $4E, $43, $59, $20, $42, $52, $4F, $53, $2E
                        byte   $20, $20, $00, $01, $35, $30, $2E, $42, $4F, $4D, $42, $45, $52, $20, $4D, $41
                        byte   $4E, $20, $35, $20, $00, $01, $35, $31, $2E, $4B, $49, $4E, $47, $20, $4B, $4F
                        byte   $4E, $47, $20, $34, $20, $20, $00, $01, $35, $32, $2E, $47, $41, $4C, $41, $58
                        byte   $49, $41, $4E, $20, $32, $20, $20, $20, $00, $01, $35, $33, $2E, $53, $54, $41
                        byte   $52, $20, $46, $4F, $52, $43, $45, $20, $32, $20, $00, $01, $35, $34, $2E, $50
                        byte   $41, $43, $20, $4D, $41, $4E, $20, $32, $20, $20, $20, $20, $00, $01, $35, $35
                        byte   $2E, $42, $4F, $4D, $42, $45, $52, $20, $4D, $41, $4E, $20, $34, $20, $00, $01
                        byte   $35, $36, $2E, $31, $39, $39, $30, $20, $54, $41, $4E, $4B, $20, $31, $20, $20
                        byte   $00, $01, $35, $37, $2E, $31, $39, $39, $30, $20, $54, $41, $4E, $4B, $20, $32
                        byte   $20, $20, $00, $01, $35, $38, $2E, $50, $4F, $4F, $59, $41, $4E, $20, $32, $20
                        byte   $20, $20, $20, $20, $00, $01, $35, $39, $2E, $58, $4F, $20, $41, $52, $4B, $41
                        byte   $4E, $4F, $49, $44, $20, $20, $00, $01, $36, $30, $2E, $58, $4F, $20, $42, $52
                        byte   $4F, $53, $2E, $32, $20, $20, $20, $20, $00, $01, $36, $31, $2E, $43, $4F, $4E
                        byte   $54, $52, $41, $31, $33, $20, $20, $20, $20, $20, $00, $01, $36, $32, $2E, $43
                        byte   $4F, $4E, $54, $52, $41, $31, $34, $20, $20, $20, $20, $20, $00, $01, $36, $33
                        byte   $2E, $43, $4F, $4E, $54, $52, $41, $31, $35, $20, $20, $20, $20, $20, $00, $01
                        byte   $36, $34, $2E, $43, $4F, $4E, $54, $52, $41, $31, $36, $20, $20, $20, $20, $20
                        byte   $00, $01, $36, $35, $2E, $58, $4F, $20, $42, $4F, $4D, $42, $45, $52, $20, $31
                        byte   $20, $20, $00, $01, $36, $36, $2E, $58, $4F, $20, $46, $41, $4E, $43, $59, $20
                        byte   $4D, $41, $52, $49, $4F, $00, $01, $36, $37, $2E, $58, $4F, $20, $50, $4F, $50
                        byte   $45, $59, $45, $20, $20, $20, $20, $00, $01, $36, $38, $2E, $58, $4F, $20, $4B
                        byte   $49, $4E, $47, $4B, $4F, $4E, $47, $31, $20, $00, $01, $36, $39, $2E, $58, $4F
                        byte   $20, $42, $4F, $4D, $42, $45, $52, $20, $32, $20, $20, $00, $01, $37, $30, $2E
                        byte   $58, $4F, $20, $4B, $49, $4E, $47, $4B, $4F, $4E, $47, $33, $20, $00, $01, $37
                        byte   $31, $2E, $58, $4F, $20, $50, $49, $4E, $20, $42, $41, $4C, $4C, $20, $20, $00
                        byte   $01, $37, $32, $2E, $58, $4F, $20, $55, $52, $42, $41, $4E, $43, $48, $41, $4D
                        byte   $50, $00, $01, $37, $33, $2E, $58, $4F, $20, $42, $41, $4C, $4F, $4E, $46, $49
                        byte   $47, $48, $54, $00, $01, $37, $34, $2E, $58, $4F, $20, $49, $43, $45, $43, $4C
                        byte   $49, $4D, $42, $45, $52, $00, $01, $37, $35, $2E, $58, $4F, $20, $4D, $41, $50
                        byte   $50, $59, $20, $20, $20, $20, $20, $00, $01, $37, $36, $2E, $58, $4F, $20, $42
                        byte   $4F, $4D, $42, $45, $52, $20, $33, $20, $20, $00, $01, $37, $37, $2E, $58, $4F
                        byte   $20, $47, $41, $4C, $41, $58, $49, $41, $4E, $20, $20, $00, $01, $37, $38, $2E
                        byte   $58, $4F, $20, $47, $41, $4C, $41, $5A, $41, $20, $20, $20, $20, $00, $01, $37
                        byte   $39, $2E, $58, $4F, $20, $41, $4E, $54, $41, $52, $43, $54, $49, $43, $20, $00
                        byte   $01, $38, $30, $2E, $58, $4F, $20, $43, $48, $41, $43, $4B, $20, $50, $4F, $50
                        byte   $20, $00, $01, $38, $31, $2E, $58, $4F, $20, $53, $54, $41, $52, $46, $4F, $52
                        byte   $43, $45, $20, $00, $01, $38, $32, $2E, $58, $4F, $20, $42, $4F, $4D, $42, $45
                        byte   $52, $20, $35, $20, $20, $00, $01, $38, $33, $2E, $58, $4F, $20, $50, $41, $43
                        byte   $20, $4D, $41, $4E, $20, $49, $20, $00, $01, $38, $34, $2E, $58, $4F, $20, $57
                        byte   $41, $52, $50, $20, $4D, $41, $4E, $20, $20, $00, $01, $38, $35, $2E, $58, $4F
                        byte   $20, $54, $41, $4E, $4B, $20, $31, $20, $20, $20, $20, $00, $01, $38, $36, $2E
                        byte   $58, $4F, $20, $43, $4F, $4D, $42, $41, $54, $20, $20, $20, $20, $00, $01, $38
                        byte   $37, $2E, $58, $4F, $20, $50, $4F, $4F, $59, $41, $4E, $20, $49, $20, $20, $00
                        byte   $01, $38, $38, $2E, $58, $4F, $20, $53, $4B, $59, $44, $53, $54, $52, $4F, $59
                        byte   $20, $00, $01, $38, $39, $2E, $58, $4F, $20, $42, $49, $4E, $41, $52, $4C, $41
                        byte   $4E, $44, $20, $00, $01, $39, $30, $2E, $58, $4F, $20, $4D, $41, $43, $52, $4F
                        byte   $53, $53, $20, $20, $20, $00, $01, $39, $31, $2E, $58, $4F, $20, $4C, $4F, $44
                        byte   $45, $52, $55, $4E, $45, $52, $20, $00, $01, $39, $32, $2E, $58, $4F, $20, $46
                        byte   $41, $4E, $43, $59, $42, $52, $4F, $53, $20, $00, $01, $39, $33, $2E, $58, $4F
                        byte   $20, $42, $4F, $4D, $42, $45, $52, $20, $36, $20, $20, $00, $01, $39, $34, $2E
                        byte   $58, $4F, $20, $4B, $49, $4E, $47, $4B, $4F, $4E, $47, $34, $20, $00, $01, $39
                        byte   $35, $2E, $58, $4F, $20, $47, $41, $4C, $41, $58, $49, $41, $4E, $32, $20, $00
                        byte   $01, $39, $36, $2E, $58, $4F, $20, $53, $54, $41, $46, $4F, $52, $43, $45, $32
                        byte   $20, $00, $01, $39, $37, $2E, $58, $4F, $20, $50, $41, $43, $20, $4D, $41, $4E
                        byte   $20, $32, $20, $00, $01, $39, $38, $2E, $58, $4F, $20, $42, $4F, $4D, $42, $45
' $A600
                        byte   $52, $20, $34, $20, $20, $00, $01, $39, $39, $2E, $58, $4F, $20, $54, $41, $4E
                        byte   $4B, $20, $32, $20, $20, $20, $20, $00, $01, $31, $30, $30, $2E, $58, $30, $20
                        byte   $54, $41, $4E, $4B, $20, $33, $20, $20, $20, $00, $01, $A5, $AA, $D0, $11, $A5
                        byte   $93, $D0, $0A, $20, $41, $A6, $20, $5E, $A6, $A9, $F0, $85, $93, $20, $93, $A6
                        byte   $60, $A2, $13, $A9, $00, $9D, $00, $40, $CA, $10, $FA, $A9, $CB, $8D, $00, $40
'                        byte   $8D, $04, $40, $A9, $40, $8D, $08, $40, $A9, $0F, $8D, $15, $40, $60, $A5, $A9
                        byte   $8D, $04, $40, $A9, $40, $8D, $08, $40, $A9, $0F, $8D, $15, $40, $60, $A5, $A9
                        byte   $0A, $AA, $BD, $89, $A6, $85, $96, $BD, $8A, $A6, $85, $97, $A0, $00, $84, $98
                        byte   $B1, $96, $85, $99, $E6, $96, $D0, $02, $E6, $97, $A9, $01, $85, $9A, $85, $9B
                        byte   $A5, $96, $85, $9C, $A5, $97, $85, $9D, $60, $F9, $A9, $0E, $AE, $79, $B1, $CD
                        byte   $B3, $17, $B4, $A5, $A1, $F0, $02, $C6, $A1, $A5, $95, $F0, $02, $C6, $95, $A5
                        byte   $97, $D0, $01, $60, $A5, $9A, $F0, $03, $C6, $9A, $60, $A5, $99, $85, $9A, $C6
                        byte   $9B, $F0, $01, $60, $A5, $96, $85, $9E, $A5, $97, $85, $9F, $A0, $00, $B1, $96
                        byte   $85, $A0, $20, $71, $A8, $A5, $95, $D0, $13, $A5, $A0, $29, $E0, $F0, $0D, $4A
                        byte   $4A, $4A, $4A, $4A, $18, $69, $1A, $85, $94, $20, $26, $A8, $A5, $A0, $29, $10
                        byte   $F0, $0A, $B1, $96, $20, $71, $A8, $85, $9B, $4C, $F0, $A6, $A9, $01, $85, $9B
                        byte   $A5, $A0, $29, $01, $F0, $16, $B1, $96, $48, $20, $71, $A8, $A2, $00, $20, $78
                        byte   $A8, $68, $10, $08, $B1, $96, $8D, $01, $40, $20, $71, $A8, $A5, $A0, $29, $02
                        byte   $F0, $22, $B1, $96, $48, $20, $71, $A8, $85, $A4, $A5, $A1, $D0, $07, $A5, $A4
                        byte   $A2, $04, $20, $78, $A8, $68, $10, $0C, $A5, $A1, $D0, $05, $B1, $96, $8D, $05
                        byte   $40, $20, $71, $A8, $A5, $A0, $29, $04, $F0, $0A, $B1, $96, $20, $71, $A8, $A2
                        byte   $08, $20, $78, $A8, $A5, $A0, $29, $08, $D0, $01, $60, $B1, $96, $20, $71, $A8
                        byte   $C9, $01, $D0, $18, $A5, $9C, $85, $96, $A5, $9D, $85, $97, $A9, $C8, $8D, $00
                        byte   $40, $A9, $C8, $8D, $04, $40, $A9, $40, $8D, $08, $40, $60, $C9, $05, $B0, $13
                        byte   $85, $A4, $A5, $98, $D0, $0C, $A5, $A4, $85, $98, $A5, $9E, $85, $A2, $A5, $9F
                        byte   $85, $A3, $60, $D0, $0D, $C6, $98, $F0, $08, $A5, $A2, $85, $96, $A5, $A3, $85
                        byte   $97, $60, $C9, $06, $D0, $0B, $20, $85, $A7, $A5, $98, $F0, $01, $60, $4C, $54
                        byte   $A7, $C9, $21, $B0, $0B, $38, $E9, $11, $AA, $BD, $CF, $A8, $8D, $00, $40, $60
                        byte   $C9, $31, $B0, $0B, $38, $E9, $21, $AA, $BD, $CF, $A8, $8D, $04, $40, $60, $C9
                        byte   $FF, $F0, $0B, $38, $E9, $31, $AA, $BD, $D5, $A8, $8D, $08, $40, $60, $A9, $00
                        byte   $85, $97, $60, $98, $48, $A5, $94, $38, $E9, $01, $0A, $0A, $0A, $A8, $B9, $F9
                        byte   $A8, $29, $1F, $C9, $10, $F0, $20, $09, $C0, $8D, $04, $40, $A9, $08, $8D, $05
                        byte   $40, $B9, $FB, $A8, $8D, $06, $40, $B9, $FC, $A8, $8D, $07, $40, $B9, $FA, $A8
                        byte   $8D, $05, $40, $A9, $10, $85, $A1, $B9, $FD, $A8, $29, $1F, $C9, $10, $F0, $13
                        byte   $8D, $0C, $40, $B9, $FF, $A8, $8D, $0E, $40, $B9, $00, $A9, $8D, $0F, $40, $A9
                        byte   $10, $85, $95, $68, $A8, $60, $98, $48, $A5, $94, $38, $E9, $01, $0A, $0A, $0A
                        byte   $A8, $B9, $F9, $A8, $29, $1F, $C9, $10, $F0, $1C, $09, $C0, $8D, $04, $40, $A9
                        byte   $08, $8D, $05, $40, $B9, $FB, $A8, $8D, $06, $40, $B9, $FC, $A8, $8D, $07, $40
                        byte   $B9, $FA, $A8, $8D, $05, $40, $B9, $FD, $A8, $29, $1F, $C9, $10, $F0, $0F, $8D
                        byte   $0C, $40, $B9, $FF, $A8, $8D, $0E, $40, $B9, $00, $A9, $8D, $0F, $40, $68, $A8
                        byte   $60, $E6, $96, $D0, $02, $E6, $97, $60, $48, $29, $0F, $0A, $A8, $68, $29, $70
                        byte   $4A, $4A, $4A, $4A, $85, $A4, $B9, $AF, $A8, $85, $A6, $B9, $B0, $A8, $85, $A7
                        byte   $C6, $A4, $F0, $07, $46, $A7, $66, $A6, $4C, $90, $A8, $A9, $08, $9D, $01, $40
                        byte   $A5, $A6, $9D, $02, $40, $A5, $A7, $09, $08, $9D, $03, $40, $A0, $00, $60, $00
                        byte   $00, $AF, $06, $4E, $06, $E4, $05, $9E, $05, $4E, $05, $01, $05, $BA, $04, $76
                        byte   $04, $36, $04, $F9, $03, $C0, $03, $8A, $03, $E6, $F2, $D0, $02, $E6, $F3, $C2
                        byte   $C4, $C8, $CF, $E0, $C0, $10, $20, $40, $7F, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $9E, $43, $40, $18, $10, $00, $01
                        byte   $10, $9E, $43, $30, $18, $10, $00, $01, $10, $90, $43, $40, $18, $0F, $00, $06
                        byte   $38, $96, $89, $10, $81, $01, $00, $05, $10, $AB, $B2, $20, $00, $10, $00, $04
                        byte   $30, $AB, $BA, $60, $02, $10, $00, $04, $30, $A3, $9B, $60, $51, $10, $00, $04
                        byte   $30, $9D, $1B, $20, $10, $10, $00, $04, $30, $9D, $CE, $10, $09, $10, $00, $06
                        byte   $48, $A0, $83, $80, $60, $01, $00, $0C, $70, $A0, $8A, $90, $27, $0A, $00, $04
                        byte   $40, $82, $D1, $40, $40, $10, $00, $00, $40, $5F, $9C, $10, $48, $1F, $00, $06
                        byte   $48, $8B, $9A, $C0, $17, $1F, $00, $08, $18, $90, $9A, $C0, $17, $0F, $00, $0E
                        byte   $40, $8F, $BD, $40, $B0, $10, $00, $05, $30, $61, $91, $10, $58, $06, $00, $07
                        byte   $40, $42, $83, $A0, $41, $10, $00, $00, $40, $43, $95, $00, $C5, $04, $00, $0B
                        byte   $40, $4F, $A7, $40, $C4, $0F, $00, $0D, $C0, $5F, $1B, $40, $50, $10, $00, $04
                        byte   $30, $8F, $FB, $80, $A0, $10, $00, $00, $40, $9F, $FB, $80, $51, $10, $00, $0E
                        byte   $40, $96, $84, $30, $89, $07, $00, $0C, $38, $4F, $83, $80, $38, $10, $00, $06
                        byte   $48, $AF, $BB, $40, $C4, $10, $00, $08, $40, $50, $83, $80, $38, $00, $00, $03
                        byte   $40, $50, $83, $80, $30, $01, $00, $09, $40, $50, $83, $80, $38, $01, $00, $0C
                        byte   $30, $F0, $A2, $20, $01, $02, $00, $0E, $40, $AF, $BB, $40, $C4, $10, $00, $08
                        byte   $40, $00, $00, $00, $00, $00, $00, $00, $00, $04, $6F, $38, $28, $28, $32, $08
                        byte   $23, $3F, $02, $38, $28, $28, $12, $77, $02, $38, $28, $28, $37, $02, $38, $28
                        byte   $28, $7F, $02, $3A, $2A, $2A, $23, $37, $02, $3A, $2A, $2A, $77, $02, $3A, $2A
                        byte   $2A, $37, $02, $3A, $2A, $2A, $5F, $02, $41, $31, $31, $23, $57, $02, $41, $31
                        byte   $31, $57, $02, $41, $31, $31, $47, $41, $31, $31, $08, $23, $57, $04, $41, $31
                        byte   $31, $57, $02, $41, $31, $31, $47, $41, $31, $31, $08, $33, $7F, $02, $46, $41
                        byte   $36, $23, $30, $02, $53, $02, $43, $3A, $65, $41, $36, $08, $23, $77, $02, $43
                        byte   $41, $36, $30, $02, $53, $02, $46, $41, $11, $02, $48, $7F, $02, $4A, $41, $36
                        byte   $23, $30, $02, $52, $02, $38, $65, $48, $36, $08, $23, $77, $02, $4A, $41, $36
                        byte   $31, $02, $48, $53, $02, $46, $41, $4B, $41, $31, $11, $08, $21, $67, $43, $33
                        byte   $33, $08, $22, $77, $02, $43, $33, $33, $40, $08, $21, $57, $02, $41, $31, $31
                        byte   $67, $43, $33, $33, $08, $22, $77, $02, $43, $33, $33, $40, $08, $21, $37, $02
                        byte   $41, $31, $31, $67, $43, $33, $33, $08, $22, $77, $02, $43, $33, $33, $40, $08
                        byte   $21, $57, $02, $41, $31, $31, $67, $43, $33, $33, $08, $22, $77, $02, $43, $33
                        byte   $33, $40, $08, $23, $67, $43, $33, $33, $08, $13, $7F, $02, $46, $41, $36, $23
                        byte   $30, $02, $53, $02, $43, $38, $75, $02, $41, $36, $7D, $02, $43, $36, $23, $31
                        byte   $02, $46, $53, $02, $48, $41, $91, $02, $4A, $7E, $02, $41, $36, $23, $31, $02
                        byte   $51, $53, $02, $53, $38, $65, $51, $36, $08, $23, $77, $02, $4A, $41, $36, $31
                        byte   $02, $48, $53, $02, $46, $36, $4B, $41, $31, $11, $08, $21, $67, $43, $33, $33
                        byte   $08, $22, $77, $02, $43, $33, $33, $40, $08, $21, $57, $02, $41, $31, $31, $67
                        byte   $43, $33, $33, $08, $22, $77, $02, $43, $33, $33, $40, $08, $21, $37, $02, $41
                        byte   $31, $31, $67, $43, $33, $33, $08, $22, $77, $02, $43, $33, $33, $40, $08, $21
                        byte   $57, $02, $41, $31, $31, $67, $43, $33, $33, $08, $22, $57, $02, $43, $33, $33
                        byte   $50, $02, $47, $43, $33, $33, $08, $23, $7F, $02, $3A, $36, $36, $13, $31, $02
                        byte   $41, $53, $02, $43, $36, $65, $41, $36, $08, $23, $77, $02, $3A, $36, $36, $31
                        byte   $02, $38, $52, $02, $36, $51, $02, $3A, $7E, $02, $33, $33, $23, $30, $02, $53
                        byte   $02, $36, $3A, $7F, $02, $36, $3A, $33, $23, $74, $02, $33, $37, $02, $36, $3A
                        byte   $33, $50, $02, $96, $02, $3A, $33, $7F, $02, $3A, $36, $36, $23, $30, $02, $52
                        byte   $02, $36, $65, $3A, $36, $08, $23, $77, $02, $41, $31, $36, $33, $02, $43, $31
                        byte   $55, $02, $46, $36, $33, $02, $48, $31, $7E, $02, $35, $31, $23, $32, $02, $35
                        byte   $53, $02, $31, $35, $67, $33, $36, $31, $08, $23, $77, $02, $35, $38, $31, $37
                        byte   $02, $33, $36, $31, $50, $02, $47, $31, $35, $31, $08, $23, $77, $02, $4A, $43
                        byte   $33, $31, $02, $48, $53, $02, $4A, $43, $65, $48, $33, $08, $23, $77, $02, $46
                        byte   $43, $33, $31, $02, $43, $52, $02, $43, $41, $46, $08, $23, $76, $02, $3B, $2B
                        byte   $30, $02, $53, $02, $36, $2B, $77, $02, $3B, $33, $2B, $7F, $02, $33, $26, $2B
                        byte   $23, $37, $02, $36, $2B, $2B, $53, $02, $2B, $23, $57, $02, $33, $26, $2B, $7F
                        byte   $02, $46, $3B, $2B, $23, $32, $02, $3B, $50, $02, $66, $3B, $2B, $08, $23, $77
                        byte   $02, $43, $3C, $2C, $37, $02, $46, $3C, $2C, $51, $02, $41, $97, $02, $3A, $33
                        byte   $2C, $7F, $02, $38, $35, $31, $23, $32, $02, $35, $53, $02, $31, $2A, $77, $02
                        byte   $33, $2B, $31, $7F, $02, $35, $31, $31, $23, $57, $02, $33, $2B, $31, $50, $02
                        byte   $47, $31, $2A, $31, $08, $23, $77, $02, $36, $2A, $36, $30, $02, $53, $02, $38
                        byte   $2B, $67, $36, $2A, $36, $08, $23, $77, $02, $38, $2B, $36, $31, $02, $3A, $52
                        byte   $02, $36, $81, $41, $08, $23, $76, $02, $38, $31, $30, $02, $53, $02, $38, $35
                        byte   $67, $38, $35, $31, $08, $23, $74, $02, $31, $37, $02, $38, $35, $31, $50, $02
                        byte   $97, $02, $38, $35, $31, $7F, $02, $41, $3A, $36, $23, $30, $02, $53, $02, $3A
                        byte   $36, $67, $41, $3A, $36, $08, $23, $77, $02, $43, $2B, $2B, $31, $02, $46, $56
                        byte   $02, $2C, $2C, $91, $02, $48, $7E, $02, $45, $31, $23, $32, $02, $45, $53, $02
                        byte   $31, $2A, $67, $33, $2B, $31, $08, $23, $77, $02, $35, $31, $31, $37, $02, $33
                        byte   $2B, $31, $50, $02, $57, $02, $31, $2A, $31, $7F, $02, $4A, $41, $36, $23, $30
                        byte   $02, $53, $02, $51, $41, $65, $4A, $36, $08, $23, $77, $02, $48, $45, $31, $31
                        byte   $02, $46, $56, $02, $45, $32, $57, $02, $43, $3B, $2B, $38, $02, $23, $30, $02
                        byte   $53, $02, $46, $36, $77, $02, $48, $36, $2B, $7F, $02, $46, $33, $33, $23, $75
                        byte   $02, $43, $2B, $52, $02, $2B, $77, $02, $41, $2B, $2B, $7E, $02, $2A, $2A, $23
                        byte   $32, $02, $2A, $51, $02, $3A, $57, $02, $41, $2A, $2A, $7F, $02, $43, $3B, $2B
                        byte   $23, $37, $02, $41, $2A, $2A, $57, $02, $43, $2B, $2B, $77, $02, $46, $3A, $36
                        byte   $1A, $02, $3A, $23, $52, $02, $36, $52, $02, $33, $96, $02, $31, $36, $5E, $02
                        byte   $36, $36, $23, $76, $02, $31, $31, $46, $36, $36, $40, $46, $35, $35, $48, $23
                        byte   $68, $32, $08, $21, $3F, $02, $41, $31, $31, $11, $57, $02, $43, $33, $33, $37
                        byte   $02, $41, $31, $31, $67, $43, $33, $33, $08, $22, $7F, $02, $43, $33, $33, $12
                        byte   $40, $08, $21, $5F, $02, $41, $31, $31, $11, $77, $02, $43, $33, $33, $37, $02
                        byte   $41, $31, $31, $47, $43, $33, $33, $08, $23, $3F, $02, $43, $33, $33, $13, $50
                        byte   $02, $70, $02, $40, $40, $40, $40, $60, $08, $22, $3F, $02, $41, $31, $31, $11
                        byte   $57, $02, $43, $33, $33, $37, $02, $41, $31, $31, $67, $43, $33, $33, $08, $22
                        byte   $7F, $02, $43, $33, $33, $12, $40, $08, $21, $5F, $02, $41, $31, $31, $11, $77
                        byte   $02, $43, $33, $33, $37, $02, $41, $31, $31, $47, $43, $33, $33, $08, $23, $3F
                        byte   $02, $43, $33, $33, $13, $40, $60, $20, $80, $40, $40, $40, $48, $01, $06, $6F
                        byte   $4B, $48, $24, $02, $08, $31, $2F, $54, $4B, $34, $13, $2C, $34, $32, $6F, $53
                        byte   $49, $2B, $23, $08, $31, $27, $51, $44, $2B, $04, $2B, $6F, $4B, $48, $34, $21
                        byte   $07, $51, $49, $2B, $27, $4B, $48, $34, $2F, $51, $49, $2B, $32, $67, $4B, $48
                        byte   $34, $02, $49, $26, $4B, $2B, $0A, $49, $22, $66, $48, $24, $08, $31, $27, $48
                        byte   $44, $34, $2F, $49, $46, $34, $32, $77, $02, $4B, $48, $24, $27, $48, $44, $34
                        byte   $0B, $49, $46, $31, $67, $4B, $43, $2B, $0C, $29, $22, $27, $4B, $43, $26, $2F
                        byte   $51, $44, $29, $32, $6F, $4B, $43, $2B, $13, $22, $3B, $2E, $43, $26, $33, $2A
                        byte   $3B, $05, $7F, $02, $44, $38, $34, $23, $20, $03, $3B, $34, $57, $02, $48, $3B
                        byte   $34, $20, $03, $3B, $34, $9F, $02, $44, $38, $34, $22, $23, $3B, $34, $03, $3B
                        byte   $34, $57, $02, $3B, $34, $2B, $27, $48, $3B, $28, $08, $22, $6F, $46, $33, $2B
                        byte   $12, $03, $45, $32, $23, $46, $33, $03, $48, $34, $5F, $02, $49, $36, $2B, $13
                        byte   $33, $02, $46, $33, $8F, $48, $2B, $34, $22, $68, $12, $23, $3B, $38, $03, $3B
                        byte   $38, $5F, $02, $3B, $38, $2B, $13, $27, $3B, $38, $28, $08, $22, $7F, $02, $44
                        byte   $38, $34, $23, $28, $11, $03, $3B, $34, $5F, $02, $48, $3B, $2B, $12, $20, $0B
                        byte   $3B, $34, $22, $97, $02, $44, $38, $34, $23, $3B, $38, $01, $3B, $57, $02, $3B
                        byte   $38, $34, $23, $48, $34, $08, $12, $6F, $46, $33, $2B, $22, $03, $45, $32, $23
                        byte   $46, $33, $0B, $48, $34, $13, $57, $02, $49, $36, $2B, $23, $46, $33, $08, $22
                        byte   $47, $48, $3B, $34, $40, $40, $03, $46, $39, $47, $44, $38, $28, $04, $29, $47
                        byte   $3B, $38, $29, $0F, $3B, $38, $2A, $22, $7F, $02, $46, $43, $2B, $33, $26, $36
                        byte   $3B, $02, $36, $46, $33, $2B, $08, $22, $27, $3B, $43, $3B, $01, $3B, $97, $02
                        byte   $48, $44, $34, $26, $34, $44, $02, $2B, $46, $34, $34, $08, $21, $27, $3B, $38
                        byte   $44, $03, $3B, $38, $7F, $02, $49, $31, $29, $22, $27, $48, $2B, $39, $20, $57
                        byte   $02, $46, $29, $2A, $3F, $02, $44, $28, $3A, $22, $87, $46, $33, $2B, $08, $21
                        byte   $26, $31, $3B, $0A, $31, $22, $46, $2B, $36, $08, $21, $2F, $3B, $33, $33, $13
                        byte   $03, $3B, $33, $6F, $46, $43, $2B, $22, $08, $21, $27, $36, $2B, $3B, $2B, $33
                        byte   $26, $22, $47, $36, $2B, $2B, $08, $21, $27, $3B, $33, $3B, $0B, $3B, $33, $22
                        byte   $87, $48, $3B, $34, $08, $21, $27, $38, $44, $44, $0B, $34, $3B, $22, $47, $38
                        byte   $44, $34, $08, $21, $27, $3B, $38, $44, $0B, $3B, $38, $21, $67, $49, $3C, $2C
                        byte   $02, $43, $27, $48, $46, $3C, $22, $43, $47, $46, $46, $2C, $02, $46, $27, $44
                        byte   $43, $3C, $0A, $3C, $13, $47, $46, $4B, $2B, $42, $4B, $26, $46, $26, $82, $43
                        byte   $47, $4B, $4B, $2B, $42, $4B, $46, $46, $26, $4A, $43, $22, $67, $48, $34, $34
                        byte   $03, $49, $36, $33, $02, $4B, $38, $57, $02, $4B, $38, $2B, $33, $02, $4B, $38
                        byte   $9F, $02, $4B, $38, $34, $22, $23, $51, $39, $84, $34, $57, $02, $4B, $38, $2B
                        byte   $37, $02, $48, $34, $28, $6F, $46, $33, $2B, $22, $03, $48, $34, $33, $02, $49
                        byte   $36, $47, $49, $36, $33, $08, $21, $2F, $48, $34, $36, $12, $03, $46, $33, $87
                        byte   $4B, $38, $34, $0B, $4A, $37, $22, $23, $4B, $38, $64, $34, $47, $4B, $38, $2B
                        byte   $03, $4A, $37, $27, $4B, $38, $28, $03, $48, $34, $6F, $48, $34, $34, $12, $0B
                        byte   $49, $36, $22, $33, $02, $4B, $38, $57, $02, $4B, $38, $2B, $33, $02, $4B, $38
                        byte   $9F, $02, $4B, $38, $34, $22, $23, $51, $39, $64, $34, $57, $02, $4B, $38, $2B
                        byte   $37, $02, $48, $34, $28, $6F, $46, $33, $2B, $22, $03, $48, $34, $23, $49, $36
                        byte   $20, $57, $02, $49, $36, $33, $2F, $48, $34, $2B, $22, $03, $46, $33, $47, $44
                        byte   $38, $34, $08, $21, $4B, $38, $44, $11, $4F, $38, $44, $34, $22, $47, $38, $44
                        byte   $2B, $20, $87, $34, $3B, $28, $68, $11, $67, $46, $43, $2B, $03, $43, $3B, $27
                        byte   $46, $43, $3B, $2B, $43, $3B, $23, $5F, $02, $46, $43, $2B, $12, $3F, $02, $43
                        byte   $36, $3B, $13, $84, $34, $08, $22, $2F, $48, $3B, $34, $12, $08, $23, $5F, $02
                        byte   $46, $43, $2B, $13, $24, $3B, $0C, $36, $22, $6F, $46, $43, $2B, $11, $03, $43
                        byte   $3B, $27, $46, $43, $3B, $23, $43, $3B, $5F, $02, $46, $43, $2B, $12, $3F, $02
                        byte   $43, $3B, $3B, $23, $97, $02, $41, $3A, $26, $27, $41, $3A, $36, $0C, $36, $22
                        byte   $5F, $02, $3B, $43, $2B, $13, $24, $3B, $28, $21, $6F, $46, $43, $2B, $11, $03
                        byte   $43, $3B, $27, $3B, $36, $3B, $0B, $43, $3B, $22, $5F, $02, $46, $43, $2B, $12
                        byte   $3F, $02, $43, $3B, $3B, $13, $9E, $02, $3B, $34, $23, $3D, $02, $48, $3B, $12
                        byte   $5F, $02, $46, $43, $2B, $13, $24, $3B, $08, $21, $6F, $46, $43, $2B, $11, $03
                        byte   $43, $3B, $27, $4B, $46, $3B, $2B, $43, $3B, $22, $5F, $02, $46, $43, $2B, $12
                        byte   $37, $02, $43, $3B, $3B, $47, $36, $3A, $26, $40, $47, $51, $36, $36, $0C, $36
                        byte   $22, $57, $02, $4B, $43, $2B, $40, $08, $01, $04, $6F, $3C, $3A, $36, $02, $08
                        byte   $21, $2A, $3A, $32, $08, $14, $57, $02, $41, $3A, $31, $32, $02, $3A, $7F, $02
                        byte   $43, $3A, $36, $21, $32, $02, $3A, $57, $02, $41, $3A, $31, $22, $3A, $22, $36
                        byte   $7F, $02, $3C, $3A, $36, $21, $33, $02, $41, $3A, $57, $02, $3A, $3A, $31, $32
                        byte   $02, $3A, $7E, $02, $3A, $36, $21, $32, $02, $3A, $47, $41, $3A, $31, $01, $3C
                        byte   $23, $3A, $36, $03, $38, $3A, $7F, $02, $3A, $36, $36, $21, $32, $02, $3A, $47
                        byte   $3A, $36, $31, $01, $38, $23, $36, $3A, $01, $35, $7F, $02, $36, $3A, $36, $21
                        byte   $32, $02, $3A, $47, $41, $3A, $31, $01, $3C, $23, $3A, $36, $83, $38, $36, $7F
                        byte   $02, $3A, $36, $36, $21, $32, $02, $3A, $47, $3A, $36, $31, $01, $38, $23, $36
                        byte   $3A, $01, $35, $7F, $02, $2A, $3A, $36, $21, $32, $02, $3A, $56, $02, $3A, $31
                        byte   $23, $41, $3A, $02, $3A, $7F, $02, $3C, $3A, $36, $21, $32, $02, $3A, $57, $02
                        byte   $41, $3A, $31, $32, $02, $3A, $7F, $02, $43, $3A, $36, $21, $32, $02, $3A, $57
                        byte   $02, $41, $3A, $31, $22, $3A, $82, $36, $7F, $02, $3C, $3A, $36, $21, $33, $02
                        byte   $41, $3A, $57, $02, $3A, $36, $31, $32, $02, $3A, $7E, $02, $3A, $36, $21, $32
                        byte   $02, $3A, $47, $41, $3A, $31, $01, $3C, $23, $3A, $36, $01, $38, $7F, $02, $3A
                        byte   $35, $3A, $21, $32, $02, $35, $47, $3A, $35, $35, $01, $39, $23, $37, $35, $01
                        byte   $35, $7F, $02, $32, $35, $3A, $21, $32, $02, $35, $47, $42, $35, $35, $01, $3C
                        byte   $23, $3A, $35, $23, $39, $35, $7F, $02, $3A, $35, $3A, $21, $32, $02, $35, $47
                        byte   $3A, $35, $35, $01, $39, $23, $37, $35, $01, $35, $8F, $32, $35, $3A, $21, $40
                        byte   $52, $02, $35, $56, $02, $35, $35, $4A, $35, $21, $0A, $35, $05, $6F, $45, $39
                        byte   $35, $02, $09, $44, $21, $23, $42, $39, $01, $3C, $47, $45, $39, $2C, $01, $44
                        byte   $23, $42, $39, $01, $3C, $6F, $45, $39, $35, $21, $01, $44, $23, $42, $39, $01
                        byte   $3C, $47, $45, $39, $2C, $21, $44, $23, $42, $39, $23, $3C, $39, $6F, $41, $38
                        byte   $41, $21, $01, $3C, $27, $3A, $38, $38, $01, $38, $47, $41, $38, $41, $01, $3C
                        byte   $27, $3A, $38, $38, $01, $38, $6F, $41, $38, $31, $21, $01, $3C, $27, $3A, $38
                        byte   $28, $01, $38, $47, $41, $38, $31, $01, $3C, $2F, $3A, $38, $28, $21, $8B, $38
                        byte   $38, $05, $67, $36, $36, $36, $08, $21, $37, $02, $36, $36, $36, $57, $02, $37
                        byte   $37, $37, $37, $02, $37, $37, $37, $7F, $02, $38, $38, $38, $21, $77, $02, $38
                        byte   $38, $38, $57, $02, $39, $39, $39, $37, $02, $39, $39, $39, $4F, $3A, $3A, $3A
                        byte   $21, $01, $3B, $07, $3C, $3A, $3A, $01, $41, $47, $3B, $3B, $3B, $01, $3C, $0F
                        byte   $41, $3B, $3B, $21, $01, $42, $47, $3C, $3C, $3C, $41, $41, $67, $42, $3C, $3C
                        byte   $01, $43, $47, $41, $41, $41, $49, $42, $21, $47, $43, $41, $41, $41, $44, $67
                        byte   $36, $36, $36, $08, $21, $37, $02, $36, $36, $36, $57, $02, $37, $37, $37, $37
                        byte   $02, $37, $37, $37, $7F, $02, $38, $38, $38, $21, $37, $02, $38, $38, $38, $57
                        byte   $02, $39, $39, $39, $37, $02, $39, $39, $39, $4F, $3A, $3A, $3A, $21, $01, $3B
                        byte   $67, $3C, $3A, $3A, $01, $41, $47, $3B, $3B, $3B, $01, $3C, $6F, $41, $3B, $3B
                        byte   $21, $01, $42, $47, $3C, $3C, $3C, $41, $41, $47, $42, $3C, $3C, $41, $43, $47
                        byte   $41, $41, $41, $49, $42, $21, $47, $43, $41, $41, $49, $44, $01, $06, $8F, $46
                        byte   $3A, $33, $13, $0A, $46, $31, $2D, $47, $33, $33, $4F, $53, $3A, $43, $23, $02
                        byte   $53, $21, $46, $27, $47, $3A, $42, $02, $47, $21, $53, $47, $47, $3A, $3C, $03
                        byte   $48, $47, $23, $49, $48, $27, $4A, $42, $3A, $02, $4A, $20, $47, $48, $43, $2A
                        byte   $4B, $47, $42, $34, $4B, $45, $3C, $24, $2F, $43, $3A, $43, $14, $12, $02, $43
                        byte   $17, $0E, $53, $5A, $33, $08, $FF, $07, $6F, $52, $45, $2A, $02, $0C, $42, $23
                        byte   $2F, $55, $42, $52, $13, $0C, $55, $33, $27, $55, $42, $45, $05, $4B, $55, $07
                        byte   $4C, $49, $29, $04, $4C, $07, $55, $3C, $45, $04, $55, $27, $55, $3C, $45, $04
                        byte   $55, $6F, $3A, $32, $27, $23, $02, $45, $27, $4A, $3A, $42, $05, $49, $4A, $27
                        byte   $4A, $3A, $49, $05, $4C, $4A, $07, $52, $42, $2A, $04, $52, $07, $4C, $3C, $45
                        byte   $04, $4C, $27, $4A, $3A, $42, $04, $4A, $6F, $49, $3C, $25, $23, $04, $49, $27
                        byte   $55, $39, $3C, $04, $55, $27, $55, $39, $3C, $05, $46, $55, $07, $47, $43, $33
                        byte   $05, $46, $47, $07, $53, $37, $3A, $04, $53, $27, $47, $37, $3A, $04, $47, $6F
                        byte   $49, $39, $25, $23, $04, $49, $20, $07, $49, $39, $3C, $27, $49, $39, $3C, $04
                        byte   $49, $07, $49, $39, $25, $04, $49, $67, $4A, $3A, $27, $04, $4A, $0F, $4C, $3C
                        byte   $29, $23, $0C, $4C, $05, $6F, $55, $48, $31, $02, $0D, $54, $45, $23, $2F, $55
                        byte   $45, $55, $13, $0C, $58, $33, $27, $58, $45, $48, $64, $58, $47, $53, $4C, $2C
                        byte   $05, $52, $53, $07, $53, $43, $48, $04, $58, $27, $58, $43, $48, $04, $58, $6F
                        byte   $31, $35, $2A, $23, $02, $48, $27, $51, $41, $45, $05, $4C, $51, $27, $51, $41
                        byte   $4C, $05, $53, $51, $47, $55, $45, $31, $04, $55, $07, $53, $43, $48, $04, $53
                        byte   $27, $51, $41, $45, $64, $51, $6F, $4C, $43, $28, $23, $04, $4C, $27, $58, $3C
                        byte   $43, $04, $58, $27, $4C, $3C, $43, $64, $58, $47, $4A, $46, $36, $05, $49, $4A
                        byte   $07, $56, $3A, $41, $04, $56, $27, $4A, $3A, $41, $04, $4A, $6F, $4C, $48, $28
                        byte   $23, $04, $4C, $20, $07, $4C, $48, $43, $27, $4C, $48, $43, $04, $4C, $47, $4C
                        byte   $48, $28, $64, $4C, $67, $51, $4A, $2A, $04, $51, $6F, $53, $4C, $2C, $23, $0C
                        byte   $53, $05, $6D, $54, $49, $23, $04, $54, $26, $49, $41, $06, $48, $3C, $26, $49
                        byte   $41, $06, $4B, $44, $57, $02, $54, $51, $49, $26, $49, $54, $06, $48, $53, $2E
                        byte   $49, $54, $33, $0E, $4B, $59, $23, $6F, $55, $55, $31, $13, $04, $55, $27, $51
                        byte   $58, $55, $04, $51, $27, $51, $58, $55, $04, $51, $47, $53, $4C, $28, $64, $53
                        byte   $67, $33, $2C, $28, $27, $35, $31, $2A, $67, $36, $33, $2C, $2F, $33, $2C, $28
                        byte   $01, $E6, $AB, $A5, $AB, $C9, $10, $F0, $03, $4C, $1F, $B6, $A9, $00, $85, $AB
                        byte   $EE, $40, $02, $EE, $44, $02, $EE, $48, $02, $EE, $4C, $02, $EE, $50, $02, $EE
                        byte   $54, $02, $EE, $58, $02, $EE, $5C, $02, $EE, $60, $02, $EE, $64, $02, $EE, $68
                        byte   $02, $EE, $6C, $02, $EE, $70, $02, $EE, $74, $02, $EE, $78, $02, $EE, $7C, $02
                        byte   $EE, $80, $02, $EE, $84, $02, $EE, $88, $02, $EE, $8C, $02, $EE, $90, $02, $EE
                        byte   $94, $02, $EE, $98, $02, $EE, $9C, $02, $EE, $A0, $02, $EE, $A4, $02, $EE, $A8
                        byte   $02, $EE, $AC, $02, $EE, $B0, $02, $EE, $B4, $02, $EE, $B8, $02, $EE, $BC, $02
                        byte   $EE, $C0, $02, $EE, $C4, $02, $EE, $C8, $02, $EE, $CC, $02, $EE, $D0, $02, $60
                        byte   $E6, $AC, $A5, $AC, $C9, $10, $F0, $03, $4C, $5D, $B6, $A9, $00, $85, $AC, $A6
                        byte   $AD, $BD, $5E, $B6, $0A, $0A, $0A, $0A, $AA, $BD, $8E, $B6, $20, $DE, $B6, $BD
                        byte   $8F, $B6, $20, $EB, $B6, $BD, $90, $B6, $20, $F8, $B6, $BD, $91, $B6, $20, $05
                        byte   $B7, $E6, $AD, $A5, $AD, $C9, $31, $D0, $04, $A9, $00, $85, $AD, $60, $01, $02
                        byte   $04, $03, $03, $11, $0F, $00, $05, $00, $0D, $10, $07, $06, $10, $08, $09, $13
                        byte   $0E, $04, $0A, $08, $09, $09, $0B, $0C, $0A, $13, $0E, $12, $13, $0C, $0D, $00
                        byte   $07, $0E, $0F, $08, $06, $10, $06, $02, $12, $0D, $09, $11, $05, $00, $20, $23
                        byte   $21, $22, $21, $21, $22, $21, $23, $22, $23, $20, $21, $21, $22, $22, $22, $23
                        byte   $20, $21, $23, $20, $21, $20, $21, $22, $21, $23, $22, $23, $20, $22, $21, $21
                        byte   $20, $22, $23, $23, $21, $21, $21, $22, $22, $20, $22, $23, $23, $23, $20, $21
                        byte   $22, $22, $22, $20, $21, $20, $23, $20, $23, $21, $21, $21, $20, $23, $22, $22
                        byte   $21, $22, $23, $21, $23, $21, $21, $23, $22, $20, $22, $22, $20, $23, $8D, $02
                        byte   $02, $8D, $16, $02, $8D, $22, $02, $8D, $3E, $02, $60, $8D, $06, $02, $8D, $1A
                        byte   $02, $8D, $2E, $02, $8D, $36, $02, $60, $8D, $0A, $02, $8D, $1E, $02, $8D, $26
                        byte   $02, $8D, $3A, $02, $60, $8D, $0E, $02, $8D, $12, $02, $8D, $2A, $02, $8D, $32
                        byte   $02, $60, $A9, $00, $AA, $9D, $00, $02, $9D, $00, $03, $9D, $00, $04, $9D, $00
                        byte   $05, $9D, $00, $06, $9D, $00, $07, $E8, $D0, $EB, $60, $A2, $00, $BD, $3C, $B7
                        byte   $C9, $FF, $F0, $07, $9D, $00, $02, $E8, $4C, $2D, $B7, $60, $08, $1E, $23, $90
                        byte   $10, $2F, $23, $C8, $20, $1E, $23, $20, $38, $1F, $23, $70, $48, $2F, $23, $D8
                        byte   $50, $1F, $23, $A8, $58, $1E, $23, $58, $68, $2F, $23, $40, $88, $1E, $23, $B8
                        byte   $90, $2F, $23, $58, $A8, $1E, $23, $28, $A8, $1F, $23, $90, $B0, $2F, $23, $D0
                        byte   $C0, $1E, $23, $40, $C8, $1F, $23, $78, $D8, $2F, $23, $C0, $10, $1F, $23, $10
                        byte   $10, $1E, $23, $38, $10, $2F, $23, $E0, $18, $1F, $23, $70, $20, $1E, $23, $B0
                        byte   $28, $2F, $23, $50, $28, $1E, $23, $88, $28, $1E, $23, $E8, $38, $1F, $23, $28
                        byte   $38, $1E, $23, $C0, $48, $2F, $23, $48, $60, $1E, $23, $70, $60, $1F, $23, $B0
                        byte   $60, $2F, $23, $E0, $70, $1E, $23, $98, $78, $2F, $23, $78, $78, $1E, $23, $D8
                        byte   $80, $1F, $23, $38, $88, $1E, $23, $10, $90, $2F, $23, $90, $90, $1E, $23, $E0
                        byte   $A0, $2F, $23, $A8, $A0, $1E, $23, $F0, $A8, $1F, $23, $58, $C8, $1E, $23, $18
                        byte   $C8, $1F, $23, $A0, $D0, $2F, $23, $E8, $D8, $1F, $23, $40, $00, $1E, $23, $58
                        byte   $48, $2F, $23, $18, $A0, $1E, $23, $30, $B8, $2F, $23, $78, $A8, $1E, $23, $C0
' $B800
                        byte   $E0, $2F, $23, $D0, $E0, $1F, $23, $78, $E8, $1E, $23, $28, $E8, $2F, $23, $B0
                        byte   $FF, $A5, $69, $8D, $00, $20, $A5, $6A, $8D, $01, $20, $AD, $02, $20, $A5, $64
                        byte   $8D, $06, $20, $A5, $65, $8D, $06, $20, $A9, $00, $8D, $D5, $07, $A9, $00, $8D
                        byte   $D5, $07, $60, $A9, $00, $8D, $00, $20, $8D, $01, $20, $AD, $02, $20, $A9, $20
                        byte   $8D, $06, $20, $A9, $00, $8D, $06, $20, $A9, $00, $A2, $10, $A0, $00, $8D, $07
                        byte   $20, $C8, $D0, $FA, $CA, $D0, $F7, $60, $A9, $00, $8D, $00, $20, $8D, $01, $20
                        byte   $AD, $02, $20, $A9, $3F, $8D, $06, $20, $A9, $00, $8D, $06, $20, $AA, $BD, $7B
' $B87B - 32 bytes of pallette data
'                        byte   $B8, $30, $07, $8D, $07, $20, $E8, $4C, $6E, $B8, $60, $0D, $09, $09, $30, $0D
'                        byte   $09, $09, $30, $0D, $07, $08, $08, $0D, $0A, $0B, $01, $0D, $0D, $23, $30, $0D
'                        byte   $20, $23, $21, $0D, $20, $23, $23, $0D, $20, $30, $28, $FF, $AD, $02, $20, $10
                        byte   $B8, $30, $07, $8D, $07, $20, $E8, $4C, $6E, $B8, $60, $00, $69, $69, $05, $00
                        byte   $69, $69, $05, $00, $B9, $99, $99, $00, $59, $89, $08, $00, $00, $2B, $05, $00
                        byte   $05, $2B, $39, $00, $05, $2B, $2B, $00, $05, $05, $9B, $FF, $AD, $02, $20, $10
                        byte   $FB, $AD, $02, $20, $10, $FB, $60, $A9, $03, $A9, $6F, $8D, $00, $40, $A9, $9B
                        byte   $8D, $01, $40, $A9, $80, $8D, $02, $40, $A9, $0A, $8D, $03, $40, $20, $DE, $B8
                        byte   $20, $DE, $B8, $A9, $BF, $8D, $00, $40, $A9, $9B, $8D, $01, $40, $A9, $80, $8D
                        byte   $02, $40, $A9, $0A, $8D, $03, $40, $20, $DE, $B8, $20, $DE, $B8, $60, $EA, $EA
                        byte   $EA, $EA, $EA, $EA, $EA, $EA, $EA, $EA, $60, $A9, $02, $A9, $3F, $8D, $04, $40
                        byte   $A9, $9A, $8D, $05, $40, $A9, $FF, $8D, $06, $40, $A9, $00, $8D, $07, $40, $60
                        byte   $A0, $55, $4C, $0E, $B9, $A0, $0F, $A5, $6B, $6A, $90, $02, $A0, $F0, $98, $48
                        byte   $A9, $23, $20, $E2, $95, $A6, $6B, $BD, $35, $B9, $20, $E2, $95, $68, $20, $E2
                        byte   $95, $20, $E2, $95, $20, $E2, $95, $20, $E2, $95, $A9, $00, $20, $E2, $95, $20
                        byte   $E2, $95, $C6, $36, $60, $D0, $D0, $D8, $D8, $E0, $E0, $E8, $E8, $F0, $F0, $D4
                        byte   $D4, $DC, $DC, $E4, $E4, $EC, $EC, $F4, $F4, $A9, $01, $8D, $16, $40, $A9, $00
                        byte   $8D, $16, $40, $A5, $67, $85, $66, $A2, $08, $AD, $16, $40, $6A, $26, $67, $CA
                        byte   $D0, $F7, $A5, $67, $45, $66, $85, $68, $A5, $66, $C9, $00, $F0, $04, $A9, $00
                        byte   $85, $68, $60, $20, $00, $B9, $A5, $6B, $85, $46, $18, $69, $0A, $85, $6B, $20
                        byte   $00, $B9, $A5, $46, $85, $6B, $60, $20, $05, $B9, $A5, $6B, $85, $46, $18, $69
                        byte   $0A, $85, $6B, $20, $05, $B9, $A5, $46, $85, $6B, $60, $A5, $62, $29, $0F, $85
                        byte   $13, $A5, $6B, $85, $14, $60, $A5, $6F, $0A, $0A, $0A, $0A, $29, $F0, $18, $65
                        byte   $13, $85, $13, $60, $AD, $C1, $01, $C9, $51, $D0, $0D, $AD, $C2, $01, $20, $B8
                        byte   $BA, $AD, $C3, $01, $20, $D1, $BA, $60, $AD, $2E, $01, $C9, $61, $D0, $0D, $AD
                        byte   $2F, $01, $20, $B8, $BA, $AD, $33, $01, $20, $D1, $BA, $60, $AD, $C5, $01, $C9
                        byte   $71, $D0, $0D, $AD, $C3, $01, $20, $B8, $BA, $AD, $C4, $01, $20, $D1, $BA, $60
                        byte   $AD, $61, $01, $C9, $81, $D0, $0D, $AD, $62, $01, $20, $B8, $BA, $AD, $63, $01
' $BA00
                        byte   $20, $D1, $BA, $60, $AD, $32, $01, $C9, $91, $D0, $0D, $AD, $33, $01, $20, $B8
                        byte   $BA, $AD, $34, $01, $20, $D1, $BA, $60, $AD, $72, $01, $C9, $A1, $D0, $0D, $AD
                        byte   $73, $01, $20, $B8, $BA, $AD, $74, $01, $20, $D1, $BA, $60, $AD, $61, $01, $C9
                        byte   $B1, $D0, $0D, $AD, $62, $01, $20, $B8, $BA, $AD, $63, $01, $20, $D1, $BA, $60
                        byte   $A5, $0D, $C9, $C1, $D0, $0B, $A5, $0E, $20, $B8, $BA, $A5, $0F, $20, $D1, $BA
                        byte   $60, $AD, $62, $01, $C9, $D1, $D0, $0D, $AD, $63, $01, $20, $B8, $BA, $AD, $64
                        byte   $01, $20, $D1, $BA, $60, $AD, $42, $01, $C9, $E1, $D0, $0D, $AD, $43, $01, $20
                        byte   $B8, $BA, $AD, $44, $01, $20, $D1, $BA, $60, $AD, $D2, $01, $C9, $F1, $D0, $0D
                        byte   $AD, $D3, $01, $20, $B8, $BA, $AD, $D4, $01, $20, $D1, $BA, $60, $AD, $B1, $01
                        byte   $C9, $41, $D0, $0D, $AD, $B2, $01, $20, $B8, $BA, $AD, $B3, $01, $20, $D1, $BA
                        byte   $60, $A9, $00, $85, $62, $85, $63, $A9, $03, $85, $6F, $A9, $04, $85, $70, $85
                        byte   $71, $85, $72, $85, $73, $85, $74, $60, $AA, $4A, $4A, $4A, $4A, $18, $C9, $08
                        byte   $B0, $0C, $85, $6F, $8A, $29, $0F, $C9, $0A, $B0, $03, $85, $62, $60, $4C, $A1
                        byte   $BA, $C9, $14, $B0, $0B, $85, $70, $85, $71, $85, $72, $85, $73, $85, $74, $60
'                        byte   $4C, $A1, $BA, $20, $ED, $BA, $20, $42, $BB, $4C, $30, $04, $60, $A2, $00, $BD
                        byte   $4C, $A1, $BA, $20, $ED, $BA, $20, $42, $BB, $4C, $08, $BB, $60, $A2, $00, $BD
                        byte   $06, $BB, $85, $00, $BD, $07, $BB, $85, $01, $A0, $00, $B1, $00, $99, $50, $04
' $BB00
                        byte   $C8, $C0, $40, $D0, $F6, $60, $08, $BB, $A0, $00, $A9, $00, $8D, $06, $20, $8D
'                        byte   $06, $20, $85, $00, $A9, $E0, $85, $01, $B1, $00, $8D, $07, $20, $C8, $C0, $00
                        byte   $06, $20, $85, $00, $A9, $E0, $85, $01, $B1, $00, $EA, $EA, $EA, $C8, $C0, $00
                        byte   $F0, $06, $A2, $FF, $E0, $00, $D0, $F0, $E6, $01, $A6, $01, $E0, $00, $D0, $E8
                        byte   $A9, $80, $8D, $00, $20, $A9, $40, $8D, $00, $80, $A9, $40, $8D, $00, $80, $4C
                        byte   $EC, $BA, $A2, $00, $BD, $5B, $BB, $85, $00, $BD, $5C, $BB, $85, $01, $A0, $00
                        byte   $B1, $00, $99, $30, $04, $C8, $C0, $10, $D0, $F6, $60, $5D, $BB, $A9, $27, $8D
                        byte   $02, $80, $4C, $50, $04, $40, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
{                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF}
                        byte   $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $73, $80, $00, $80, $65, $BB

'
'
'
' last 6 bytes of memory
'$73 80 00 80 $65 BB
' Reset address $8000
' NMI address   $8073
'
' Data Type: NES Pattern Tables
' Size: 8192 Bytes
' Range: $0000-$1FFF
_pattern_tables
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $1C, $3F, $7F, $FF, $FF, $FF, $3F, $3F, $1C, $3F, $7F, $FF, $FF, $FF, $3F, $3F
                        byte   $00, $80, $C0, $F0, $F8, $E0, $80, $80, $00, $80, $C0, $F0, $F8, $E0, $80, $80
                        byte   $00, $00, $00, $1F, $1F, $1C, $38, $38, $00, $00, $00, $1F, $1F, $1C, $38, $38
                        byte   $03, $FF, $FF, $C3, $C1, $00, $00, $00, $03, $FF, $FF, $C3, $C1, $00, $00, $00
                        byte   $80, $FF, $FC, $FC, $F0, $F0, $E0, $E0, $80, $FF, $FC, $FC, $F0, $F0, $E0, $E0
                        byte   $03, $07, $06, $0C, $08, $08, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $FF, $FF, $3F, $3F, $1F, $1F, $1F, $3F, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $FF, $FF, $8F, $86, $02, $02, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $1E, $7F, $E7, $85, $05, $04, $0C, $08, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $80, $80, $C0, $C0, $E0, $E0, $F0, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $70, $FC, $FE, $FF, $3F, $1F, $0E, $06, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $01, $03, $00, $00, $00, $00, $00, $00, $01, $03, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $3F, $7F, $7F, $7F, $FE, $FE, $FE, $FC, $3F, $7F, $7F, $7F, $FE, $FE, $FE, $FC
                        byte   $80, $00, $00, $00, $00, $00, $00, $00, $80, $00, $00, $00, $00, $00, $00, $00
                        byte   $38, $70, $70, $70, $E0, $E0, $E0, $C0, $38, $70, $70, $70, $E0, $E0, $E0, $C0
                        byte   $00, $01, $01, $01, $03, $03, $03, $07, $00, $01, $01, $01, $03, $03, $03, $07
                        byte   $E0, $C0, $C0, $C0, $80, $80, $80, $00, $E0, $C0, $C0, $C0, $80, $80, $80, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $3E, $3E, $7C, $7C, $7C, $F8, $F8, $F8, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $08, $18, $10, $10, $30, $20, $20, $20, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $70, $78, $78, $3C, $3C, $3E, $1E, $1F, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $04, $04, $0C, $08, $08, $18, $10, $10, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $10, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $10, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $01, $03, $03, $03, $1F, $03, $01, $01, $01, $03, $03, $03, $1F, $03, $01
                        byte   $FC, $FC, $F8, $F8, $F8, $FF, $F8, $F0, $FC, $FC, $F8, $F8, $F8, $FF, $F8, $F0
                        byte   $01, $01, $03, $03, $03, $0F, $1F, $00, $01, $01, $03, $03, $03, $0F, $1F, $00
                        byte   $C0, $C0, $C0, $E0, $F0, $FF, $FF, $70, $C0, $C0, $C0, $E0, $F0, $FF, $FF, $70
                        byte   $07, $07, $0E, $FE, $FE, $00, $00, $00, $07, $07, $0E, $FE, $FE, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $01, $01, $81, $83, $C3, $E3, $FF, $FF, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $F0, $F0, $F0, $E0, $E1, $E3, $FF, $FE, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $80, $80, $80, $80, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $3C, $7E, $7E, $3C, $00, $00, $00, $00, $3C, $7E, $7E, $3C, $00, $00
                        byte   $70, $70, $78, $FC, $FF, $7F, $3F, $0E, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $1F, $0F, $0F, $0F, $07, $07, $03, $01, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $30, $F0, $F0, $FF, $FF, $FF, $FF, $FE, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $30, $30, $00, $00, $00, $00, $00, $00, $30, $30, $00
                        byte   $00, $00, $00, $00, $00, $00, $10, $00, $00, $00, $00, $00, $00, $00, $10, $00
                        byte   $38, $44, $C6, $C6, $C6, $44, $38, $00, $38, $44, $C6, $C6, $C6, $44, $38, $00
                        byte   $18, $38, $18, $18, $18, $18, $7E, $00, $18, $38, $18, $18, $18, $18, $7E, $00
                        byte   $7C, $C6, $06, $1C, $78, $E0, $FE, $00, $7C, $C6, $06, $1C, $78, $E0, $FE, $00
                        byte   $7E, $0C, $18, $3C, $06, $C6, $7C, $00, $7E, $0C, $18, $3C, $06, $C6, $7C, $00
                        byte   $1C, $2C, $4C, $8C, $FE, $0C, $0C, $00, $1C, $2C, $4C, $8C, $FE, $0C, $0C, $00
                        byte   $FC, $C0, $FC, $06, $06, $C6, $7C, $00, $FC, $C0, $FC, $06, $06, $C6, $7C, $00
                        byte   $3C, $60, $C0, $FC, $C6, $C6, $7C, $00, $3C, $60, $C0, $FC, $C6, $C6, $7C, $00
                        byte   $FE, $C6, $0C, $18, $30, $30, $30, $00, $FE, $C6, $0C, $18, $30, $30, $30, $00
                        byte   $78, $C4, $E4, $7C, $9E, $86, $7C, $00, $78, $C4, $E4, $7C, $9E, $86, $7C, $00
                        byte   $7C, $C6, $C6, $7E, $06, $0C, $78, $00, $7C, $C6, $C6, $7E, $06, $0C, $78, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $0E, $3C, $78, $FF, $FF, $78, $3C, $0E
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $FF, $99, $99, $FF, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $70, $3C, $1E, $FF, $FF, $1E, $3C, $70
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $18, $3C, $7E, $7E, $FF, $DB, $99, $18
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $18, $99, $DB, $FF, $7E, $7E, $3C, $18
                        byte   $00, $00, $00, $3C, $3C, $00, $00, $00, $00, $00, $00, $3C, $3C, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $38, $6C, $C6, $C6, $FE, $C6, $C6, $00, $38, $6C, $C6, $C6, $FE, $C6, $C6, $00
                        byte   $FC, $C6, $C6, $FC, $C6, $C6, $FC, $00, $FC, $C6, $C6, $FC, $C6, $C6, $FC, $00
                        byte   $7C, $C6, $C0, $C0, $C0, $C6, $7C, $00, $7C, $C6, $C0, $C0, $C0, $C6, $7C, $00
                        byte   $F8, $CC, $C6, $C6, $C6, $CC, $F8, $00, $F8, $CC, $C6, $C6, $C6, $CC, $F8, $00
                        byte   $FE, $C0, $C0, $F8, $C0, $C0, $FE, $00, $FE, $C0, $C0, $F8, $C0, $C0, $FE, $00
                        byte   $FE, $C0, $C0, $F8, $C0, $C0, $C0, $00, $FE, $C0, $C0, $F8, $C0, $C0, $C0, $00
                        byte   $7C, $C6, $C0, $C0, $CE, $C6, $7E, $00, $7C, $C6, $C0, $C0, $CE, $C6, $7E, $00
                        byte   $C6, $C6, $C6, $FE, $C6, $C6, $C6, $00, $C6, $C6, $C6, $FE, $C6, $C6, $C6, $00
                        byte   $7E, $18, $18, $18, $18, $18, $7E, $00, $7E, $18, $18, $18, $18, $18, $7E, $00
                        byte   $7E, $18, $18, $18, $18, $D8, $70, $00, $7E, $18, $18, $18, $18, $D8, $70, $00
                        byte   $C6, $CC, $F8, $F0, $F8, $DC, $CE, $00, $C6, $CC, $F8, $F0, $F8, $DC, $CE, $00
                        byte   $C0, $C0, $C0, $C0, $C0, $C0, $FE, $00, $C0, $C0, $C0, $C0, $C0, $C0, $FE, $00
                        byte   $82, $C6, $EE, $FE, $D6, $C6, $C6, $00, $82, $C6, $EE, $FE, $D6, $C6, $C6, $00
                        byte   $C6, $E6, $F6, $FE, $DE, $CE, $C6, $00, $C6, $E6, $F6, $FE, $DE, $CE, $C6, $00
                        byte   $7C, $C6, $C6, $C6, $C6, $C6, $7C, $00, $7C, $C6, $C6, $C6, $C6, $C6, $7C, $00
                        byte   $FC, $C6, $C6, $C6, $FC, $C0, $C0, $00, $FC, $C6, $C6, $C6, $FC, $C0, $C0, $00
                        byte   $7C, $C6, $C6, $C6, $C6, $CC, $76, $00, $7C, $C6, $C6, $C6, $C6, $CC, $76, $00
                        byte   $FC, $C6, $C6, $C6, $F8, $DC, $CE, $00, $FC, $C6, $C6, $C6, $F8, $DC, $CE, $00
                        byte   $7C, $C6, $C0, $7C, $06, $C6, $7C, $00, $7C, $C6, $C0, $7C, $06, $C6, $7C, $00
                        byte   $7E, $18, $18, $18, $18, $18, $18, $00, $7E, $18, $18, $18, $18, $18, $18, $00
                        byte   $C6, $C6, $C6, $C6, $C6, $C6, $7C, $00, $C6, $C6, $C6, $C6, $C6, $C6, $7C, $00
                        byte   $C6, $C6, $C6, $44, $7C, $38, $10, $00, $C6, $C6, $C6, $44, $7C, $38, $10, $00
                        byte   $C6, $C6, $C6, $D6, $FE, $6C, $44, $00, $C6, $C6, $C6, $D6, $FE, $6C, $44, $00
                        byte   $C6, $C6, $7C, $38, $7C, $C6, $C6, $00, $C6, $C6, $7C, $38, $7C, $C6, $C6, $00
                        byte   $66, $66, $24, $3C, $18, $18, $18, $00, $66, $66, $24, $3C, $18, $18, $18, $00
                        byte   $FE, $0E, $1C, $38, $70, $E0, $FE, $00, $FE, $0E, $1C, $38, $70, $E0, $FE, $00
                        byte   $00, $00, $00, $7E, $7E, $00, $00, $00, $00, $00, $00, $7E, $7E, $00, $00, $00
                        byte   $00, $EE, $08, $08, $00, $FE, $80, $80, $00, $EE, $EE, $EE, $00, $FE, $FE, $FE
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $FF, $FF, $FF, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $E7, $E7, $E7
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $03, $01, $03, $07, $7C, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $07, $FC, $03, $37, $7E, $AB, $00, $00, $00, $00, $03, $7F, $7F, $FF
                        byte   $00, $00, $FB, $06, $F9, $BF, $FE, $EF, $00, $00, $00, $00, $F9, $FF, $FF, $FF
                        byte   $00, $18, $A4, $DB, $3C, $FF, $FF, $EF, $00, $00, $00, $18, $3C, $FF, $FF, $FF
                        byte   $00, $00, $00, $E0, $3C, $C7, $F9, $FE, $00, $00, $00, $00, $00, $C0, $F8, $FE
                        byte   $00, $00, $00, $00, $00, $02, $E6, $35, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $81, $42, $20, $18, $07, $00, $00, $00, $3F, $1F, $07, $00, $00, $00, $00, $00
                        byte   $5B, $66, $2C, $10, $E0, $00, $00, $00, $F8, $F0, $E0, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $FF, $FF, $C2, $C2, $C2, $00, $00, $00, $FF, $00, $0C, $0C, $0C
                        byte   $00, $00, $00, $00, $C0, $60, $30, $18, $00, $00, $00, $00, $C0, $A0, $D0, $E8
                        byte   $00, $00, $00, $01, $07, $0E, $18, $30, $00, $00, $00, $01, $06, $09, $17, $2F
                        byte   $00, $00, $00, $E0, $F8, $1C, $06, $03, $00, $00, $00, $E0, $18, $E4, $FA, $FD
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $03, $1E, $70, $E0, $18, $0E, $04, $08, $00, $00, $01, $07, $00, $00, $01, $03
                        byte   $C0, $2A, $85, $00, $01, $00, $00, $00, $03, $3F, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $DD, $26, $09, $40, $12, $04, $20, $00, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $7D, $A7, $4C, $00, $28, $00, $80, $00, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $3A, $7D, $A2, $2A, $06, $80, $12, $00, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $BD, $6F, $92, $45, $08, $44, $07, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $DD, $E2, $FF, $FF, $BF, $F7, $CE, $3B, $C0, $E2, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $00, $81, $42, $B4, $CB, $F7, $FF, $FF, $00, $00, $00, $80, $C3, $F7, $FF, $FF
                        byte   $00, $00, $80, $C0, $60, $90, $D0, $D4, $00, $00, $00, $00, $00, $80, $C0, $C0
                        byte   $C0, $00, $F2, $0A, $FA, $F2, $C2, $C2, $0E, $FE, $F4, $0C, $F4, $0C, $0C, $0C
                        byte   $18, $0C, $0C, $0C, $0C, $04, $08, $08, $E8, $F4, $F4, $F4, $F4, $FC, $E8, $E8
                        byte   $30, $60, $60, $60, $60, $60, $60, $60, $2F, $5F, $5F, $5F, $5F, $5F, $5F, $5F
                        byte   $01, $01, $00, $00, $60, $50, $48, $44, $FE, $FE, $FF, $3F, $7F, $5F, $4F, $47
                        byte   $80, $80, $C0, $60, $70, $70, $58, $4C, $80, $80, $40, $A0, $90, $90, $88, $84
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $03, $03, $02, $06, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $30, $20, $60, $40, $C0, $00, $20, $00, $07, $0F, $0F, $1F, $1F, $3F, $FF, $FF
                        byte   $00, $00, $00, $00, $00, $80, $01, $00, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FC
                        byte   $00, $00, $00, $20, $01, $26, $18, $E0, $FF, $FF, $FF, $FE, $F8, $E0, $00, $00
                        byte   $00, $00, $07, $B8, $40, $00, $00, $00, $FF, $F8, $40, $00, $00, $00, $00, $00
                        byte   $00, $00, $F6, $09, $00, $00, $00, $00, $FF, $09, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $01, $C0, $30, $0C, $02, $01, $FF, $FF, $3F, $0F, $03, $01, $00, $00
                        byte   $94, $13, $01, $26, $01, $12, $04, $04, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $7F
                        byte   $BF, $EF, $5F, $7F, $2F, $BB, $5C, $F5, $FF, $FF, $FF, $FF, $FF, $FF, $FC, $FC
                        byte   $EC, $EC, $E8, $D8, $D0, $30, $E0, $80, $E0, $E0, $E0, $C0, $C0, $00, $00, $00
                        byte   $C2, $C2, $42, $F2, $10, $08, $08, $08, $0C, $0C, $BC, $FC, $1E, $0C, $0C, $0C
                        byte   $10, $E0, $70, $18, $18, $0C, $FC, $0C, $90, $60, $90, $E8, $E8, $04, $04, $F4
                        byte   $60, $60, $60, $60, $60, $60, $60, $60, $5F, $5F, $5F, $5F, $5F, $5F, $5F, $5F
                        byte   $7E, $7E, $00, $00, $00, $00, $00, $7F, $7F, $81, $FF, $FF, $FF, $FF, $00, $7F
                        byte   $46, $46, $43, $41, $40, $40, $00, $F0, $8A, $8A, $8D, $8E, $8E, $8E, $F6, $F6
                        byte   $00, $00, $00, $80, $C0, $C0, $60, $30, $00, $00, $00, $80, $40, $40, $A0, $D0
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $04, $04, $04, $04, $07, $00, $00, $00, $06, $06, $07, $04, $07, $00, $00, $00
                        byte   $06, $06, $06, $02, $FE, $00, $00, $00, $FA, $FA, $FA, $06, $FE, $00, $00, $00
                        byte   $60, $60, $60, $40, $7F, $00, $00, $00, $5F, $5F, $5F, $60, $7F, $00, $00, $00
                        byte   $40, $40, $40, $40, $C0, $00, $00, $00, $40, $40, $40, $40, $C0, $00, $00, $00
                        byte   $08, $08, $04, $02, $01, $00, $00, $00, $0A, $0A, $04, $02, $01, $00, $00, $00
                        byte   $18, $18, $0C, $02, $FE, $00, $00, $00, $E8, $E8, $F4, $02, $FE, $00, $00, $00
                        byte   $38, $60, $54, $20, $10, $2A, $20, $24, $01, $07, $1F, $0F, $07, $0F, $0F, $0F
                        byte   $00, $01, $00, $40, $01, $10, $84, $00, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $43, $04, $08, $0C, $12, $03, $4C, $10, $F8, $F0, $E0, $E0, $F0, $F0, $E0, $80
                        byte   $00, $00, $00, $01, $07, $0E, $1A, $32, $00, $00, $00, $01, $06, $09, $15, $25
                        byte   $00, $00, $00, $FF, $FF, $22, $22, $22, $00, $00, $00, $FF, $00, $D4, $D4, $D4
                        byte   $00, $00, $00, $FF, $FF, $44, $44, $44, $00, $00, $00, $FF, $00, $2B, $2B, $2B
                        byte   $00, $00, $00, $80, $E0, $70, $18, $0C, $00, $00, $00, $80, $60, $90, $E8, $E4
                        byte   $00, $00, $00, $03, $0F, $1E, $3F, $7F, $00, $00, $00, $03, $0C, $11, $2E, $5F
                        byte   $00, $00, $00, $C0, $F0, $38, $0C, $8E, $00, $00, $00, $C0, $30, $C8, $E4, $62
                        byte   $00, $00, $00, $01, $01, $01, $01, $01, $00, $00, $00, $01, $01, $01, $01, $01
                        byte   $00, $00, $00, $FF, $FF, $A9, $A9, $A9, $00, $00, $00, $FF, $01, $05, $05, $05
                        byte   $00, $00, $00, $7F, $7F, $64, $64, $64, $00, $00, $00, $7F, $40, $51, $51, $51
                        byte   $00, $00, $00, $FF, $FF, $04, $04, $04, $00, $00, $00, $FF, $00, $FB, $FB, $FB
                        byte   $00, $00, $00, $FE, $FA, $12, $12, $02, $00, $00, $00, $FE, $06, $66, $66, $76
                        byte   $00, $00, $00, $7F, $7F, $60, $60, $60, $00, $00, $00, $7F, $40, $5F, $5F, $5F
                        byte   $00, $00, $00, $FF, $FF, $01, $01, $00, $00, $00, $00, $FF, $00, $FE, $FE, $FF
                        byte   $41, $54, $91, $A2, $C9, $46, $D5, $8B, $1F, $1F, $3F, $3F, $1F, $1F, $1F, $1F
                        byte   $24, $42, $09, $26, $49, $A6, $54, $29, $FE, $FE, $FF, $FE, $F8, $F0, $F0, $E0
                        byte   $60, $80, $40, $40, $80, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $32, $62, $42, $42, $50, $50, $50, $51, $25, $55, $45, $55, $47, $47, $46, $46
                        byte   $20, $00, $1F, $20, $40, $40, $40, $40, $D6, $E0, $9F, $A0, $C0, $C0, $C0, $C0
                        byte   $04, $00, $F8, $04, $02, $02, $02, $02, $6B, $07, $F9, $05, $03, $03, $03, $03
                        byte   $0C, $02, $02, $0A, $0A, $0A, $0A, $8A, $E4, $E2, $EA, $E2, $E2, $E2, $62, $62
                        byte   $7F, $CE, $CC, $C8, $C0, $C0, $C0, $80, $5F, $8E, $8C, $A9, $A3, $BF, $BF, $C1
                        byte   $0E, $0F, $0D, $0C, $CC, $AC, $A8, $90, $62, $61, $E2, $A2, $C2, $A2, $A6, $90
                        byte   $01, $01, $81, $C1, $C1, $61, $31, $31, $01, $01, $81, $41, $41, $21, $51, $11
                        byte   $A9, $A9, $A9, $A9, $A9, $A9, $81, $81, $05, $05, $05, $05, $05, $05, $2D, $01
                        byte   $64, $60, $40, $7F, $00, $00, $00, $00, $51, $55, $60, $7F, $00, $00, $00, $00
                        byte   $04, $04, $00, $FF, $03, $03, $03, $03, $FB, $FB, $01, $FE, $02, $02, $02, $02
                        byte   $02, $12, $32, $32, $02, $32, $32, $32, $06, $06, $06, $06, $06, $06, $06, $06
                        byte   $78, $40, $7F, $00, $7F, $7F, $60, $60, $47, $7F, $7F, $00, $7F, $40, $5F, $5F
                        byte   $01, $00, $FF, $00, $FF, $FF, $01, $01, $FE, $FF, $FF, $00, $FF, $00, $FE, $FE
                        byte   $9E, $C3, $49, $55, $54, $55, $75, $25, $1F, $17, $03, $01, $01, $01, $01, $01
                        byte   $CD, $D6, $52, $E8, $FE, $BA, $FF, $FF, $E0, $F0, $F8, $FC, $FE, $FE, $FF, $FF
                        byte   $80, $80, $80, $80, $80, $80, $40, $40, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $50, $50, $50, $50, $50, $50, $50, $20, $47, $47, $47, $47, $47, $47, $47, $30
                        byte   $40, $40, $40, $40, $60, $3F, $1F, $00, $C0, $C0, $C0, $C0, $A0, $DF, $E0, $00
                        byte   $02, $02, $02, $02, $06, $FC, $F8, $00, $03, $03, $03, $03, $05, $FB, $07, $00
                        byte   $0A, $0A, $0A, $0A, $0A, $0A, $0A, $04, $E2, $E2, $E2, $E2, $E2, $E2, $E2, $0C
                        byte   $FE, $C0, $C0, $C0, $C0, $C0, $C0, $C0, $81, $BF, $BF, $BF, $BF, $BF, $BF, $BF
                        byte   $89, $88, $84, $82, $82, $81, $80, $80, $8A, $8B, $85, $82, $82, $81, $80, $80
                        byte   $59, $4D, $4D, $47, $43, $41, $80, $40, $29, $35, $35, $3B, $3D, $3E, $BF, $5F
                        byte   $89, $89, $89, $89, $89, $89, $09, $02, $65, $65, $65, $65, $65, $65, $E5, $EA
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $03, $03, $03, $03, $03, $03, $03, $03, $02, $02, $02, $02, $02, $02, $02, $02
                        byte   $12, $02, $32, $32, $32, $32, $32, $32, $06, $06, $06, $06, $46, $46, $46, $46
                        byte   $60, $60, $60, $60, $60, $60, $60, $60, $5F, $5F, $5F, $5F, $5F, $5F, $5F, $5F
                        byte   $01, $00, $00, $7F, $40, $40, $40, $40, $FE, $FF, $00, $7F, $40, $40, $40, $40
                        byte   $22, $21, $01, $03, $02, $02, $06, $0D, $00, $00, $00, $00, $00, $00, $00, $01
                        byte   $FF, $7B, $75, $6A, $D2, $DB, $E8, $F4, $FF, $7B, $71, $60, $C0, $C0, $E0, $F0
                        byte   $40, $40, $40, $40, $40, $80, $C0, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $24, $10, $08, $06, $01, $00, $00, $00, $29, $15, $09, $06, $01, $00, $00, $00
                        byte   $FF, $00, $00, $00, $FF, $00, $00, $00, $00, $FF, $FF, $00, $FF, $00, $00, $00
                        byte   $FF, $00, $00, $00, $FF, $00, $00, $00, $00, $FF, $FF, $00, $FF, $00, $00, $00
                        byte   $24, $08, $10, $60, $80, $00, $00, $00, $94, $A8, $90, $60, $80, $00, $00, $00
                        byte   $80, $FE, $C0, $80, $FF, $00, $00, $00, $C1, $81, $BF, $C0, $FF, $00, $00, $00
                        byte   $80, $80, $80, $80, $80, $00, $00, $00, $80, $80, $80, $80, $80, $00, $00, $00
                        byte   $40, $23, $10, $0C, $03, $00, $00, $00, $40, $2C, $13, $0C, $03, $00, $00, $00
                        byte   $02, $C4, $08, $30, $C0, $00, $00, $00, $02, $34, $C8, $30, $C0, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $03, $03, $02, $02, $03, $00, $00, $00, $02, $02, $03, $02, $03, $00, $00, $00
                        byte   $32, $32, $02, $02, $FE, $00, $00, $00, $46, $46, $76, $06, $FE, $00, $00, $00
                        byte   $60, $60, $60, $40, $7F, $00, $00, $00, $5F, $5F, $5F, $40, $7F, $00, $00, $00
                        byte   $40, $40, $40, $40, $C0, $00, $00, $00, $40, $40, $40, $40, $C0, $00, $00, $00
                        byte   $0E, $0A, $02, $02, $03, $01, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $F4, $FB, $FC, $7E, $3F, $3F, $BF, $D9, $F0, $F8, $FC, $7E, $3F, $3F, $3F, $19
                        byte   $00, $00, $83, $84, $4B, $B7, $CF, $FF, $00, $00, $00, $00, $03, $87, $CF, $FF
                        byte   $00, $00, $00, $80, $40, $A0, $D8, $E4, $00, $00, $00, $00, $00, $80, $C0, $E0
                        byte   $EB, $09, $04, $03, $00, $00, $00, $00, $03, $01, $00, $00, $00, $00, $00, $00
                        byte   $EF, $7D, $2B, $31, $CC, $5B, $30, $20, $EF, $7D, $2B, $31, $00, $00, $00, $00
                        byte   $E6, $B9, $56, $B3, $0C, $E1, $1E, $00, $E6, $B9, $56, $B3, $0C, $00, $00, $00
                        byte   $59, $76, $D1, $63, $0E, $B2, $40, $00, $59, $76, $D0, $60, $00, $00, $00, $00
                        byte   $60, $87, $48, $90, $60, $40, $00, $00, $60, $80, $40, $00, $00, $00, $00, $00
                        byte   $20, $C0, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $56, $29, $19, $03, $01, $01, $00, $00, $10, $00, $00, $00, $00, $00, $00, $00
                        byte   $FF, $7F, $7F, $7F, $7F, $93, $AC, $53, $FF, $7F, $7F, $7F, $7F, $13, $00, $00
                        byte   $FB, $FC, $FF, $FF, $FF, $FF, $CF, $36, $F8, $FC, $FF, $FF, $FF, $FF, $CF, $06
                        byte   $80, $64, $A4, $DB, $E4, $FF, $BF, $FB, $00, $00, $80, $C0, $E4, $FF, $BF, $FB
                        byte   $00, $00, $00, $20, $D6, $29, $D2, $7B, $00, $00, $00, $00, $00, $20, $D2, $7B
                        byte   $00, $00, $00, $00, $00, $FF, $00, $2A, $00, $00, $00, $00, $00, $00, $00, $2A
                        byte   $00, $00, $00, $0F, $F0, $02, $5D, $A8, $00, $00, $00, $00, $00, $02, $5D, $A8
                        byte   $00, $0E, $F1, $04, $50, $03, $4C, $10, $00, $00, $00, $04, $50, $00, $40, $00
                        byte   $33, $DF, $0D, $38, $C0, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $E3, $3C, $20, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $78, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
' $1000
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $1C, $3F, $7F, $FF, $FF, $FF, $3F, $3F, $1C, $3F, $7F, $FF, $FF, $FF, $3F, $3F
                        byte   $00, $80, $C0, $F0, $F8, $E0, $80, $80, $00, $80, $C0, $F0, $F8, $E0, $80, $80
                        byte   $00, $00, $00, $1F, $1F, $1C, $38, $38, $00, $00, $00, $1F, $1F, $1C, $38, $38
                        byte   $03, $FF, $FF, $C3, $C1, $00, $00, $00, $03, $FF, $FF, $C3, $C1, $00, $00, $00
                        byte   $80, $FF, $FC, $FC, $F0, $F0, $E0, $E0, $80, $FF, $FC, $FC, $F0, $F0, $E0, $E0
                        byte   $03, $07, $06, $0C, $08, $08, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $FF, $FF, $3F, $3F, $1F, $1F, $1F, $3F, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $FF, $FF, $8F, $86, $02, $02, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $1E, $7F, $E7, $85, $05, $04, $0C, $08, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $80, $80, $C0, $C0, $E0, $E0, $F0, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $70, $FC, $FE, $FF, $3F, $1F, $0E, $06, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $01, $03, $00, $00, $00, $00, $00, $00, $01, $03, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $3F, $7F, $7F, $7F, $FE, $FE, $FE, $FC, $3F, $7F, $7F, $7F, $FE, $FE, $FE, $FC
                        byte   $80, $00, $00, $00, $00, $00, $00, $00, $80, $00, $00, $00, $00, $00, $00, $00
                        byte   $38, $70, $70, $70, $E0, $E0, $E0, $C0, $38, $70, $70, $70, $E0, $E0, $E0, $C0
                        byte   $00, $01, $01, $01, $03, $03, $03, $07, $00, $01, $01, $01, $03, $03, $03, $07
                        byte   $E0, $C0, $C0, $C0, $80, $80, $80, $00, $E0, $C0, $C0, $C0, $80, $80, $80, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $3E, $3E, $7C, $7C, $7C, $F8, $F8, $F8, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $08, $18, $10, $10, $30, $20, $20, $20, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $70, $78, $78, $3C, $3C, $3E, $1E, $1F, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $04, $04, $0C, $08, $08, $18, $10, $10, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $10, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $10, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $01, $03, $03, $03, $1F, $03, $01, $01, $01, $03, $03, $03, $1F, $03, $01
                        byte   $FC, $FC, $F8, $F8, $F8, $FF, $F8, $F0, $FC, $FC, $F8, $F8, $F8, $FF, $F8, $F0
                        byte   $01, $01, $03, $03, $03, $0F, $1F, $00, $01, $01, $03, $03, $03, $0F, $1F, $00
                        byte   $C0, $C0, $C0, $E0, $F0, $FF, $FF, $70, $C0, $C0, $C0, $E0, $F0, $FF, $FF, $70
                        byte   $07, $07, $0E, $FE, $FE, $00, $00, $00, $07, $07, $0E, $FE, $FE, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $01, $01, $81, $83, $C3, $E3, $FF, $FF, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $F0, $F0, $F0, $E0, $E1, $E3, $FF, $FE, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $80, $80, $80, $80, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $3C, $7E, $7E, $3C, $00, $00, $00, $00, $3C, $7E, $7E, $3C, $00, $00
                        byte   $70, $70, $78, $FC, $FF, $7F, $3F, $0E, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $1F, $0F, $0F, $0F, $07, $07, $03, $01, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $30, $F0, $F0, $FF, $FF, $FF, $FF, $FE, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $30, $30, $00, $00, $00, $00, $00, $00, $30, $30, $00
                        byte   $00, $00, $00, $00, $00, $00, $10, $00, $00, $00, $00, $00, $00, $00, $10, $00
                        byte   $38, $44, $C6, $C6, $C6, $44, $38, $00, $38, $44, $C6, $C6, $C6, $44, $38, $00
                        byte   $18, $38, $18, $18, $18, $18, $7E, $00, $18, $38, $18, $18, $18, $18, $7E, $00
                        byte   $7C, $C6, $06, $1C, $78, $E0, $FE, $00, $7C, $C6, $06, $1C, $78, $E0, $FE, $00
                        byte   $7E, $0C, $18, $3C, $06, $C6, $7C, $00, $7E, $0C, $18, $3C, $06, $C6, $7C, $00
                        byte   $1C, $2C, $4C, $8C, $FE, $0C, $0C, $00, $1C, $2C, $4C, $8C, $FE, $0C, $0C, $00
                        byte   $FC, $C0, $FC, $06, $06, $C6, $7C, $00, $FC, $C0, $FC, $06, $06, $C6, $7C, $00
                        byte   $3C, $60, $C0, $FC, $C6, $C6, $7C, $00, $3C, $60, $C0, $FC, $C6, $C6, $7C, $00
                        byte   $FE, $C6, $0C, $18, $30, $30, $30, $00, $FE, $C6, $0C, $18, $30, $30, $30, $00
                        byte   $78, $C4, $E4, $7C, $9E, $86, $7C, $00, $78, $C4, $E4, $7C, $9E, $86, $7C, $00
                        byte   $7C, $C6, $C6, $7E, $06, $0C, $78, $00, $7C, $C6, $C6, $7E, $06, $0C, $78, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $0E, $3C, $78, $FF, $FF, $78, $3C, $0E
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $FF, $99, $99, $FF, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $70, $3C, $1E, $FF, $FF, $1E, $3C, $70
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $18, $3C, $7E, $7E, $FF, $DB, $99, $18
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $18, $99, $DB, $FF, $7E, $7E, $3C, $18
                        byte   $00, $00, $00, $3C, $3C, $00, $00, $00, $00, $00, $00, $3C, $3C, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $38, $6C, $C6, $C6, $FE, $C6, $C6, $00, $38, $6C, $C6, $C6, $FE, $C6, $C6, $00
                        byte   $FC, $C6, $C6, $FC, $C6, $C6, $FC, $00, $FC, $C6, $C6, $FC, $C6, $C6, $FC, $00
                        byte   $7C, $C6, $C0, $C0, $C0, $C6, $7C, $00, $7C, $C6, $C0, $C0, $C0, $C6, $7C, $00
                        byte   $F8, $CC, $C6, $C6, $C6, $CC, $F8, $00, $F8, $CC, $C6, $C6, $C6, $CC, $F8, $00
                        byte   $FE, $C0, $C0, $F8, $C0, $C0, $FE, $00, $FE, $C0, $C0, $F8, $C0, $C0, $FE, $00
                        byte   $FE, $C0, $C0, $F8, $C0, $C0, $C0, $00, $FE, $C0, $C0, $F8, $C0, $C0, $C0, $00
                        byte   $7C, $C6, $C0, $C0, $CE, $C6, $7E, $00, $7C, $C6, $C0, $C0, $CE, $C6, $7E, $00
                        byte   $C6, $C6, $C6, $FE, $C6, $C6, $C6, $00, $C6, $C6, $C6, $FE, $C6, $C6, $C6, $00
                        byte   $7E, $18, $18, $18, $18, $18, $7E, $00, $7E, $18, $18, $18, $18, $18, $7E, $00
                        byte   $7E, $18, $18, $18, $18, $D8, $70, $00, $7E, $18, $18, $18, $18, $D8, $70, $00
                        byte   $C6, $CC, $F8, $F0, $F8, $DC, $CE, $00, $C6, $CC, $F8, $F0, $F8, $DC, $CE, $00
                        byte   $C0, $C0, $C0, $C0, $C0, $C0, $FE, $00, $C0, $C0, $C0, $C0, $C0, $C0, $FE, $00
                        byte   $82, $C6, $EE, $FE, $D6, $C6, $C6, $00, $82, $C6, $EE, $FE, $D6, $C6, $C6, $00
                        byte   $C6, $E6, $F6, $FE, $DE, $CE, $C6, $00, $C6, $E6, $F6, $FE, $DE, $CE, $C6, $00
                        byte   $7C, $C6, $C6, $C6, $C6, $C6, $7C, $00, $7C, $C6, $C6, $C6, $C6, $C6, $7C, $00
                        byte   $FC, $C6, $C6, $C6, $FC, $C0, $C0, $00, $FC, $C6, $C6, $C6, $FC, $C0, $C0, $00
                        byte   $7C, $C6, $C6, $C6, $C6, $CC, $76, $00, $7C, $C6, $C6, $C6, $C6, $CC, $76, $00
                        byte   $FC, $C6, $C6, $C6, $F8, $DC, $CE, $00, $FC, $C6, $C6, $C6, $F8, $DC, $CE, $00
                        byte   $7C, $C6, $C0, $7C, $06, $C6, $7C, $00, $7C, $C6, $C0, $7C, $06, $C6, $7C, $00
                        byte   $7E, $18, $18, $18, $18, $18, $18, $00, $7E, $18, $18, $18, $18, $18, $18, $00
                        byte   $C6, $C6, $C6, $C6, $C6, $C6, $7C, $00, $C6, $C6, $C6, $C6, $C6, $C6, $7C, $00
                        byte   $C6, $C6, $C6, $44, $7C, $38, $10, $00, $C6, $C6, $C6, $44, $7C, $38, $10, $00
                        byte   $C6, $C6, $C6, $D6, $FE, $6C, $44, $00, $C6, $C6, $C6, $D6, $FE, $6C, $44, $00
                        byte   $C6, $C6, $7C, $38, $7C, $C6, $C6, $00, $C6, $C6, $7C, $38, $7C, $C6, $C6, $00
                        byte   $66, $66, $24, $3C, $18, $18, $18, $00, $66, $66, $24, $3C, $18, $18, $18, $00
                        byte   $FE, $0E, $1C, $38, $70, $E0, $FE, $00, $FE, $0E, $1C, $38, $70, $E0, $FE, $00
                        byte   $00, $00, $00, $7E, $7E, $00, $00, $00, $00, $00, $00, $7E, $7E, $00, $00, $00
                        byte   $00, $EE, $08, $08, $00, $FE, $80, $80, $00, $EE, $EE, $EE, $00, $FE, $FE, $FE
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $FF, $FF, $FF, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $E7, $E7, $E7
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $03, $01, $03, $07, $7C, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $07, $FC, $03, $37, $7E, $AB, $00, $00, $00, $00, $03, $7F, $7F, $FF
                        byte   $00, $00, $FB, $06, $F9, $BF, $FE, $EF, $00, $00, $00, $00, $F9, $FF, $FF, $FF
                        byte   $00, $18, $A4, $DB, $3C, $FF, $FF, $EF, $00, $00, $00, $18, $3C, $FF, $FF, $FF
                        byte   $00, $00, $00, $E0, $3C, $C7, $F9, $FE, $00, $00, $00, $00, $00, $C0, $F8, $FE
                        byte   $00, $00, $00, $00, $00, $02, $E6, $35, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $81, $42, $20, $18, $07, $00, $00, $00, $3F, $1F, $07, $00, $00, $00, $00, $00
                        byte   $5B, $66, $2C, $10, $E0, $00, $00, $00, $F8, $F0, $E0, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $FF, $FF, $C2, $C2, $C2, $00, $00, $00, $FF, $00, $0C, $0C, $0C
                        byte   $00, $00, $00, $00, $C0, $60, $30, $18, $00, $00, $00, $00, $C0, $A0, $D0, $E8
                        byte   $00, $00, $00, $01, $07, $0E, $18, $30, $00, $00, $00, $01, $06, $09, $17, $2F
                        byte   $00, $00, $00, $E0, $F8, $1C, $06, $03, $00, $00, $00, $E0, $18, $E4, $FA, $FD
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $03, $1E, $70, $E0, $18, $0E, $04, $08, $00, $00, $01, $07, $00, $00, $01, $03
                        byte   $C0, $2A, $85, $00, $01, $00, $00, $00, $03, $3F, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $DD, $26, $09, $40, $12, $04, $20, $00, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $7D, $A7, $4C, $00, $28, $00, $80, $00, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $3A, $7D, $A2, $2A, $06, $80, $12, $00, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $FF, $BD, $6F, $92, $45, $08, $44, $07, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $DD, $E2, $FF, $FF, $BF, $F7, $CE, $3B, $C0, $E2, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $00, $81, $42, $B4, $CB, $F7, $FF, $FF, $00, $00, $00, $80, $C3, $F7, $FF, $FF
                        byte   $00, $00, $80, $C0, $60, $90, $D0, $D4, $00, $00, $00, $00, $00, $80, $C0, $C0
                        byte   $C0, $00, $F2, $0A, $FA, $F2, $C2, $C2, $0E, $FE, $F4, $0C, $F4, $0C, $0C, $0C
                        byte   $18, $0C, $0C, $0C, $0C, $04, $08, $08, $E8, $F4, $F4, $F4, $F4, $FC, $E8, $E8
                        byte   $30, $60, $60, $60, $60, $60, $60, $60, $2F, $5F, $5F, $5F, $5F, $5F, $5F, $5F
                        byte   $01, $01, $00, $00, $60, $50, $48, $44, $FE, $FE, $FF, $3F, $7F, $5F, $4F, $47
                        byte   $80, $80, $C0, $60, $70, $70, $58, $4C, $80, $80, $40, $A0, $90, $90, $88, $84
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $03, $03, $02, $06, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $30, $20, $60, $40, $C0, $00, $20, $00, $07, $0F, $0F, $1F, $1F, $3F, $FF, $FF
                        byte   $00, $00, $00, $00, $00, $80, $01, $00, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FC
                        byte   $00, $00, $00, $20, $01, $26, $18, $E0, $FF, $FF, $FF, $FE, $F8, $E0, $00, $00
                        byte   $00, $00, $07, $B8, $40, $00, $00, $00, $FF, $F8, $40, $00, $00, $00, $00, $00
                        byte   $00, $00, $F6, $09, $00, $00, $00, $00, $FF, $09, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $01, $C0, $30, $0C, $02, $01, $FF, $FF, $3F, $0F, $03, $01, $00, $00
                        byte   $94, $13, $01, $26, $01, $12, $04, $04, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $7F
                        byte   $BF, $EF, $5F, $7F, $2F, $BB, $5C, $F5, $FF, $FF, $FF, $FF, $FF, $FF, $FC, $FC
                        byte   $EC, $EC, $E8, $D8, $D0, $30, $E0, $80, $E0, $E0, $E0, $C0, $C0, $00, $00, $00
                        byte   $C2, $C2, $42, $F2, $10, $08, $08, $08, $0C, $0C, $BC, $FC, $1E, $0C, $0C, $0C
                        byte   $10, $E0, $70, $18, $18, $0C, $FC, $0C, $90, $60, $90, $E8, $E8, $04, $04, $F4
                        byte   $60, $60, $60, $60, $60, $60, $60, $60, $5F, $5F, $5F, $5F, $5F, $5F, $5F, $5F
                        byte   $7E, $7E, $00, $00, $00, $00, $00, $7F, $7F, $81, $FF, $FF, $FF, $FF, $00, $7F
                        byte   $46, $46, $43, $41, $40, $40, $00, $F0, $8A, $8A, $8D, $8E, $8E, $8E, $F6, $F6
                        byte   $00, $00, $00, $80, $C0, $C0, $60, $30, $00, $00, $00, $80, $40, $40, $A0, $D0
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $04, $04, $04, $04, $07, $00, $00, $00, $06, $06, $07, $04, $07, $00, $00, $00
                        byte   $06, $06, $06, $02, $FE, $00, $00, $00, $FA, $FA, $FA, $06, $FE, $00, $00, $00
                        byte   $60, $60, $60, $40, $7F, $00, $00, $00, $5F, $5F, $5F, $60, $7F, $00, $00, $00
                        byte   $40, $40, $40, $40, $C0, $00, $00, $00, $40, $40, $40, $40, $C0, $00, $00, $00
                        byte   $08, $08, $04, $02, $01, $00, $00, $00, $0A, $0A, $04, $02, $01, $00, $00, $00
                        byte   $18, $18, $0C, $02, $FE, $00, $00, $00, $E8, $E8, $F4, $02, $FE, $00, $00, $00
                        byte   $38, $60, $54, $20, $10, $2A, $20, $24, $01, $07, $1F, $0F, $07, $0F, $0F, $0F
                        byte   $00, $01, $00, $40, $01, $10, $84, $00, $FF, $FF, $FF, $FF, $FF, $FF, $FF, $FF
                        byte   $43, $04, $08, $0C, $12, $03, $4C, $10, $F8, $F0, $E0, $E0, $F0, $F0, $E0, $80
                        byte   $00, $00, $00, $01, $07, $0E, $1A, $32, $00, $00, $00, $01, $06, $09, $15, $25
                        byte   $00, $00, $00, $FF, $FF, $22, $22, $22, $00, $00, $00, $FF, $00, $D4, $D4, $D4
                        byte   $00, $00, $00, $FF, $FF, $44, $44, $44, $00, $00, $00, $FF, $00, $2B, $2B, $2B
                        byte   $00, $00, $00, $80, $E0, $70, $18, $0C, $00, $00, $00, $80, $60, $90, $E8, $E4
                        byte   $00, $00, $00, $03, $0F, $1E, $3F, $7F, $00, $00, $00, $03, $0C, $11, $2E, $5F
                        byte   $00, $00, $00, $C0, $F0, $38, $0C, $8E, $00, $00, $00, $C0, $30, $C8, $E4, $62
                        byte   $00, $00, $00, $01, $01, $01, $01, $01, $00, $00, $00, $01, $01, $01, $01, $01
                        byte   $00, $00, $00, $FF, $FF, $A9, $A9, $A9, $00, $00, $00, $FF, $01, $05, $05, $05
                        byte   $00, $00, $00, $7F, $7F, $64, $64, $64, $00, $00, $00, $7F, $40, $51, $51, $51
                        byte   $00, $00, $00, $FF, $FF, $04, $04, $04, $00, $00, $00, $FF, $00, $FB, $FB, $FB
                        byte   $00, $00, $00, $FE, $FA, $12, $12, $02, $00, $00, $00, $FE, $06, $66, $66, $76
                        byte   $00, $00, $00, $7F, $7F, $60, $60, $60, $00, $00, $00, $7F, $40, $5F, $5F, $5F
                        byte   $00, $00, $00, $FF, $FF, $01, $01, $00, $00, $00, $00, $FF, $00, $FE, $FE, $FF
                        byte   $41, $54, $91, $A2, $C9, $46, $D5, $8B, $1F, $1F, $3F, $3F, $1F, $1F, $1F, $1F
                        byte   $24, $42, $09, $26, $49, $A6, $54, $29, $FE, $FE, $FF, $FE, $F8, $F0, $F0, $E0
                        byte   $60, $80, $40, $40, $80, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $32, $62, $42, $42, $50, $50, $50, $51, $25, $55, $45, $55, $47, $47, $46, $46
                        byte   $20, $00, $1F, $20, $40, $40, $40, $40, $D6, $E0, $9F, $A0, $C0, $C0, $C0, $C0
                        byte   $04, $00, $F8, $04, $02, $02, $02, $02, $6B, $07, $F9, $05, $03, $03, $03, $03
                        byte   $0C, $02, $02, $0A, $0A, $0A, $0A, $8A, $E4, $E2, $EA, $E2, $E2, $E2, $62, $62
                        byte   $7F, $CE, $CC, $C8, $C0, $C0, $C0, $80, $5F, $8E, $8C, $A9, $A3, $BF, $BF, $C1
                        byte   $0E, $0F, $0D, $0C, $CC, $AC, $A8, $90, $62, $61, $E2, $A2, $C2, $A2, $A6, $90
                        byte   $01, $01, $81, $C1, $C1, $61, $31, $31, $01, $01, $81, $41, $41, $21, $51, $11
                        byte   $A9, $A9, $A9, $A9, $A9, $A9, $81, $81, $05, $05, $05, $05, $05, $05, $2D, $01
                        byte   $64, $60, $40, $7F, $00, $00, $00, $00, $51, $55, $60, $7F, $00, $00, $00, $00
                        byte   $04, $04, $00, $FF, $03, $03, $03, $03, $FB, $FB, $01, $FE, $02, $02, $02, $02
                        byte   $02, $12, $32, $32, $02, $32, $32, $32, $06, $06, $06, $06, $06, $06, $06, $06
                        byte   $78, $40, $7F, $00, $7F, $7F, $60, $60, $47, $7F, $7F, $00, $7F, $40, $5F, $5F
                        byte   $01, $00, $FF, $00, $FF, $FF, $01, $01, $FE, $FF, $FF, $00, $FF, $00, $FE, $FE
                        byte   $9E, $C3, $49, $55, $54, $55, $75, $25, $1F, $17, $03, $01, $01, $01, $01, $01
                        byte   $CD, $D6, $52, $E8, $FE, $BA, $FF, $FF, $E0, $F0, $F8, $FC, $FE, $FE, $FF, $FF
                        byte   $80, $80, $80, $80, $80, $80, $40, $40, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $50, $50, $50, $50, $50, $50, $50, $20, $47, $47, $47, $47, $47, $47, $47, $30
                        byte   $40, $40, $40, $40, $60, $3F, $1F, $00, $C0, $C0, $C0, $C0, $A0, $DF, $E0, $00
                        byte   $02, $02, $02, $02, $06, $FC, $F8, $00, $03, $03, $03, $03, $05, $FB, $07, $00
                        byte   $0A, $0A, $0A, $0A, $0A, $0A, $0A, $04, $E2, $E2, $E2, $E2, $E2, $E2, $E2, $0C
                        byte   $FE, $C0, $C0, $C0, $C0, $C0, $C0, $C0, $81, $BF, $BF, $BF, $BF, $BF, $BF, $BF
                        byte   $89, $88, $84, $82, $82, $81, $80, $80, $8A, $8B, $85, $82, $82, $81, $80, $80
                        byte   $59, $4D, $4D, $47, $43, $41, $80, $40, $29, $35, $35, $3B, $3D, $3E, $BF, $5F
                        byte   $89, $89, $89, $89, $89, $89, $09, $02, $65, $65, $65, $65, $65, $65, $E5, $EA
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $03, $03, $03, $03, $03, $03, $03, $03, $02, $02, $02, $02, $02, $02, $02, $02
                        byte   $12, $02, $32, $32, $32, $32, $32, $32, $06, $06, $06, $06, $46, $46, $46, $46
                        byte   $60, $60, $60, $60, $60, $60, $60, $60, $5F, $5F, $5F, $5F, $5F, $5F, $5F, $5F
                        byte   $01, $00, $00, $7F, $40, $40, $40, $40, $FE, $FF, $00, $7F, $40, $40, $40, $40
                        byte   $22, $21, $01, $03, $02, $02, $06, $0D, $00, $00, $00, $00, $00, $00, $00, $01
                        byte   $FF, $7B, $75, $6A, $D2, $DB, $E8, $F4, $FF, $7B, $71, $60, $C0, $C0, $E0, $F0
                        byte   $40, $40, $40, $40, $40, $80, $C0, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $24, $10, $08, $06, $01, $00, $00, $00, $29, $15, $09, $06, $01, $00, $00, $00
                        byte   $FF, $00, $00, $00, $FF, $00, $00, $00, $00, $FF, $FF, $00, $FF, $00, $00, $00
                        byte   $FF, $00, $00, $00, $FF, $00, $00, $00, $00, $FF, $FF, $00, $FF, $00, $00, $00
                        byte   $24, $08, $10, $60, $80, $00, $00, $00, $94, $A8, $90, $60, $80, $00, $00, $00
                        byte   $80, $FE, $C0, $80, $FF, $00, $00, $00, $C1, $81, $BF, $C0, $FF, $00, $00, $00
                        byte   $80, $80, $80, $80, $80, $00, $00, $00, $80, $80, $80, $80, $80, $00, $00, $00
                        byte   $40, $23, $10, $0C, $03, $00, $00, $00, $40, $2C, $13, $0C, $03, $00, $00, $00
                        byte   $02, $C4, $08, $30, $C0, $00, $00, $00, $02, $34, $C8, $30, $C0, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $03, $03, $02, $02, $03, $00, $00, $00, $02, $02, $03, $02, $03, $00, $00, $00
                        byte   $32, $32, $02, $02, $FE, $00, $00, $00, $46, $46, $76, $06, $FE, $00, $00, $00
                        byte   $60, $60, $60, $40, $7F, $00, $00, $00, $5F, $5F, $5F, $40, $7F, $00, $00, $00
                        byte   $40, $40, $40, $40, $C0, $00, $00, $00, $40, $40, $40, $40, $C0, $00, $00, $00
                        byte   $0E, $0A, $02, $02, $03, $01, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $F4, $FB, $FC, $7E, $3F, $3F, $BF, $D9, $F0, $F8, $FC, $7E, $3F, $3F, $3F, $19
                        byte   $00, $00, $83, $84, $4B, $B7, $CF, $FF, $00, $00, $00, $00, $03, $87, $CF, $FF
                        byte   $00, $00, $00, $80, $40, $A0, $D8, $E4, $00, $00, $00, $00, $00, $80, $C0, $E0
                        byte   $EB, $09, $04, $03, $00, $00, $00, $00, $03, $01, $00, $00, $00, $00, $00, $00
                        byte   $EF, $7D, $2B, $31, $CC, $5B, $30, $20, $EF, $7D, $2B, $31, $00, $00, $00, $00
                        byte   $E6, $B9, $56, $B3, $0C, $E1, $1E, $00, $E6, $B9, $56, $B3, $0C, $00, $00, $00
                        byte   $59, $76, $D1, $63, $0E, $B2, $40, $00, $59, $76, $D0, $60, $00, $00, $00, $00
                        byte   $60, $87, $48, $90, $60, $40, $00, $00, $60, $80, $40, $00, $00, $00, $00, $00
                        byte   $20, $C0, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $56, $29, $19, $03, $01, $01, $00, $00, $10, $00, $00, $00, $00, $00, $00, $00
                        byte   $FF, $7F, $7F, $7F, $7F, $93, $AC, $53, $FF, $7F, $7F, $7F, $7F, $13, $00, $00
                        byte   $FB, $FC, $FF, $FF, $FF, $FF, $CF, $36, $F8, $FC, $FF, $FF, $FF, $FF, $CF, $06
                        byte   $80, $64, $A4, $DB, $E4, $FF, $BF, $FB, $00, $00, $80, $C0, $E4, $FF, $BF, $FB
                        byte   $00, $00, $00, $20, $D6, $29, $D2, $7B, $00, $00, $00, $00, $00, $20, $D2, $7B
                        byte   $00, $00, $00, $00, $00, $FF, $00, $2A, $00, $00, $00, $00, $00, $00, $00, $2A
                        byte   $00, $00, $00, $0F, $F0, $02, $5D, $A8, $00, $00, $00, $00, $00, $02, $5D, $A8
                        byte   $00, $0E, $F1, $04, $50, $03, $4C, $10, $00, $00, $00, $04, $50, $00, $40, $00
                        byte   $33, $DF, $0D, $38, $C0, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $E3, $3C, $20, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $78, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00
                        byte   $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00, $00


' Data Type: NES PPU Pallettes
' Size: 2x16 bytes
' Range: $3F00-$3F1F in PPU memory
_pallettes
'

                        byte   $00, $15, $15, $05, $00, $AA, $05, $AA, $00, $BA, $00, $CA, $00, $BA, $05, $CA
                        byte   $00, $9A, $05, $C9, $00, $2A, $05, $FC, $00, $3B, $05, $3B, $00, $B9, $05, $AA
'

_ROM_end